import clsx from 'clsx';
import React, { useState, useEffect, isValidElement, useRef, Fragment, forwardRef, useMemo, useImperativeHandle, useCallback } from 'react';
import Svg from 'react-inlinesvg';
import { useTable, useFilters, useGlobalFilter, useSortBy, usePagination } from 'react-table';
import smoothScroll from 'smoothscroll-polyfill';
import { useNavigate, useLocation } from 'react-router-dom';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "@import \"./fonts.css\";\n\n/*! tailwindcss v3.0.23 | MIT License | https://tailwindcss.com*/*,:after,:before{border:0 solid;box-sizing:border-box}:after,:before{--tw-content:\"\"}html{-webkit-text-size-adjust:100%;font-family:Inter,ui-sans-serif,system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;line-height:1.5;-moz-tab-size:4;-o-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{color:inherit;font-family:inherit;font-size:100%;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}[type=button],[type=reset],[type=submit],button{-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}textarea{resize:vertical}input::-moz-placeholder,textarea::-moz-placeholder{color:#ddd;opacity:1}input:-ms-input-placeholder,textarea:-ms-input-placeholder{color:#ddd;opacity:1}input::placeholder,textarea::placeholder{color:#ddd;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]{display:none}*,:after,:before{--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(1,156,219,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: }.ii-transition-base,.ii-transition-base div,.ii-transition-base h1,.ii-transition-base h2,.ii-transition-base h3,.ii-transition-base h4,.ii-transition-base p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-transition-scale{transform:scale(1.02)}.ii-transition-scale:active{transform:scale(1)}.ii-fade-in{-webkit-animation:ii-fadeIn .3s ease-in-out;animation:ii-fadeIn .3s ease-in-out}@-webkit-keyframes ii-fadeIn{0%{opacity:0}to{opacity:1}}@keyframes ii-fadeIn{0%{opacity:0}to{opacity:1}}.ii-fade-out{-webkit-animation:ii-fadeOut .7s ease-in-out;animation:ii-fadeOut .7s ease-in-out}@-webkit-keyframes ii-fadeOut{0%{opacity:1}to{opacity:0}}@keyframes ii-fadeOut{0%{opacity:1}to{opacity:0}}.grow-down-animation{-webkit-animation:growDown .3s ease-in-out forwards;animation:growDown .3s ease-in-out forwards;transform-origin:top center}@-webkit-keyframes growDown{0%{transform:scaleY(.3)}to{transform:scaleY(1)}}@keyframes growDown{0%{transform:scaleY(.3)}to{transform:scaleY(1)}}.ii-shadow--strong{box-shadow:0 3px 6px rgba(0,0,0,.5)}.ii-shadow--normal{box-shadow:0 4px 16px rgba(0,0,0,.1)}.ii-shadow--bottom{box-shadow:0 3px 3px rgba(0,0,0,.05)}::-webkit-scrollbar{width:.25rem}::-webkit-scrollbar-thumb{--tw-bg-opacity:0.1;background-color:rgb(34 33 36/var(--tw-bg-opacity));border-radius:9999px;height:2.5rem}.ii-app{display:flex;flex-direction:column;height:100vh}.ii-small-caps{font-size:1rem;font-weight:600;letter-spacing:.05em;line-height:1.625rem;text-transform:uppercase}.ii-background-image{background-position:50%;background-repeat:no-repeat;background-size:cover}.ii-full-width-children-div{display:flex;flex-wrap:nowrap;width:100%}.ii-full-width-children-div>*{flex:0 0 auto}.ii-fixed-width-content{width:100%}@media (min-width:1024px){.ii-fixed-width-content{max-width:60rem}}@media (min-width:1536px){.ii-fixed-width-content{max-width:1024px}}.ii-centered-content{width:100%}@media (min-width:1024px){.ii-centered-content{max-width:60rem}}@media (min-width:1536px){.ii-centered-content{max-width:1024px}}.ii-centered-content{margin-left:auto;margin-right:auto;padding:2rem}.ii-centered-content>*{margin-bottom:1.5rem;margin-top:1.5rem}.ii-full-width-content section{width:100%}@media (min-width:1024px){.ii-full-width-content section{max-width:60rem}}@media (min-width:1536px){.ii-full-width-content section{max-width:1024px}}.ii-full-width-content section{margin-left:auto;margin-right:auto;padding:2rem}.ii-full-width-content section>*{margin-bottom:1.5rem;margin-top:1.5rem}.ii-full-width-content section h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-full-width-content section h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-full-width-content section h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-full-width-content section h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-full-width-content section>h1,.ii-full-width-content section>h2,.ii-full-width-content section>h3,.ii-full-width-content section>h4,.ii-full-width-content section>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-full-width-content section>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section ol,.ii-full-width-content section ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-full-width-content section ol p,.ii-full-width-content section ul p{display:contents}.ii-full-width-content section li+li{margin-top:1rem}.ii-full-width-content section ol{list-style-type:decimal}.ii-full-width-content section ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-full-width-content section ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-full-width-content section blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-full-width-content section blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-full-width-content section p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-full-width-content section>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-full-width-content section{position:relative}.ii-full-width-content section p h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-full-width-content section p h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-full-width-content section p h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-full-width-content section p h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-full-width-content section p>h1,.ii-full-width-content section p>h2,.ii-full-width-content section p>h3,.ii-full-width-content section p>h4,.ii-full-width-content section p>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-full-width-content section p>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section p ol,.ii-full-width-content section p ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-full-width-content section p ol p,.ii-full-width-content section p ul p{display:contents}.ii-full-width-content section p li+li{margin-top:1rem}.ii-full-width-content section p ol{list-style-type:decimal}.ii-full-width-content section p ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-full-width-content section p ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-full-width-content section p blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-full-width-content section p blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section p blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-full-width-content section p p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-full-width-content section p>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-scrolling-content{overflow-x:hidden;overflow-y:auto}@media (min-width:1024px){.ii-scrolling-content::-webkit-scrollbar{width:.5rem}.ii-scrolling-content::-webkit-scrollbar-thumb{--tw-bg-opacity:0.2}}.ii-anchor-wrapper{display:block}.ii-page-content h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-page-content h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-page-content h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-page-content h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-page-content>h1,.ii-page-content>h2,.ii-page-content>h3,.ii-page-content>h4,.ii-page-content>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-page-content>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content ol,.ii-page-content ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-page-content ol p,.ii-page-content ul p{display:contents}.ii-page-content li+li{margin-top:1rem}.ii-page-content ol{list-style-type:decimal}.ii-page-content ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-page-content ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-page-content blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-page-content blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-page-content p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-page-content>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-page-content{position:relative}.ii-page-content p h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-page-content p h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-page-content p h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-page-content p h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-page-content p>h1,.ii-page-content p>h2,.ii-page-content p>h3,.ii-page-content p>h4,.ii-page-content p>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-page-content p>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content p ol,.ii-page-content p ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-page-content p ol p,.ii-page-content p ul p{display:contents}.ii-page-content p li+li{margin-top:1rem}.ii-page-content p ol{list-style-type:decimal}.ii-page-content p ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-page-content p ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-page-content p blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-page-content p blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content p blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-page-content p p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-page-content p>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-page-content-i h1,h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-page-content-i h2,h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-page-content-i h3,h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-page-content-i h4,h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-page-content-i>h1,.ii-page-content-i>h2,.ii-page-content-i>h3,.ii-page-content-i>h4,.ii-page-content-i>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-p-class,.ii-page-content-i>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content-i ol,.ii-page-content-i ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-page-content-i ol p,.ii-page-content-i ul p{display:contents}.ii-page-content-i li+li{margin-top:1rem}.ii-page-content-i ol{list-style-type:decimal}.ii-page-content-i ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-page-content-i ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-page-content-i blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-page-content-i blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content-i blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-page-content-i p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-divider-i,.ii-page-content-i>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-navbar__second-level{--tw-bg-opacity:1;--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);background-color:rgb(255 255 255/var(--tw-bg-opacity));box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);height:3rem}.ii-navbar__link{font-weight:600;padding:.75rem;transition-duration:.2s;transition-property:color,background-color,border-color,fill,stroke,-webkit-text-decoration-color;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,-webkit-text-decoration-color;transition-timing-function:cubic-bezier(.4,0,.2,1)}@media (min-width:1024px){.ii-navbar__link{font-size:.8rem;line-height:1.375rem}}.ii-navbar__link:hover{--tw-text-opacity:1;color:rgb(97 212 172/var(--tw-text-opacity))}.ii-navbar-mobile-expand-section::-webkit-scrollbar-track{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}.ii-navbar-mobile-expand-section__panel,.ii-navbar-mobile-expand-section__panel--black{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity));box-shadow:0 3px 3px rgba(0,0,0,.05);display:flex;flex-direction:column;height:-webkit-fit-content;height:-moz-fit-content;height:fit-content;margin-bottom:3rem;padding-bottom:2rem;width:100%}.ii-navbar-mobile-expand-section__panel--black a,.ii-navbar-mobile-expand-section__panel--black div{padding:.875rem 0}.ii-navbar-mobile-expand-section__panel--black{--tw-bg-opacity:1;align-items:center;background-color:rgb(51 50 53/var(--tw-bg-opacity));padding-top:.625rem}.ii-navbar-mobile-expand-section__links-spacing a,.ii-navbar-mobile-expand-section__links-spacing div{padding:.875rem 0}.ii-navbar-user__body{align-items:center;display:flex;height:100%;justify-content:center;width:100%}@media (min-width:1024px){.ii-navbar-user__body>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(.75rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(.75rem*var(--tw-space-x-reverse))}}.ii-social-media-icon,.ii-social-media-icon div,.ii-social-media-icon h1,.ii-social-media-icon h2,.ii-social-media-icon h3,.ii-social-media-icon h4,.ii-social-media-icon p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-social-media-icon{opacity:.6}.ii-group:hover .ii-social-media-icon{opacity:1}.ii-social-media-icon-base,.ii-social-media-icon-base div,.ii-social-media-icon-base h1,.ii-social-media-icon-base h2,.ii-social-media-icon-base h3,.ii-social-media-icon-base h4,.ii-social-media-icon-base p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-social-media-icon-base{opacity:.6}.ii-group:hover .ii-social-media-icon-base{opacity:1}.ii-social-media-icon-base{height:1rem;width:1rem}.ii-social-media-icon-facebook,.ii-social-media-icon-facebook div,.ii-social-media-icon-facebook h1,.ii-social-media-icon-facebook h2,.ii-social-media-icon-facebook h3,.ii-social-media-icon-facebook h4,.ii-social-media-icon-facebook p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-social-media-icon-facebook{opacity:.6}.ii-group:hover .ii-social-media-icon-facebook{opacity:1}.ii-social-media-icon-facebook{height:1rem;width:.5rem}.ii-horizontal-scroll{--timeline-gradient:#fff,transparent 8rem;--timeline-gradient-left:linear-gradient(to left,var(--timeline-gradient));--timeline-gradient-right:linear-gradient(to right,var(--timeline-gradient))}.ii-cover-gradient-right{background-image:var(--timeline-gradient-right)}.ii-cover-gradient-left{background-image:var(--timeline-gradient-left)}.ii-cover-gradient-both{background-image:var(--timeline-gradient-left),var(--timeline-gradient-right)}.ii-no-scrollbar::-webkit-scrollbar{display:none}.ii-no-scrollbar{-ms-overflow-style:none;scrollbar-width:none}.ii-horizontal-scroll-button{align-items:center;cursor:pointer;display:flex;height:2.5rem;justify-content:center;pointer-events:auto;position:absolute;width:5rem;z-index:50}.ii-button-text{font-size:.8rem;font-weight:500;line-height:1.375rem}.ii-button,.ii-button div,.ii-button h1,.ii-button h2,.ii-button h3,.ii-button h4,.ii-button p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-button{--tw-bg-opacity:1;--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);background-color:rgb(246 247 248/var(--tw-bg-opacity));border-color:#70707021;border-width:1px;box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);padding:.5rem 1.25rem}.ii-checkbox-list-item{align-items:center;cursor:pointer;display:flex}.ii-checkbox-list-item-text{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity));font-size:.8rem;line-height:1.375rem;margin-left:.75rem}.ii-checkbox-list-item-text--active{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.ii-dropdown-header,.ii-dropdown-header div,.ii-dropdown-header h1,.ii-dropdown-header h2,.ii-dropdown-header h3,.ii-dropdown-header h4,.ii-dropdown-header p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-dropdown-header{--tw-bg-opacity:1;--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);align-items:center;background-color:rgb(246 247 248/var(--tw-bg-opacity));border-color:#70707021;border-radius:.375rem;border-width:1px;box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);display:flex;justify-content:space-between;max-width:20rem;padding:.5rem .75rem;position:relative;width:100%}.ii-dropdown-header:hover{--tw-border-opacity:1;--tw-bg-opacity:1;background-color:rgb(230 246 240/var(--tw-bg-opacity));border-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-dropdown-header--active{--tw-bg-opacity:0.6;background-color:rgb(97 212 172/var(--tw-bg-opacity))}.ii-dropdown-header--active:hover{--tw-bg-opacity:1;background-color:rgb(97 212 172/var(--tw-bg-opacity))}.ii-dropdown-header-chevron,.ii-dropdown-header-chevron div,.ii-dropdown-header-chevron h1,.ii-dropdown-header-chevron h2,.ii-dropdown-header-chevron h3,.ii-dropdown-header-chevron h4,.ii-dropdown-header-chevron p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-dropdown-header-chevron{height:1rem;margin-left:.75rem;width:1rem}.ii-dropdown-header-chevron--active{--tw-rotate:180deg;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-dropdown-body{--tw-border-opacity:1;--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity));border-color:rgb(8 199 132/var(--tw-border-opacity));border-radius:.375rem;border-width:1px;margin-top:.5rem;max-width:20rem;padding:.5rem;position:absolute}.ii-dropdown-scroll{max-height:16rem;overflow-y:scroll;padding:1rem 3rem 1rem 1rem}.ii-calendar{--tw-border-opacity:0.2;--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);border-color:rgb(112 112 112/var(--tw-border-opacity));border-radius:.375rem;border-width:1px;box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);box-sizing:border-box;padding:1.25rem;position:relative;width:-webkit-max-content;width:-moz-max-content;width:max-content}.ii-calendar-header{align-items:center;display:flex;justify-content:space-between;padding-bottom:1rem}.ii-calendar-header-button,.ii-calendar-header-button div,.ii-calendar-header-button h1,.ii-calendar-header-button h2,.ii-calendar-header-button h3,.ii-calendar-header-button h4,.ii-calendar-header-button p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-header-button{--tw-border-opacity:0.3;--tw-bg-opacity:0.2;align-items:center;background-color:rgb(246 247 248/var(--tw-bg-opacity));border-color:rgb(51 50 53/var(--tw-border-opacity));border-radius:9999px;border-width:1px;display:flex;height:1.75rem;justify-content:center;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));width:1.75rem}.ii-calendar-header-button:hover{--tw-bg-opacity:1}.ii-calendar-header-button-chevron{height:1rem;width:1rem}.ii-calendar-body{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity));-moz-column-gap:.75rem;column-gap:.75rem;display:grid;grid-template-columns:repeat(7,minmax(0,1fr));row-gap:.375rem}.ii-calendar-body-item,.ii-calendar-body-item div,.ii-calendar-body-item h1,.ii-calendar-body-item h2,.ii-calendar-body-item h3,.ii-calendar-body-item h4,.ii-calendar-body-item p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-body-item{align-items:center;border-color:transparent;border-radius:.375rem;border-width:1.5px;display:flex;font-size:.8rem;height:2rem;justify-content:center;line-height:1.375rem;width:2rem}.ii-calendar-body-item-red,.ii-calendar-body-item-red div,.ii-calendar-body-item-red h1,.ii-calendar-body-item-red h2,.ii-calendar-body-item-red h3,.ii-calendar-body-item-red h4,.ii-calendar-body-item-red p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-body-item-red{--tw-border-opacity:1;--tw-bg-opacity:0.4;align-items:center;background-color:rgb(242 45 65/var(--tw-bg-opacity));border-color:transparent;border-color:rgb(255 0 0/var(--tw-border-opacity));border-radius:.375rem;border-width:1.5px;display:flex;font-size:.8rem;height:2rem;justify-content:center;line-height:1.375rem;width:2rem}.ii-calendar-body-item-red:hover{--tw-bg-opacity:1;--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.ii-calendar-body-item-green,.ii-calendar-body-item-green div,.ii-calendar-body-item-green h1,.ii-calendar-body-item-green h2,.ii-calendar-body-item-green h3,.ii-calendar-body-item-green h4,.ii-calendar-body-item-green p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-body-item-green{--tw-border-opacity:1;--tw-bg-opacity:0.4;align-items:center;background-color:rgb(97 212 172/var(--tw-bg-opacity));border-color:transparent;border-color:rgb(8 199 132/var(--tw-border-opacity));border-radius:.375rem;border-width:1.5px;display:flex;font-size:.8rem;height:2rem;justify-content:center;line-height:1.375rem;width:2rem}.ii-calendar-body-item-green:hover{--tw-bg-opacity:1}.ii-calendar-popup{--tw-bg-opacity:1;--tw-text-opacity:1;--tw-shadow:0 10px 15px -3px rgba(0,0,0,.1),0 4px 6px -4px rgba(0,0,0,.1);--tw-shadow-colored:0 10px 15px -3px var(--tw-shadow-color),0 4px 6px -4px var(--tw-shadow-color);background-color:rgb(246 247 248/var(--tw-bg-opacity));border-radius:.25rem;box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);color:rgb(34 33 36/var(--tw-text-opacity));font-weight:400;padding:1rem;width:18rem}.ii-calendar-popup:hover{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity))}.ii-input{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));border-color:#70707021;border-radius:.375rem;border-width:1px;height:2.5rem;margin-bottom:.5rem;margin-top:.5rem;padding:.25rem .5rem;transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1);width:18rem}.ii-input--error{--tw-border-opacity:0.5;--tw-bg-opacity:0.05;background-color:rgb(242 45 65/var(--tw-bg-opacity));border-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-input--error-text{--tw-text-opacity:1;color:rgb(245 99 127/var(--tw-text-opacity));font-size:.64rem;margin-bottom:.25rem;margin-top:.25rem;overflow-wrap:break-word;width:18rem}.ii-input-label{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity));font-size:.8rem;line-height:1.375rem}.ii-input-label--error{--tw-text-opacity:1;color:rgb(245 99 127/var(--tw-text-opacity))}.ii-select{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-image:url('data:image/svg+xml;charset=utf-8,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"20\" fill=\"currentColor\"><path d=\"M5.293 7.293a1 1 0 0 1 1.414 0L10 10.586l3.293-3.293a1 1 0 1 1 1.414 1.414l-4 4a1 1 0 0 1-1.414 0l-4-4a1 1 0 0 1 0-1.414z\"/></svg>');background-position:calc(100% - .75rem);background-repeat:no-repeat;font-size:.8rem;line-height:1.375rem}.ii-columns.columns--leftsmall{grid-template-columns:1fr 3fr}.ii-video-card-title-shadow{filter:drop-shadow(0 0 3px rgb(0 0 0/.5))}.ii-table__data:first-of-type{border-bottom-left-radius:.375rem;border-top-left-radius:.375rem}.ii-table__data:last-of-type{border-bottom-right-radius:.375rem;border-top-right-radius:.375rem}.ii-icon{height:1.5rem;width:1.5rem}.ii-icon-horizontal{height:.75rem;width:1.5rem}.ii-icon-large{height:4rem;width:6rem}.ii-banner-gradient-div{background-image:linear-gradient(78deg,#000 -30%,#54545400 66%)}.ii-dynamic-flex{--multiplier:calc(25rem - 100%);display:flex;flex-wrap:wrap}.ii-dynamic-flex>*{flex-basis:calc(var(--multiplier)*999);flex-grow:1;max-width:100%}.ii-card-element-base{--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);border-radius:.375rem;box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);margin-left:auto;margin-right:auto;max-width:42rem;overflow:hidden;width:100%}.ii-card-element-background{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity))}.ii-content-box-padding{padding:2rem}.ii-content-box-body h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-content-box-body h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-content-box-body h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-content-box-body h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-content-box-body>h1,.ii-content-box-body>h2,.ii-content-box-body>h3,.ii-content-box-body>h4,.ii-content-box-body>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-content-box-body>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body ol,.ii-content-box-body ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-content-box-body ol p,.ii-content-box-body ul p{display:contents}.ii-content-box-body li+li{margin-top:1rem}.ii-content-box-body ol{list-style-type:decimal}.ii-content-box-body ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-content-box-body ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-content-box-body blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-content-box-body blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-content-box-body p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-content-box-body>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-content-box-body{position:relative}.ii-content-box-body p h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-content-box-body p h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-content-box-body p h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-content-box-body p h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-content-box-body p>h1,.ii-content-box-body p>h2,.ii-content-box-body p>h3,.ii-content-box-body p>h4,.ii-content-box-body p>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-content-box-body p>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body p ol,.ii-content-box-body p ul{list-style-position:inside;margin-bottom:2.5rem;margin-top:2.5rem;padding-left:2.5rem}.ii-content-box-body p ol p,.ii-content-box-body p ul p{display:contents}.ii-content-box-body p li+li{margin-top:1rem}.ii-content-box-body p ol{list-style-type:decimal}.ii-content-box-body p ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-content-box-body p ul li:before{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-content-box-body p blockquote{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-content-box-body p blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body p blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-content-box-body p p>a[href]{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity));-webkit-text-decoration-line:none;text-decoration-line:none}.ii-content-box-body p>hr{--tw-bg-opacity:0.2;background-color:rgb(112 112 112/var(--tw-bg-opacity));height:1px;width:100%}.ii-content-box-body{height:100%;width:100%}@-webkit-keyframes loader-rotate{0%{transform:rotate(0)}to{transform:rotate(1turn)}}@keyframes loader-rotate{0%{transform:rotate(0)}to{transform:rotate(1turn)}}.ii-spinner{--tw-border-opacity:1;-webkit-animation:loader-rotate .7s ease-in-out infinite;animation:loader-rotate .7s ease-in-out infinite;border-color:rgb(8 199 132/var(--tw-border-opacity));border-bottom-color:transparent}.ii-pointer-events-none{pointer-events:none}.ii-pointer-events-auto{pointer-events:auto}.ii-visible{visibility:visible}.ii-invisible{visibility:hidden}.ii-fixed{position:fixed}.ii-absolute{position:absolute}.ii-relative{position:relative}.ii-inset-0{bottom:0;left:0;right:0;top:0}.ii-top-0{top:0}.ii-bottom-0{bottom:0}.ii-left-0{left:0}.ii--right-0{right:0}.ii-top-full{top:100%}.ii-top-3{top:.75rem}.ii--left-0\\.5{left:-.125rem}.ii--left-0{left:0}.ii-z-50{z-index:50}.ii-z-10{z-index:10}.ii-z-40{z-index:40}.ii--z-10{z-index:-10}.ii-m-2\\.5{margin:.625rem}.ii-m-2{margin:.5rem}.ii-m-4{margin:1rem}.ii-my-8{margin-bottom:2rem;margin-top:2rem}.ii-mx-auto{margin-left:auto;margin-right:auto}.ii-mx-2\\.5{margin-left:.625rem;margin-right:.625rem}.ii-mx-2{margin-left:.5rem;margin-right:.5rem}.ii-my-1{margin-bottom:.25rem;margin-top:.25rem}.\\!ii-my-0{margin-bottom:0!important;margin-top:0!important}.ii-my-3{margin-bottom:.75rem;margin-top:.75rem}.ii-my-5{margin-bottom:1.25rem;margin-top:1.25rem}.ii-mx-12{margin-left:3rem;margin-right:3rem}.ii-mr-3{margin-right:.75rem}.ii-ml-3{margin-left:.75rem}.ii-mb-1{margin-bottom:.25rem}.ii-ml-1{margin-left:.25rem}.ii-mt-1{margin-top:.25rem}.ii-mb-2{margin-bottom:.5rem}.ii-mr-2{margin-right:.5rem}.ii-mt-12{margin-top:3rem}.ii-mr-0\\.5{margin-right:.125rem}.ii-mr-0{margin-right:0}.ii-mt-2{margin-top:.5rem}.ii-mb-5{margin-bottom:1.25rem}.ii-ml-2{margin-left:.5rem}.\\!ii-mt-1{margin-top:.25rem!important}.ii-mb-3{margin-bottom:.75rem}.ii-mr-1{margin-right:.25rem}.ii-mt-5{margin-top:1.25rem}.ii-mt-4{margin-top:1rem}.ii-mb-12{margin-bottom:3rem}.ii-mb-24{margin-bottom:6rem}.ii-mb-36{margin-bottom:9rem}.ii-mb-48{margin-bottom:12rem}.ii--mb-1\\.5{margin-bottom:-.375rem}.ii--mb-1{margin-bottom:-.25rem}.ii-mt-3{margin-top:.75rem}.ii-box-border{box-sizing:border-box}.ii-inline{display:inline}.ii-flex{display:flex}.ii-table{display:table}.ii-grid{display:grid}.ii-hidden{display:none}.ii-aspect-video{aspect-ratio:16/9}.ii-h-3{height:.75rem}.ii-h-2{height:.5rem}.ii-h-4{height:1rem}.ii-h-auto{height:auto}.ii-h-10{height:2.5rem}.ii-h-full{height:100%}.ii-h-fit{height:-webkit-fit-content;height:-moz-fit-content;height:fit-content}.ii-h-24{height:6rem}.ii-h-36{height:9rem}.ii-h-48{height:12rem}.ii-h-60{height:15rem}.ii-h-12{height:3rem}.ii-h-max{height:-webkit-max-content;height:-moz-max-content;height:max-content}.ii-h-5{height:1.25rem}.ii-h-screen{height:100vh}.ii-h-7{height:1.75rem}.ii-h-8{height:2rem}.ii-h-6{height:1.5rem}.ii-h-px{height:1px}.ii-h-1\\.5{height:.375rem}.ii-h-1{height:.25rem}.ii-h-16{height:4rem}.ii-max-h-64{max-height:16rem}.ii-w-3{width:.75rem}.ii-w-2{width:.5rem}.ii-w-4{width:1rem}.ii-w-40{width:10rem}.ii-w-full{width:100%}.ii-w-12{width:3rem}.ii-w-1\\/3{width:33.333333%}.ii-w-5\\/12{width:41.666667%}.ii-w-5\\/6{width:83.333333%}.ii-w-auto{width:auto}.ii-w-5{width:1.25rem}.ii-w-fit{width:-webkit-fit-content;width:-moz-fit-content;width:fit-content}.ii-w-20{width:5rem}.ii-w-max{width:-webkit-max-content;width:-moz-max-content;width:max-content}.ii-w-7{width:1.75rem}.ii-w-8{width:2rem}.ii-w-72{width:18rem}.ii-w-6{width:1.5rem}.ii-w-24{width:6rem}.ii-w-10{width:2.5rem}.ii-w-32{width:8rem}.ii-w-\\[3\\.25rem\\]{width:3.25rem}.ii-w-48{width:12rem}.ii-w-16{width:4rem}.ii-min-w-0{min-width:0}.ii-max-w-xl{max-width:36rem}.ii-max-w-xs{max-width:20rem}.ii-max-w-full{max-width:100%}.ii-max-w-2xl{max-width:42rem}.ii-max-w-\\[11rem\\]{max-width:11rem}.ii-flex-shrink-0{flex-shrink:0}.ii-flex-grow{flex-grow:1}.ii-border-collapse{border-collapse:collapse}.ii-border-separate{border-collapse:separate}.ii--translate-y-full{--tw-translate-y:-100%}.ii--translate-y-full,.ii-translate-y-0{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-translate-y-0{--tw-translate-y:0px}.\\!ii--translate-x-full{--tw-translate-x:-100%!important;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))!important}.ii--rotate-90{--tw-rotate:-90deg}.ii--rotate-90,.ii-rotate-90{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-rotate-90{--tw-rotate:90deg}.ii-rotate-180{--tw-rotate:180deg}.ii-rotate-180,.ii-transform{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-cursor-default{cursor:default}.ii-cursor-pointer{cursor:pointer}.ii-list-inside{list-style-position:inside}.ii-appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.ii-grid-cols-1{grid-template-columns:repeat(1,minmax(0,1fr))}.ii-grid-cols-2{grid-template-columns:repeat(2,minmax(0,1fr))}.ii-grid-cols-3{grid-template-columns:repeat(3,minmax(0,1fr))}.ii-grid-cols-4{grid-template-columns:repeat(4,minmax(0,1fr))}.ii-grid-cols-5{grid-template-columns:repeat(5,minmax(0,1fr))}.ii-grid-cols-6{grid-template-columns:repeat(6,minmax(0,1fr))}.ii-grid-cols-7{grid-template-columns:repeat(7,minmax(0,1fr))}.ii-grid-cols-8{grid-template-columns:repeat(8,minmax(0,1fr))}.ii-grid-cols-9{grid-template-columns:repeat(9,minmax(0,1fr))}.ii-grid-cols-10{grid-template-columns:repeat(10,minmax(0,1fr))}.ii-grid-cols-11{grid-template-columns:repeat(11,minmax(0,1fr))}.ii-grid-cols-12{grid-template-columns:repeat(12,minmax(0,1fr))}.ii-grid-cols-none{grid-template-columns:none}.ii-grid-rows-3{grid-template-rows:repeat(3,minmax(0,1fr))}.ii-flex-row{flex-direction:row}.ii-flex-col{flex-direction:column}.ii-flex-wrap{flex-wrap:wrap}.ii-flex-nowrap{flex-wrap:nowrap}.ii-items-start{align-items:flex-start}.ii-items-end{align-items:flex-end}.ii-items-center{align-items:center}.ii-items-stretch{align-items:stretch}.ii-justify-start{justify-content:flex-start}.ii-justify-end{justify-content:flex-end}.ii-justify-center{justify-content:center}.ii-justify-between{justify-content:space-between}.ii-justify-items-stretch{justify-items:stretch}.ii-gap-6{gap:1.5rem}.ii-gap-8{gap:2rem}.ii-gap-2{gap:.5rem}.ii-gap-4{gap:1rem}.ii-gap-3{gap:.75rem}.ii-gap-20{gap:5rem}.ii-gap-x-3{-moz-column-gap:.75rem;column-gap:.75rem}.ii-gap-y-1\\.5{row-gap:.375rem}.ii-gap-y-1{row-gap:.25rem}.ii-gap-x-5{-moz-column-gap:1.25rem;column-gap:1.25rem}.ii-gap-y-2{row-gap:.5rem}.ii-gap-y-5{row-gap:1.25rem}.ii-gap-x-4{-moz-column-gap:1rem;column-gap:1rem}.ii-gap-x-8{-moz-column-gap:2rem;column-gap:2rem}.ii-space-y-2>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-bottom:calc(.5rem*var(--tw-space-y-reverse));margin-top:calc(.5rem*(1 - var(--tw-space-y-reverse)))}.ii-space-x-1>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(.25rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(.25rem*var(--tw-space-x-reverse))}.ii-overflow-hidden{overflow:hidden}.ii-overflow-scroll{overflow:scroll}.ii-overflow-y-auto{overflow-y:auto}.ii-overflow-x-hidden{overflow-x:hidden}.ii-overflow-y-scroll{overflow-y:scroll}.ii-truncate{overflow:hidden;white-space:nowrap}.ii-text-ellipsis,.ii-truncate{text-overflow:ellipsis}.ii-text-clip{text-overflow:clip}.ii-whitespace-nowrap{white-space:nowrap}.ii-break-words{overflow-wrap:break-word}.ii-break-all{word-break:break-all}.ii-rounded-full{border-radius:9999px}.ii-rounded{border-radius:.25rem}.ii-rounded-md{border-radius:.375rem}.ii-rounded-lg{border-radius:.5rem}.ii-rounded-2xl{border-radius:1rem}.ii-rounded-l-full{border-bottom-left-radius:9999px;border-top-left-radius:9999px}.ii-border-0{border-width:0}.ii-border-2{border-width:2px}.ii-border-4{border-width:4px}.ii-border-8{border-width:8px}.ii-border{border-width:1px}.ii-border-1\\.5{border-width:1.5px}.ii-border-x-0{border-left-width:0;border-right-width:0}.ii-border-x-2{border-left-width:2px;border-right-width:2px}.ii-border-x-4{border-left-width:4px;border-right-width:4px}.ii-border-x-8{border-left-width:8px;border-right-width:8px}.ii-border-x{border-left-width:1px;border-right-width:1px}.ii-border-x-1\\.5{border-left-width:1.5px;border-right-width:1.5px}.ii-border-y-0{border-bottom-width:0;border-top-width:0}.ii-border-y-2{border-bottom-width:2px;border-top-width:2px}.ii-border-y-4{border-bottom-width:4px;border-top-width:4px}.ii-border-y-8{border-bottom-width:8px;border-top-width:8px}.ii-border-y{border-bottom-width:1px;border-top-width:1px}.ii-border-y-1\\.5{border-bottom-width:1.5px;border-top-width:1.5px}.ii-border-t-0{border-top-width:0}.ii-border-t-2{border-top-width:2px}.ii-border-t-4{border-top-width:4px}.ii-border-t-8{border-top-width:8px}.ii-border-t{border-top-width:1px}.ii-border-t-1\\.5{border-top-width:1.5px}.ii-border-r-0{border-right-width:0}.ii-border-r-2{border-right-width:2px}.ii-border-r-4{border-right-width:4px}.ii-border-r-8{border-right-width:8px}.ii-border-r{border-right-width:1px}.ii-border-r-1\\.5{border-right-width:1.5px}.ii-border-b-0{border-bottom-width:0}.ii-border-b-2{border-bottom-width:2px}.ii-border-b-4{border-bottom-width:4px}.ii-border-b-8{border-bottom-width:8px}.ii-border-b{border-bottom-width:1px}.ii-border-b-1\\.5{border-bottom-width:1.5px}.ii-border-l-0{border-left-width:0}.ii-border-l-2{border-left-width:2px}.ii-border-l-4{border-left-width:4px}.ii-border-l-8{border-left-width:8px}.ii-border-l{border-left-width:1px}.ii-border-l-1\\.5{border-left-width:1.5px}.ii-border-solid{border-style:solid}.ii-border-dashed{border-style:dashed}.ii-border-dotted{border-style:dotted}.ii-border-double{border-style:double}.ii-border-hidden{border-style:hidden}.ii-border-none{border-style:none}.ii-border-igem-green{--tw-border-opacity:1;border-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-igem-blue{--tw-border-opacity:1;border-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-igem-red{--tw-border-opacity:1;border-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-igem-orange{--tw-border-opacity:1;border-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-igem-yellow{--tw-border-opacity:1;border-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-igem-black{--tw-border-opacity:1;border-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-igem-white{--tw-border-opacity:1;border-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-yellow-550{--tw-border-opacity:1;border-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-white{--tw-border-opacity:1;border-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-green-100{--tw-border-opacity:1;border-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-green-200{--tw-border-opacity:1;border-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-green-300{--tw-border-opacity:1;border-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-green-400{--tw-border-opacity:1;border-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-green-500{--tw-border-opacity:1;border-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-gray-400{--tw-border-opacity:1;border-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-gray-500{--tw-border-opacity:1;border-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-gray-600{border-color:#70707021}.ii-border-gray-700{--tw-border-opacity:1;border-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-gray-800{border-color:#232323a7}.ii-border-red-200{border-color:#f4506248}.ii-border-red-300{--tw-border-opacity:1;border-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-red-400{--tw-border-opacity:1;border-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-red-500{--tw-border-opacity:1;border-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-turquoise{--tw-border-opacity:1;border-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-black-400{--tw-border-opacity:1;border-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-black-500{--tw-border-opacity:1;border-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-blue-500{--tw-border-opacity:1;border-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-transparent{border-color:transparent}.ii-border-x-igem-green{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity));border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-x-igem-blue{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity));border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-x-igem-red{--tw-border-opacity:1;border-left-color:rgb(240 52 71/var(--tw-border-opacity));border-right-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-x-igem-orange{--tw-border-opacity:1;border-left-color:rgb(255 137 69/var(--tw-border-opacity));border-right-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-x-igem-yellow{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity));border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-x-igem-black{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity));border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-x-igem-white{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity));border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-x-yellow-550{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity));border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-x-white{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity));border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-x-green-100{--tw-border-opacity:1;border-left-color:rgb(230 246 240/var(--tw-border-opacity));border-right-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-x-green-200{--tw-border-opacity:1;border-left-color:rgb(186 233 217/var(--tw-border-opacity));border-right-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-x-green-300{--tw-border-opacity:1;border-left-color:rgb(212 241 231/var(--tw-border-opacity));border-right-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-x-green-400{--tw-border-opacity:1;border-left-color:rgb(97 212 172/var(--tw-border-opacity));border-right-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-x-green-500{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity));border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-x-gray-400{--tw-border-opacity:1;border-left-color:rgb(221 221 221/var(--tw-border-opacity));border-right-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-x-gray-500{--tw-border-opacity:1;border-left-color:rgb(246 247 248/var(--tw-border-opacity));border-right-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-x-gray-600{border-left-color:#70707021;border-right-color:#70707021}.ii-border-x-gray-700{--tw-border-opacity:1;border-left-color:rgb(112 112 112/var(--tw-border-opacity));border-right-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-x-gray-800{border-left-color:#232323a7;border-right-color:#232323a7}.ii-border-x-red-200{border-left-color:#f4506248;border-right-color:#f4506248}.ii-border-x-red-300{--tw-border-opacity:1;border-left-color:rgb(245 99 127/var(--tw-border-opacity));border-right-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-x-red-400{--tw-border-opacity:1;border-left-color:rgb(242 45 65/var(--tw-border-opacity));border-right-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-x-red-500{--tw-border-opacity:1;border-left-color:rgb(255 0 0/var(--tw-border-opacity));border-right-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-x-turquoise{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity));border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-x-black-400{--tw-border-opacity:1;border-left-color:rgb(51 50 53/var(--tw-border-opacity));border-right-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-x-black-500{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity));border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-x-blue-500{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity));border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-x-transparent{border-left-color:transparent;border-right-color:transparent}.ii-border-y-igem-green{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity));border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-y-igem-blue{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity));border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-y-igem-red{--tw-border-opacity:1;border-bottom-color:rgb(240 52 71/var(--tw-border-opacity));border-top-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-y-igem-orange{--tw-border-opacity:1;border-bottom-color:rgb(255 137 69/var(--tw-border-opacity));border-top-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-y-igem-yellow{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity));border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-y-igem-black{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity));border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-y-igem-white{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity));border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-y-yellow-550{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity));border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-y-white{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity));border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-y-green-100{--tw-border-opacity:1;border-bottom-color:rgb(230 246 240/var(--tw-border-opacity));border-top-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-y-green-200{--tw-border-opacity:1;border-bottom-color:rgb(186 233 217/var(--tw-border-opacity));border-top-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-y-green-300{--tw-border-opacity:1;border-bottom-color:rgb(212 241 231/var(--tw-border-opacity));border-top-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-y-green-400{--tw-border-opacity:1;border-bottom-color:rgb(97 212 172/var(--tw-border-opacity));border-top-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-y-green-500{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity));border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-y-gray-400{--tw-border-opacity:1;border-bottom-color:rgb(221 221 221/var(--tw-border-opacity));border-top-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-y-gray-500{--tw-border-opacity:1;border-bottom-color:rgb(246 247 248/var(--tw-border-opacity));border-top-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-y-gray-600{border-bottom-color:#70707021;border-top-color:#70707021}.ii-border-y-gray-700{--tw-border-opacity:1;border-bottom-color:rgb(112 112 112/var(--tw-border-opacity));border-top-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-y-gray-800{border-bottom-color:#232323a7;border-top-color:#232323a7}.ii-border-y-red-200{border-bottom-color:#f4506248;border-top-color:#f4506248}.ii-border-y-red-300{--tw-border-opacity:1;border-bottom-color:rgb(245 99 127/var(--tw-border-opacity));border-top-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-y-red-400{--tw-border-opacity:1;border-bottom-color:rgb(242 45 65/var(--tw-border-opacity));border-top-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-y-red-500{--tw-border-opacity:1;border-bottom-color:rgb(255 0 0/var(--tw-border-opacity));border-top-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-y-turquoise{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity));border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-y-black-400{--tw-border-opacity:1;border-bottom-color:rgb(51 50 53/var(--tw-border-opacity));border-top-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-y-black-500{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity));border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-y-blue-500{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity));border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-y-transparent{border-bottom-color:transparent;border-top-color:transparent}.ii-border-t-igem-green{--tw-border-opacity:1;border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-t-igem-blue{--tw-border-opacity:1;border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-t-igem-red{--tw-border-opacity:1;border-top-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-t-igem-orange{--tw-border-opacity:1;border-top-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-t-igem-yellow{--tw-border-opacity:1;border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-t-igem-black{--tw-border-opacity:1;border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-t-igem-white{--tw-border-opacity:1;border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-t-yellow-550{--tw-border-opacity:1;border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-t-white{--tw-border-opacity:1;border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-t-green-100{--tw-border-opacity:1;border-top-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-t-green-200{--tw-border-opacity:1;border-top-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-t-green-300{--tw-border-opacity:1;border-top-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-t-green-400{--tw-border-opacity:1;border-top-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-t-green-500{--tw-border-opacity:1;border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-t-gray-400{--tw-border-opacity:1;border-top-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-t-gray-500{--tw-border-opacity:1;border-top-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-t-gray-600{border-top-color:#70707021}.ii-border-t-gray-700{--tw-border-opacity:1;border-top-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-t-gray-800{border-top-color:#232323a7}.ii-border-t-red-200{border-top-color:#f4506248}.ii-border-t-red-300{--tw-border-opacity:1;border-top-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-t-red-400{--tw-border-opacity:1;border-top-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-t-red-500{--tw-border-opacity:1;border-top-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-t-turquoise{--tw-border-opacity:1;border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-t-black-400{--tw-border-opacity:1;border-top-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-t-black-500{--tw-border-opacity:1;border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-t-blue-500{--tw-border-opacity:1;border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-t-transparent{border-top-color:transparent}.ii-border-r-igem-green{--tw-border-opacity:1;border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-r-igem-blue{--tw-border-opacity:1;border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-r-igem-red{--tw-border-opacity:1;border-right-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-r-igem-orange{--tw-border-opacity:1;border-right-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-r-igem-yellow{--tw-border-opacity:1;border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-r-igem-black{--tw-border-opacity:1;border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-r-igem-white{--tw-border-opacity:1;border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-r-yellow-550{--tw-border-opacity:1;border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-r-white{--tw-border-opacity:1;border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-r-green-100{--tw-border-opacity:1;border-right-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-r-green-200{--tw-border-opacity:1;border-right-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-r-green-300{--tw-border-opacity:1;border-right-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-r-green-400{--tw-border-opacity:1;border-right-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-r-green-500{--tw-border-opacity:1;border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-r-gray-400{--tw-border-opacity:1;border-right-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-r-gray-500{--tw-border-opacity:1;border-right-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-r-gray-600{border-right-color:#70707021}.ii-border-r-gray-700{--tw-border-opacity:1;border-right-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-r-gray-800{border-right-color:#232323a7}.ii-border-r-red-200{border-right-color:#f4506248}.ii-border-r-red-300{--tw-border-opacity:1;border-right-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-r-red-400{--tw-border-opacity:1;border-right-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-r-red-500{--tw-border-opacity:1;border-right-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-r-turquoise{--tw-border-opacity:1;border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-r-black-400{--tw-border-opacity:1;border-right-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-r-black-500{--tw-border-opacity:1;border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-r-blue-500{--tw-border-opacity:1;border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-r-transparent{border-right-color:transparent}.ii-border-b-igem-green{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-b-igem-blue{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-b-igem-red{--tw-border-opacity:1;border-bottom-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-b-igem-orange{--tw-border-opacity:1;border-bottom-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-b-igem-yellow{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-b-igem-black{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-b-igem-white{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-b-yellow-550{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-b-white{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-b-green-100{--tw-border-opacity:1;border-bottom-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-b-green-200{--tw-border-opacity:1;border-bottom-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-b-green-300{--tw-border-opacity:1;border-bottom-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-b-green-400{--tw-border-opacity:1;border-bottom-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-b-green-500{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-b-gray-400{--tw-border-opacity:1;border-bottom-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-b-gray-500{--tw-border-opacity:1;border-bottom-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-b-gray-600{border-bottom-color:#70707021}.ii-border-b-gray-700{--tw-border-opacity:1;border-bottom-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-b-gray-800{border-bottom-color:#232323a7}.ii-border-b-red-200{border-bottom-color:#f4506248}.ii-border-b-red-300{--tw-border-opacity:1;border-bottom-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-b-red-400{--tw-border-opacity:1;border-bottom-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-b-red-500{--tw-border-opacity:1;border-bottom-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-b-turquoise{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-b-black-400{--tw-border-opacity:1;border-bottom-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-b-black-500{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-b-blue-500{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-b-transparent{border-bottom-color:transparent}.ii-border-l-igem-green{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-l-igem-blue{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-l-igem-red{--tw-border-opacity:1;border-left-color:rgb(240 52 71/var(--tw-border-opacity))}.ii-border-l-igem-orange{--tw-border-opacity:1;border-left-color:rgb(255 137 69/var(--tw-border-opacity))}.ii-border-l-igem-yellow{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-l-igem-black{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-l-igem-white{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-l-yellow-550{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity))}.ii-border-l-white{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity))}.ii-border-l-green-100{--tw-border-opacity:1;border-left-color:rgb(230 246 240/var(--tw-border-opacity))}.ii-border-l-green-200{--tw-border-opacity:1;border-left-color:rgb(186 233 217/var(--tw-border-opacity))}.ii-border-l-green-300{--tw-border-opacity:1;border-left-color:rgb(212 241 231/var(--tw-border-opacity))}.ii-border-l-green-400{--tw-border-opacity:1;border-left-color:rgb(97 212 172/var(--tw-border-opacity))}.ii-border-l-green-500{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-l-gray-400{--tw-border-opacity:1;border-left-color:rgb(221 221 221/var(--tw-border-opacity))}.ii-border-l-gray-500{--tw-border-opacity:1;border-left-color:rgb(246 247 248/var(--tw-border-opacity))}.ii-border-l-gray-600{border-left-color:#70707021}.ii-border-l-gray-700{--tw-border-opacity:1;border-left-color:rgb(112 112 112/var(--tw-border-opacity))}.ii-border-l-gray-800{border-left-color:#232323a7}.ii-border-l-red-200{border-left-color:#f4506248}.ii-border-l-red-300{--tw-border-opacity:1;border-left-color:rgb(245 99 127/var(--tw-border-opacity))}.ii-border-l-red-400{--tw-border-opacity:1;border-left-color:rgb(242 45 65/var(--tw-border-opacity))}.ii-border-l-red-500{--tw-border-opacity:1;border-left-color:rgb(255 0 0/var(--tw-border-opacity))}.ii-border-l-turquoise{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity))}.ii-border-l-black-400{--tw-border-opacity:1;border-left-color:rgb(51 50 53/var(--tw-border-opacity))}.ii-border-l-black-500{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity))}.ii-border-l-blue-500{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity))}.ii-border-l-transparent{border-left-color:transparent}.ii-border-opacity-0{--tw-border-opacity:0}.ii-border-opacity-5{--tw-border-opacity:0.05}.ii-border-opacity-10{--tw-border-opacity:0.1}.ii-border-opacity-15{--tw-border-opacity:.15}.ii-border-opacity-20{--tw-border-opacity:0.2}.ii-border-opacity-25{--tw-border-opacity:0.25}.ii-border-opacity-30{--tw-border-opacity:0.3}.ii-border-opacity-40{--tw-border-opacity:0.4}.ii-border-opacity-50{--tw-border-opacity:0.5}.ii-border-opacity-60{--tw-border-opacity:0.6}.ii-border-opacity-70{--tw-border-opacity:0.7}.ii-border-opacity-75{--tw-border-opacity:0.75}.ii-border-opacity-80{--tw-border-opacity:0.8}.ii-border-opacity-90{--tw-border-opacity:0.9}.ii-border-opacity-95{--tw-border-opacity:0.95}.ii-border-opacity-100{--tw-border-opacity:1}.ii-bg-igem-green{--tw-bg-opacity:1;background-color:rgb(8 199 132/var(--tw-bg-opacity))}.ii-bg-igem-blue{--tw-bg-opacity:1;background-color:rgb(1 156 219/var(--tw-bg-opacity))}.ii-bg-igem-red{--tw-bg-opacity:1;background-color:rgb(240 52 71/var(--tw-bg-opacity))}.ii-bg-igem-orange{--tw-bg-opacity:1;background-color:rgb(255 137 69/var(--tw-bg-opacity))}.ii-bg-igem-yellow{--tw-bg-opacity:1;background-color:rgb(252 208 117/var(--tw-bg-opacity))}.ii-bg-igem-black{--tw-bg-opacity:1;background-color:rgb(34 33 36/var(--tw-bg-opacity))}.ii-bg-igem-white{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}.ii-bg-yellow-550{--tw-bg-opacity:1;background-color:rgb(252 208 117/var(--tw-bg-opacity))}.ii-bg-white{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}.ii-bg-green-100{--tw-bg-opacity:1;background-color:rgb(230 246 240/var(--tw-bg-opacity))}.ii-bg-green-200{--tw-bg-opacity:1;background-color:rgb(186 233 217/var(--tw-bg-opacity))}.ii-bg-green-300{--tw-bg-opacity:1;background-color:rgb(212 241 231/var(--tw-bg-opacity))}.ii-bg-green-400{--tw-bg-opacity:1;background-color:rgb(97 212 172/var(--tw-bg-opacity))}.ii-bg-green-500{--tw-bg-opacity:1;background-color:rgb(8 199 132/var(--tw-bg-opacity))}.ii-bg-gray-400{--tw-bg-opacity:1;background-color:rgb(221 221 221/var(--tw-bg-opacity))}.ii-bg-gray-500{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity))}.ii-bg-gray-600{background-color:#70707021}.ii-bg-gray-700{--tw-bg-opacity:1;background-color:rgb(112 112 112/var(--tw-bg-opacity))}.ii-bg-gray-800{background-color:#232323a7}.ii-bg-red-200{background-color:#f4506248}.ii-bg-red-300{--tw-bg-opacity:1;background-color:rgb(245 99 127/var(--tw-bg-opacity))}.ii-bg-red-400{--tw-bg-opacity:1;background-color:rgb(242 45 65/var(--tw-bg-opacity))}.ii-bg-red-500{--tw-bg-opacity:1;background-color:rgb(255 0 0/var(--tw-bg-opacity))}.ii-bg-turquoise{--tw-bg-opacity:1;background-color:rgb(8 199 132/var(--tw-bg-opacity))}.ii-bg-black-400{--tw-bg-opacity:1;background-color:rgb(51 50 53/var(--tw-bg-opacity))}.ii-bg-black-500{--tw-bg-opacity:1;background-color:rgb(34 33 36/var(--tw-bg-opacity))}.ii-bg-blue-500{--tw-bg-opacity:1;background-color:rgb(1 156 219/var(--tw-bg-opacity))}.ii-bg-transparent{background-color:transparent}.ii-bg-opacity-0{--tw-bg-opacity:0}.ii-bg-opacity-5{--tw-bg-opacity:0.05}.ii-bg-opacity-10{--tw-bg-opacity:0.1}.ii-bg-opacity-15{--tw-bg-opacity:.15}.ii-bg-opacity-20{--tw-bg-opacity:0.2}.ii-bg-opacity-25{--tw-bg-opacity:0.25}.ii-bg-opacity-30{--tw-bg-opacity:0.3}.ii-bg-opacity-40{--tw-bg-opacity:0.4}.ii-bg-opacity-50{--tw-bg-opacity:0.5}.ii-bg-opacity-60{--tw-bg-opacity:0.6}.ii-bg-opacity-70{--tw-bg-opacity:0.7}.ii-bg-opacity-75{--tw-bg-opacity:0.75}.ii-bg-opacity-80{--tw-bg-opacity:0.8}.ii-bg-opacity-90{--tw-bg-opacity:0.9}.ii-bg-opacity-95{--tw-bg-opacity:0.95}.ii-bg-opacity-100{--tw-bg-opacity:1}.ii-bg-none{background-image:none}.ii-bg-gradient-to-t{background-image:linear-gradient(to top,var(--tw-gradient-stops))}.ii-bg-gradient-to-tr{background-image:linear-gradient(to top right,var(--tw-gradient-stops))}.ii-bg-gradient-to-r{background-image:linear-gradient(to right,var(--tw-gradient-stops))}.ii-bg-gradient-to-br{background-image:linear-gradient(to bottom right,var(--tw-gradient-stops))}.ii-bg-gradient-to-b{background-image:linear-gradient(to bottom,var(--tw-gradient-stops))}.ii-bg-gradient-to-bl{background-image:linear-gradient(to bottom left,var(--tw-gradient-stops))}.ii-bg-gradient-to-l{background-image:linear-gradient(to left,var(--tw-gradient-stops))}.ii-bg-gradient-to-tl{background-image:linear-gradient(to top left,var(--tw-gradient-stops))}.ii-from-igem-green{--tw-gradient-from:#08c784;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,rgba(8,199,132,0))}.ii-from-igem-yellow{--tw-gradient-from:#fcd075;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,hsla(40,96%,72%,0))}.ii-from-igem-blue{--tw-gradient-from:#019cdb;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,rgba(1,156,219,0))}.ii-from-igem-black{--tw-gradient-from:#222124;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,rgba(34,33,36,0))}.ii-bg-auto{background-size:auto}.ii-bg-cover{background-size:cover}.ii-bg-contain{background-size:contain}.ii-bg-fixed{background-attachment:fixed}.ii-bg-local{background-attachment:local}.ii-bg-scroll{background-attachment:scroll}.ii-bg-clip-border{background-clip:border-box}.ii-bg-clip-padding{background-clip:padding-box}.ii-bg-clip-content{background-clip:content-box}.ii-bg-clip-text{-webkit-background-clip:text;background-clip:text}.ii-bg-bottom{background-position:bottom}.ii-bg-center{background-position:50%}.ii-bg-left{background-position:0}.ii-bg-left-bottom{background-position:0 100%}.ii-bg-left-top{background-position:0 0}.ii-bg-right{background-position:100%}.ii-bg-right-bottom{background-position:100% 100%}.ii-bg-right-top{background-position:100% 0}.ii-bg-top{background-position:top}.ii-bg-select{background-position:calc(100% - .75rem)}.ii-bg-repeat{background-repeat:repeat}.ii-bg-no-repeat{background-repeat:no-repeat}.ii-bg-repeat-x{background-repeat:repeat-x}.ii-bg-repeat-y{background-repeat:repeat-y}.ii-bg-repeat-round{background-repeat:round}.ii-bg-repeat-space{background-repeat:space}.ii-bg-origin-border{background-origin:border-box}.ii-bg-origin-padding{background-origin:padding-box}.ii-bg-origin-content{background-origin:content-box}.ii-object-cover{-o-object-fit:cover;object-fit:cover}.ii-object-center{-o-object-position:center;object-position:center}.ii-p-5{padding:1.25rem}.ii-p-4{padding:1rem}.ii-p-8{padding:2rem}.ii-p-2{padding:.5rem}.ii-px-12{padding-left:3rem;padding-right:3rem}.ii-py-6{padding-bottom:1.5rem;padding-top:1.5rem}.ii-px-8{padding-left:2rem;padding-right:2rem}.ii-py-4{padding-bottom:1rem;padding-top:1rem}.ii-py-3\\.5{padding-bottom:.875rem;padding-top:.875rem}.ii-py-3{padding-bottom:.75rem;padding-top:.75rem}.ii-px-5{padding-left:1.25rem;padding-right:1.25rem}.ii-py-2{padding-bottom:.5rem;padding-top:.5rem}.ii-px-3{padding-left:.75rem;padding-right:.75rem}.ii-px-2{padding-left:.5rem;padding-right:.5rem}.ii-py-1{padding-bottom:.25rem;padding-top:.25rem}.ii-py-7{padding-bottom:1.75rem;padding-top:1.75rem}.ii-px-4{padding-left:1rem;padding-right:1rem}.ii-py-10{padding-bottom:2.5rem;padding-top:2.5rem}.ii-pl-8{padding-left:2rem}.ii-pr-4{padding-right:1rem}.ii-pl-10{padding-left:2.5rem}.ii-pb-8{padding-bottom:2rem}.ii-pt-2\\.5{padding-top:.625rem}.ii-pt-2{padding-top:.5rem}.ii-pb-4{padding-bottom:1rem}.ii-pl-6{padding-left:1.5rem}.ii-pr-6{padding-right:1.5rem}.ii-pt-3{padding-top:.75rem}.ii-pl-12{padding-left:3rem}.ii-pr-5{padding-right:1.25rem}.ii-pr-16{padding-right:4rem}.ii-pb-3{padding-bottom:.75rem}.ii-text-left{text-align:left}.ii-text-center{text-align:center}.ii-text-right{text-align:right}.ii-text-justify{text-align:justify}.ii-align-top{vertical-align:top}.ii-align-bottom{vertical-align:bottom}.ii-text-xxs{font-size:.512rem}.ii-text-xs{font-size:.64rem}.ii-text-sm{font-size:.8rem;line-height:1.375rem}.ii-text-md{font-size:.9rem}.ii-text-base{font-size:1rem;line-height:1.625rem}.ii-text-lg{font-size:1.25rem;line-height:1.75rem}.ii-text-xl{font-size:1.563rem;line-height:2.188rem}.ii-text-2xl{font-size:1.953rem;line-height:2.5rem}.ii-text-3xl{font-size:2.441rem;line-height:3rem}.ii-text-4xl{font-size:3.052rem;line-height:3.375rem}.ii-font-bold{font-weight:700}.ii-font-semibold{font-weight:600}.ii-font-medium{font-weight:500}.ii-font-normal{font-weight:400}.ii-font-light{font-weight:300}.ii-uppercase{text-transform:uppercase}.ii-italic{font-style:italic}.ii-tracking-widest{letter-spacing:.1em}.ii-tracking-wider{letter-spacing:.05em}.ii-text-igem-green{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.ii-text-igem-blue{--tw-text-opacity:1;color:rgb(1 156 219/var(--tw-text-opacity))}.ii-text-igem-red{--tw-text-opacity:1;color:rgb(240 52 71/var(--tw-text-opacity))}.ii-text-igem-orange{--tw-text-opacity:1;color:rgb(255 137 69/var(--tw-text-opacity))}.ii-text-igem-yellow{--tw-text-opacity:1;color:rgb(252 208 117/var(--tw-text-opacity))}.ii-text-igem-black{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity))}.ii-text-igem-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.ii-text-yellow-550{--tw-text-opacity:1;color:rgb(252 208 117/var(--tw-text-opacity))}.ii-text-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.ii-text-green-100{--tw-text-opacity:1;color:rgb(230 246 240/var(--tw-text-opacity))}.ii-text-green-200{--tw-text-opacity:1;color:rgb(186 233 217/var(--tw-text-opacity))}.ii-text-green-300{--tw-text-opacity:1;color:rgb(212 241 231/var(--tw-text-opacity))}.ii-text-green-400{--tw-text-opacity:1;color:rgb(97 212 172/var(--tw-text-opacity))}.ii-text-green-500{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.ii-text-gray-400{--tw-text-opacity:1;color:rgb(221 221 221/var(--tw-text-opacity))}.ii-text-gray-500{--tw-text-opacity:1;color:rgb(246 247 248/var(--tw-text-opacity))}.ii-text-gray-600{color:#70707021}.ii-text-gray-700{--tw-text-opacity:1;color:rgb(112 112 112/var(--tw-text-opacity))}.ii-text-gray-800{color:#232323a7}.ii-text-red-200{color:#f4506248}.ii-text-red-300{--tw-text-opacity:1;color:rgb(245 99 127/var(--tw-text-opacity))}.ii-text-red-400{--tw-text-opacity:1;color:rgb(242 45 65/var(--tw-text-opacity))}.ii-text-red-500{--tw-text-opacity:1;color:rgb(255 0 0/var(--tw-text-opacity))}.ii-text-turquoise{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.ii-text-black-400{--tw-text-opacity:1;color:rgb(51 50 53/var(--tw-text-opacity))}.ii-text-black-500{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity))}.ii-text-blue-500{--tw-text-opacity:1;color:rgb(1 156 219/var(--tw-text-opacity))}.ii-text-transparent{color:transparent}.ii-text-opacity-0{--tw-text-opacity:0}.ii-text-opacity-5{--tw-text-opacity:0.05}.ii-text-opacity-10{--tw-text-opacity:0.1}.ii-text-opacity-15{--tw-text-opacity:.15}.ii-text-opacity-20{--tw-text-opacity:0.2}.ii-text-opacity-25{--tw-text-opacity:0.25}.ii-text-opacity-30{--tw-text-opacity:0.3}.ii-text-opacity-40{--tw-text-opacity:0.4}.ii-text-opacity-50{--tw-text-opacity:0.5}.ii-text-opacity-60{--tw-text-opacity:0.6}.ii-text-opacity-70{--tw-text-opacity:0.7}.ii-text-opacity-75{--tw-text-opacity:0.75}.ii-text-opacity-80{--tw-text-opacity:0.8}.ii-text-opacity-90{--tw-text-opacity:0.9}.ii-text-opacity-95{--tw-text-opacity:0.95}.ii-text-opacity-100{--tw-text-opacity:1}.ii-underline{-webkit-text-decoration-line:underline;text-decoration-line:underline}.ii-decoration-2{text-decoration-thickness:2px}.ii-underline-offset-8{text-underline-offset:8px}.ii-placeholder-opacity-80::-moz-placeholder{--tw-placeholder-opacity:0.8}.ii-placeholder-opacity-80:-ms-input-placeholder{--tw-placeholder-opacity:0.8}.ii-placeholder-opacity-80::placeholder{--tw-placeholder-opacity:0.8}.ii-opacity-20{opacity:.2}.ii-opacity-0{opacity:0}.ii-opacity-60{opacity:.6}.ii-opacity-50{opacity:.5}.ii-opacity-40{opacity:.4}.ii-bg-blend-normal{background-blend-mode:normal}.ii-bg-blend-multiply{background-blend-mode:multiply}.ii-bg-blend-screen{background-blend-mode:screen}.ii-bg-blend-overlay{background-blend-mode:overlay}.ii-bg-blend-darken{background-blend-mode:darken}.ii-bg-blend-lighten{background-blend-mode:lighten}.ii-bg-blend-color-dodge{background-blend-mode:color-dodge}.ii-bg-blend-color-burn{background-blend-mode:color-burn}.ii-bg-blend-hard-light{background-blend-mode:hard-light}.ii-bg-blend-soft-light{background-blend-mode:soft-light}.ii-bg-blend-difference{background-blend-mode:difference}.ii-bg-blend-exclusion{background-blend-mode:exclusion}.ii-bg-blend-hue{background-blend-mode:hue}.ii-bg-blend-saturation{background-blend-mode:saturation}.ii-bg-blend-color{background-blend-mode:color}.ii-bg-blend-luminosity{background-blend-mode:luminosity}.ii-shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color)}.ii-shadow,.ii-shadow-md{box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.ii-shadow-md{--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color)}.ii-transition{transition-duration:.15s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-transition-colors{transition-duration:.15s;transition-property:color,background-color,border-color,fill,stroke,-webkit-text-decoration-color;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,-webkit-text-decoration-color;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-transition-opacity{transition-duration:.15s;transition-property:opacity;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-duration-200{transition-duration:.2s}.ii-duration-300{transition-duration:.3s}.ii-ease-in-out{transition-timing-function:cubic-bezier(.4,0,.2,1)}.hover\\:ii-transition-scale:hover{transform:scale(1.02)}.hover\\:ii-transition-scale:hover:active{transform:scale(1)}.hover\\:ii-border-collapse:hover{border-collapse:collapse}.hover\\:ii-border-separate:hover{border-collapse:separate}.hover\\:ii-cursor-pointer:hover{cursor:pointer}.hover\\:ii-text-ellipsis:hover{text-overflow:ellipsis}.hover\\:ii-text-clip:hover{text-overflow:clip}.hover\\:ii-border-0:hover{border-width:0}.hover\\:ii-border-2:hover{border-width:2px}.hover\\:ii-border-4:hover{border-width:4px}.hover\\:ii-border-8:hover{border-width:8px}.hover\\:ii-border:hover{border-width:1px}.hover\\:ii-border-1\\.5:hover{border-width:1.5px}.hover\\:ii-border-x-0:hover{border-left-width:0;border-right-width:0}.hover\\:ii-border-x-2:hover{border-left-width:2px;border-right-width:2px}.hover\\:ii-border-x-4:hover{border-left-width:4px;border-right-width:4px}.hover\\:ii-border-x-8:hover{border-left-width:8px;border-right-width:8px}.hover\\:ii-border-x:hover{border-left-width:1px;border-right-width:1px}.hover\\:ii-border-x-1\\.5:hover{border-left-width:1.5px;border-right-width:1.5px}.hover\\:ii-border-y-0:hover{border-bottom-width:0;border-top-width:0}.hover\\:ii-border-y-2:hover{border-bottom-width:2px;border-top-width:2px}.hover\\:ii-border-y-4:hover{border-bottom-width:4px;border-top-width:4px}.hover\\:ii-border-y-8:hover{border-bottom-width:8px;border-top-width:8px}.hover\\:ii-border-y:hover{border-bottom-width:1px;border-top-width:1px}.hover\\:ii-border-y-1\\.5:hover{border-bottom-width:1.5px;border-top-width:1.5px}.hover\\:ii-border-t-0:hover{border-top-width:0}.hover\\:ii-border-t-2:hover{border-top-width:2px}.hover\\:ii-border-t-4:hover{border-top-width:4px}.hover\\:ii-border-t-8:hover{border-top-width:8px}.hover\\:ii-border-t:hover{border-top-width:1px}.hover\\:ii-border-t-1\\.5:hover{border-top-width:1.5px}.hover\\:ii-border-r-0:hover{border-right-width:0}.hover\\:ii-border-r-2:hover{border-right-width:2px}.hover\\:ii-border-r-4:hover{border-right-width:4px}.hover\\:ii-border-r-8:hover{border-right-width:8px}.hover\\:ii-border-r:hover{border-right-width:1px}.hover\\:ii-border-r-1\\.5:hover{border-right-width:1.5px}.hover\\:ii-border-b-0:hover{border-bottom-width:0}.hover\\:ii-border-b-2:hover{border-bottom-width:2px}.hover\\:ii-border-b-4:hover{border-bottom-width:4px}.hover\\:ii-border-b-8:hover{border-bottom-width:8px}.hover\\:ii-border-b:hover{border-bottom-width:1px}.hover\\:ii-border-b-1\\.5:hover{border-bottom-width:1.5px}.hover\\:ii-border-l-0:hover{border-left-width:0}.hover\\:ii-border-l-2:hover{border-left-width:2px}.hover\\:ii-border-l-4:hover{border-left-width:4px}.hover\\:ii-border-l-8:hover{border-left-width:8px}.hover\\:ii-border-l:hover{border-left-width:1px}.hover\\:ii-border-l-1\\.5:hover{border-left-width:1.5px}.hover\\:ii-border-solid:hover{border-style:solid}.hover\\:ii-border-dashed:hover{border-style:dashed}.hover\\:ii-border-dotted:hover{border-style:dotted}.hover\\:ii-border-double:hover{border-style:double}.hover\\:ii-border-hidden:hover{border-style:hidden}.hover\\:ii-border-none:hover{border-style:none}.hover\\:ii-border-igem-green:hover{--tw-border-opacity:1;border-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-igem-blue:hover{--tw-border-opacity:1;border-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-igem-red:hover{--tw-border-opacity:1;border-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-igem-orange:hover{--tw-border-opacity:1;border-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-igem-yellow:hover{--tw-border-opacity:1;border-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-igem-black:hover{--tw-border-opacity:1;border-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-igem-white:hover{--tw-border-opacity:1;border-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-yellow-550:hover{--tw-border-opacity:1;border-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-white:hover{--tw-border-opacity:1;border-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-green-100:hover{--tw-border-opacity:1;border-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-green-200:hover{--tw-border-opacity:1;border-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-green-300:hover{--tw-border-opacity:1;border-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-green-400:hover{--tw-border-opacity:1;border-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-green-500:hover{--tw-border-opacity:1;border-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-gray-400:hover{--tw-border-opacity:1;border-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-gray-500:hover{--tw-border-opacity:1;border-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-gray-600:hover{border-color:#70707021}.hover\\:ii-border-gray-700:hover{--tw-border-opacity:1;border-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-gray-800:hover{border-color:#232323a7}.hover\\:ii-border-red-200:hover{border-color:#f4506248}.hover\\:ii-border-red-300:hover{--tw-border-opacity:1;border-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-red-400:hover{--tw-border-opacity:1;border-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-red-500:hover{--tw-border-opacity:1;border-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-turquoise:hover{--tw-border-opacity:1;border-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-black-400:hover{--tw-border-opacity:1;border-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-black-500:hover{--tw-border-opacity:1;border-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-blue-500:hover{--tw-border-opacity:1;border-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-transparent:hover{border-color:transparent}.hover\\:ii-border-x-igem-green:hover{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity));border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-x-igem-blue:hover{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity));border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-x-igem-red:hover{--tw-border-opacity:1;border-left-color:rgb(240 52 71/var(--tw-border-opacity));border-right-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-x-igem-orange:hover{--tw-border-opacity:1;border-left-color:rgb(255 137 69/var(--tw-border-opacity));border-right-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-x-igem-yellow:hover{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity));border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-x-igem-black:hover{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity));border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-x-igem-white:hover{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity));border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-x-yellow-550:hover{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity));border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-x-white:hover{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity));border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-x-green-100:hover{--tw-border-opacity:1;border-left-color:rgb(230 246 240/var(--tw-border-opacity));border-right-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-x-green-200:hover{--tw-border-opacity:1;border-left-color:rgb(186 233 217/var(--tw-border-opacity));border-right-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-x-green-300:hover{--tw-border-opacity:1;border-left-color:rgb(212 241 231/var(--tw-border-opacity));border-right-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-x-green-400:hover{--tw-border-opacity:1;border-left-color:rgb(97 212 172/var(--tw-border-opacity));border-right-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-x-green-500:hover{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity));border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-x-gray-400:hover{--tw-border-opacity:1;border-left-color:rgb(221 221 221/var(--tw-border-opacity));border-right-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-x-gray-500:hover{--tw-border-opacity:1;border-left-color:rgb(246 247 248/var(--tw-border-opacity));border-right-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-x-gray-600:hover{border-left-color:#70707021;border-right-color:#70707021}.hover\\:ii-border-x-gray-700:hover{--tw-border-opacity:1;border-left-color:rgb(112 112 112/var(--tw-border-opacity));border-right-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-x-gray-800:hover{border-left-color:#232323a7;border-right-color:#232323a7}.hover\\:ii-border-x-red-200:hover{border-left-color:#f4506248;border-right-color:#f4506248}.hover\\:ii-border-x-red-300:hover{--tw-border-opacity:1;border-left-color:rgb(245 99 127/var(--tw-border-opacity));border-right-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-x-red-400:hover{--tw-border-opacity:1;border-left-color:rgb(242 45 65/var(--tw-border-opacity));border-right-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-x-red-500:hover{--tw-border-opacity:1;border-left-color:rgb(255 0 0/var(--tw-border-opacity));border-right-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-x-turquoise:hover{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity));border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-x-black-400:hover{--tw-border-opacity:1;border-left-color:rgb(51 50 53/var(--tw-border-opacity));border-right-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-x-black-500:hover{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity));border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-x-blue-500:hover{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity));border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-x-transparent:hover{border-left-color:transparent;border-right-color:transparent}.hover\\:ii-border-y-igem-green:hover{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity));border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-y-igem-blue:hover{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity));border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-y-igem-red:hover{--tw-border-opacity:1;border-bottom-color:rgb(240 52 71/var(--tw-border-opacity));border-top-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-y-igem-orange:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 137 69/var(--tw-border-opacity));border-top-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-y-igem-yellow:hover{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity));border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-y-igem-black:hover{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity));border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-y-igem-white:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity));border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-y-yellow-550:hover{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity));border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-y-white:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity));border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-y-green-100:hover{--tw-border-opacity:1;border-bottom-color:rgb(230 246 240/var(--tw-border-opacity));border-top-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-y-green-200:hover{--tw-border-opacity:1;border-bottom-color:rgb(186 233 217/var(--tw-border-opacity));border-top-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-y-green-300:hover{--tw-border-opacity:1;border-bottom-color:rgb(212 241 231/var(--tw-border-opacity));border-top-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-y-green-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(97 212 172/var(--tw-border-opacity));border-top-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-y-green-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity));border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-y-gray-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(221 221 221/var(--tw-border-opacity));border-top-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-y-gray-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(246 247 248/var(--tw-border-opacity));border-top-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-y-gray-600:hover{border-bottom-color:#70707021;border-top-color:#70707021}.hover\\:ii-border-y-gray-700:hover{--tw-border-opacity:1;border-bottom-color:rgb(112 112 112/var(--tw-border-opacity));border-top-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-y-gray-800:hover{border-bottom-color:#232323a7;border-top-color:#232323a7}.hover\\:ii-border-y-red-200:hover{border-bottom-color:#f4506248;border-top-color:#f4506248}.hover\\:ii-border-y-red-300:hover{--tw-border-opacity:1;border-bottom-color:rgb(245 99 127/var(--tw-border-opacity));border-top-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-y-red-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(242 45 65/var(--tw-border-opacity));border-top-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-y-red-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 0 0/var(--tw-border-opacity));border-top-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-y-turquoise:hover{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity));border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-y-black-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(51 50 53/var(--tw-border-opacity));border-top-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-y-black-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity));border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-y-blue-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity));border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-y-transparent:hover{border-bottom-color:transparent;border-top-color:transparent}.hover\\:ii-border-t-igem-green:hover{--tw-border-opacity:1;border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-t-igem-blue:hover{--tw-border-opacity:1;border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-t-igem-red:hover{--tw-border-opacity:1;border-top-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-t-igem-orange:hover{--tw-border-opacity:1;border-top-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-t-igem-yellow:hover{--tw-border-opacity:1;border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-t-igem-black:hover{--tw-border-opacity:1;border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-t-igem-white:hover{--tw-border-opacity:1;border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-t-yellow-550:hover{--tw-border-opacity:1;border-top-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-t-white:hover{--tw-border-opacity:1;border-top-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-t-green-100:hover{--tw-border-opacity:1;border-top-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-t-green-200:hover{--tw-border-opacity:1;border-top-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-t-green-300:hover{--tw-border-opacity:1;border-top-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-t-green-400:hover{--tw-border-opacity:1;border-top-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-t-green-500:hover{--tw-border-opacity:1;border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-t-gray-400:hover{--tw-border-opacity:1;border-top-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-t-gray-500:hover{--tw-border-opacity:1;border-top-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-t-gray-600:hover{border-top-color:#70707021}.hover\\:ii-border-t-gray-700:hover{--tw-border-opacity:1;border-top-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-t-gray-800:hover{border-top-color:#232323a7}.hover\\:ii-border-t-red-200:hover{border-top-color:#f4506248}.hover\\:ii-border-t-red-300:hover{--tw-border-opacity:1;border-top-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-t-red-400:hover{--tw-border-opacity:1;border-top-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-t-red-500:hover{--tw-border-opacity:1;border-top-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-t-turquoise:hover{--tw-border-opacity:1;border-top-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-t-black-400:hover{--tw-border-opacity:1;border-top-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-t-black-500:hover{--tw-border-opacity:1;border-top-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-t-blue-500:hover{--tw-border-opacity:1;border-top-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-t-transparent:hover{border-top-color:transparent}.hover\\:ii-border-r-igem-green:hover{--tw-border-opacity:1;border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-r-igem-blue:hover{--tw-border-opacity:1;border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-r-igem-red:hover{--tw-border-opacity:1;border-right-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-r-igem-orange:hover{--tw-border-opacity:1;border-right-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-r-igem-yellow:hover{--tw-border-opacity:1;border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-r-igem-black:hover{--tw-border-opacity:1;border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-r-igem-white:hover{--tw-border-opacity:1;border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-r-yellow-550:hover{--tw-border-opacity:1;border-right-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-r-white:hover{--tw-border-opacity:1;border-right-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-r-green-100:hover{--tw-border-opacity:1;border-right-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-r-green-200:hover{--tw-border-opacity:1;border-right-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-r-green-300:hover{--tw-border-opacity:1;border-right-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-r-green-400:hover{--tw-border-opacity:1;border-right-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-r-green-500:hover{--tw-border-opacity:1;border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-r-gray-400:hover{--tw-border-opacity:1;border-right-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-r-gray-500:hover{--tw-border-opacity:1;border-right-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-r-gray-600:hover{border-right-color:#70707021}.hover\\:ii-border-r-gray-700:hover{--tw-border-opacity:1;border-right-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-r-gray-800:hover{border-right-color:#232323a7}.hover\\:ii-border-r-red-200:hover{border-right-color:#f4506248}.hover\\:ii-border-r-red-300:hover{--tw-border-opacity:1;border-right-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-r-red-400:hover{--tw-border-opacity:1;border-right-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-r-red-500:hover{--tw-border-opacity:1;border-right-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-r-turquoise:hover{--tw-border-opacity:1;border-right-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-r-black-400:hover{--tw-border-opacity:1;border-right-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-r-black-500:hover{--tw-border-opacity:1;border-right-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-r-blue-500:hover{--tw-border-opacity:1;border-right-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-r-transparent:hover{border-right-color:transparent}.hover\\:ii-border-b-igem-green:hover{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-b-igem-blue:hover{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-b-igem-red:hover{--tw-border-opacity:1;border-bottom-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-b-igem-orange:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-b-igem-yellow:hover{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-b-igem-black:hover{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-b-igem-white:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-b-yellow-550:hover{--tw-border-opacity:1;border-bottom-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-b-white:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-b-green-100:hover{--tw-border-opacity:1;border-bottom-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-b-green-200:hover{--tw-border-opacity:1;border-bottom-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-b-green-300:hover{--tw-border-opacity:1;border-bottom-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-b-green-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-b-green-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-b-gray-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-b-gray-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-b-gray-600:hover{border-bottom-color:#70707021}.hover\\:ii-border-b-gray-700:hover{--tw-border-opacity:1;border-bottom-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-b-gray-800:hover{border-bottom-color:#232323a7}.hover\\:ii-border-b-red-200:hover{border-bottom-color:#f4506248}.hover\\:ii-border-b-red-300:hover{--tw-border-opacity:1;border-bottom-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-b-red-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-b-red-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-b-turquoise:hover{--tw-border-opacity:1;border-bottom-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-b-black-400:hover{--tw-border-opacity:1;border-bottom-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-b-black-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-b-blue-500:hover{--tw-border-opacity:1;border-bottom-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-b-transparent:hover{border-bottom-color:transparent}.hover\\:ii-border-l-igem-green:hover{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-l-igem-blue:hover{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-l-igem-red:hover{--tw-border-opacity:1;border-left-color:rgb(240 52 71/var(--tw-border-opacity))}.hover\\:ii-border-l-igem-orange:hover{--tw-border-opacity:1;border-left-color:rgb(255 137 69/var(--tw-border-opacity))}.hover\\:ii-border-l-igem-yellow:hover{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-l-igem-black:hover{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-l-igem-white:hover{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-l-yellow-550:hover{--tw-border-opacity:1;border-left-color:rgb(252 208 117/var(--tw-border-opacity))}.hover\\:ii-border-l-white:hover{--tw-border-opacity:1;border-left-color:rgb(255 255 255/var(--tw-border-opacity))}.hover\\:ii-border-l-green-100:hover{--tw-border-opacity:1;border-left-color:rgb(230 246 240/var(--tw-border-opacity))}.hover\\:ii-border-l-green-200:hover{--tw-border-opacity:1;border-left-color:rgb(186 233 217/var(--tw-border-opacity))}.hover\\:ii-border-l-green-300:hover{--tw-border-opacity:1;border-left-color:rgb(212 241 231/var(--tw-border-opacity))}.hover\\:ii-border-l-green-400:hover{--tw-border-opacity:1;border-left-color:rgb(97 212 172/var(--tw-border-opacity))}.hover\\:ii-border-l-green-500:hover{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-l-gray-400:hover{--tw-border-opacity:1;border-left-color:rgb(221 221 221/var(--tw-border-opacity))}.hover\\:ii-border-l-gray-500:hover{--tw-border-opacity:1;border-left-color:rgb(246 247 248/var(--tw-border-opacity))}.hover\\:ii-border-l-gray-600:hover{border-left-color:#70707021}.hover\\:ii-border-l-gray-700:hover{--tw-border-opacity:1;border-left-color:rgb(112 112 112/var(--tw-border-opacity))}.hover\\:ii-border-l-gray-800:hover{border-left-color:#232323a7}.hover\\:ii-border-l-red-200:hover{border-left-color:#f4506248}.hover\\:ii-border-l-red-300:hover{--tw-border-opacity:1;border-left-color:rgb(245 99 127/var(--tw-border-opacity))}.hover\\:ii-border-l-red-400:hover{--tw-border-opacity:1;border-left-color:rgb(242 45 65/var(--tw-border-opacity))}.hover\\:ii-border-l-red-500:hover{--tw-border-opacity:1;border-left-color:rgb(255 0 0/var(--tw-border-opacity))}.hover\\:ii-border-l-turquoise:hover{--tw-border-opacity:1;border-left-color:rgb(8 199 132/var(--tw-border-opacity))}.hover\\:ii-border-l-black-400:hover{--tw-border-opacity:1;border-left-color:rgb(51 50 53/var(--tw-border-opacity))}.hover\\:ii-border-l-black-500:hover{--tw-border-opacity:1;border-left-color:rgb(34 33 36/var(--tw-border-opacity))}.hover\\:ii-border-l-blue-500:hover{--tw-border-opacity:1;border-left-color:rgb(1 156 219/var(--tw-border-opacity))}.hover\\:ii-border-l-transparent:hover{border-left-color:transparent}.hover\\:ii-border-opacity-0:hover{--tw-border-opacity:0}.hover\\:ii-border-opacity-5:hover{--tw-border-opacity:0.05}.hover\\:ii-border-opacity-10:hover{--tw-border-opacity:0.1}.hover\\:ii-border-opacity-15:hover{--tw-border-opacity:.15}.hover\\:ii-border-opacity-20:hover{--tw-border-opacity:0.2}.hover\\:ii-border-opacity-25:hover{--tw-border-opacity:0.25}.hover\\:ii-border-opacity-30:hover{--tw-border-opacity:0.3}.hover\\:ii-border-opacity-40:hover{--tw-border-opacity:0.4}.hover\\:ii-border-opacity-50:hover{--tw-border-opacity:0.5}.hover\\:ii-border-opacity-60:hover{--tw-border-opacity:0.6}.hover\\:ii-border-opacity-70:hover{--tw-border-opacity:0.7}.hover\\:ii-border-opacity-75:hover{--tw-border-opacity:0.75}.hover\\:ii-border-opacity-80:hover{--tw-border-opacity:0.8}.hover\\:ii-border-opacity-90:hover{--tw-border-opacity:0.9}.hover\\:ii-border-opacity-95:hover{--tw-border-opacity:0.95}.hover\\:ii-border-opacity-100:hover{--tw-border-opacity:1}.hover\\:ii-bg-igem-green:hover{--tw-bg-opacity:1;background-color:rgb(8 199 132/var(--tw-bg-opacity))}.hover\\:ii-bg-igem-blue:hover{--tw-bg-opacity:1;background-color:rgb(1 156 219/var(--tw-bg-opacity))}.hover\\:ii-bg-igem-red:hover{--tw-bg-opacity:1;background-color:rgb(240 52 71/var(--tw-bg-opacity))}.hover\\:ii-bg-igem-orange:hover{--tw-bg-opacity:1;background-color:rgb(255 137 69/var(--tw-bg-opacity))}.hover\\:ii-bg-igem-yellow:hover{--tw-bg-opacity:1;background-color:rgb(252 208 117/var(--tw-bg-opacity))}.hover\\:ii-bg-igem-black:hover{--tw-bg-opacity:1;background-color:rgb(34 33 36/var(--tw-bg-opacity))}.hover\\:ii-bg-igem-white:hover{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}.hover\\:ii-bg-yellow-550:hover{--tw-bg-opacity:1;background-color:rgb(252 208 117/var(--tw-bg-opacity))}.hover\\:ii-bg-white:hover{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}.hover\\:ii-bg-green-100:hover{--tw-bg-opacity:1;background-color:rgb(230 246 240/var(--tw-bg-opacity))}.hover\\:ii-bg-green-200:hover{--tw-bg-opacity:1;background-color:rgb(186 233 217/var(--tw-bg-opacity))}.hover\\:ii-bg-green-300:hover{--tw-bg-opacity:1;background-color:rgb(212 241 231/var(--tw-bg-opacity))}.hover\\:ii-bg-green-400:hover{--tw-bg-opacity:1;background-color:rgb(97 212 172/var(--tw-bg-opacity))}.hover\\:ii-bg-green-500:hover{--tw-bg-opacity:1;background-color:rgb(8 199 132/var(--tw-bg-opacity))}.hover\\:ii-bg-gray-400:hover{--tw-bg-opacity:1;background-color:rgb(221 221 221/var(--tw-bg-opacity))}.hover\\:ii-bg-gray-500:hover{--tw-bg-opacity:1;background-color:rgb(246 247 248/var(--tw-bg-opacity))}.hover\\:ii-bg-gray-600:hover{background-color:#70707021}.hover\\:ii-bg-gray-700:hover{--tw-bg-opacity:1;background-color:rgb(112 112 112/var(--tw-bg-opacity))}.hover\\:ii-bg-gray-800:hover{background-color:#232323a7}.hover\\:ii-bg-red-200:hover{background-color:#f4506248}.hover\\:ii-bg-red-300:hover{--tw-bg-opacity:1;background-color:rgb(245 99 127/var(--tw-bg-opacity))}.hover\\:ii-bg-red-400:hover{--tw-bg-opacity:1;background-color:rgb(242 45 65/var(--tw-bg-opacity))}.hover\\:ii-bg-red-500:hover{--tw-bg-opacity:1;background-color:rgb(255 0 0/var(--tw-bg-opacity))}.hover\\:ii-bg-turquoise:hover{--tw-bg-opacity:1;background-color:rgb(8 199 132/var(--tw-bg-opacity))}.hover\\:ii-bg-black-400:hover{--tw-bg-opacity:1;background-color:rgb(51 50 53/var(--tw-bg-opacity))}.hover\\:ii-bg-black-500:hover{--tw-bg-opacity:1;background-color:rgb(34 33 36/var(--tw-bg-opacity))}.hover\\:ii-bg-blue-500:hover{--tw-bg-opacity:1;background-color:rgb(1 156 219/var(--tw-bg-opacity))}.hover\\:ii-bg-transparent:hover{background-color:transparent}.hover\\:ii-bg-opacity-0:hover{--tw-bg-opacity:0}.hover\\:ii-bg-opacity-5:hover{--tw-bg-opacity:0.05}.hover\\:ii-bg-opacity-10:hover{--tw-bg-opacity:0.1}.hover\\:ii-bg-opacity-15:hover{--tw-bg-opacity:.15}.hover\\:ii-bg-opacity-20:hover{--tw-bg-opacity:0.2}.hover\\:ii-bg-opacity-25:hover{--tw-bg-opacity:0.25}.hover\\:ii-bg-opacity-30:hover{--tw-bg-opacity:0.3}.hover\\:ii-bg-opacity-40:hover{--tw-bg-opacity:0.4}.hover\\:ii-bg-opacity-50:hover{--tw-bg-opacity:0.5}.hover\\:ii-bg-opacity-60:hover{--tw-bg-opacity:0.6}.hover\\:ii-bg-opacity-70:hover{--tw-bg-opacity:0.7}.hover\\:ii-bg-opacity-75:hover{--tw-bg-opacity:0.75}.hover\\:ii-bg-opacity-80:hover{--tw-bg-opacity:0.8}.hover\\:ii-bg-opacity-90:hover{--tw-bg-opacity:0.9}.hover\\:ii-bg-opacity-95:hover{--tw-bg-opacity:0.95}.hover\\:ii-bg-opacity-100:hover{--tw-bg-opacity:1}.hover\\:ii-bg-none:hover{background-image:none}.hover\\:ii-bg-gradient-to-t:hover{background-image:linear-gradient(to top,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-tr:hover{background-image:linear-gradient(to top right,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-r:hover{background-image:linear-gradient(to right,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-br:hover{background-image:linear-gradient(to bottom right,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-b:hover{background-image:linear-gradient(to bottom,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-bl:hover{background-image:linear-gradient(to bottom left,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-l:hover{background-image:linear-gradient(to left,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-tl:hover{background-image:linear-gradient(to top left,var(--tw-gradient-stops))}.hover\\:ii-bg-auto:hover{background-size:auto}.hover\\:ii-bg-cover:hover{background-size:cover}.hover\\:ii-bg-contain:hover{background-size:contain}.hover\\:ii-bg-fixed:hover{background-attachment:fixed}.hover\\:ii-bg-local:hover{background-attachment:local}.hover\\:ii-bg-scroll:hover{background-attachment:scroll}.hover\\:ii-bg-clip-border:hover{background-clip:border-box}.hover\\:ii-bg-clip-padding:hover{background-clip:padding-box}.hover\\:ii-bg-clip-content:hover{background-clip:content-box}.hover\\:ii-bg-clip-text:hover{-webkit-background-clip:text;background-clip:text}.hover\\:ii-bg-bottom:hover{background-position:bottom}.hover\\:ii-bg-center:hover{background-position:50%}.hover\\:ii-bg-left:hover{background-position:0}.hover\\:ii-bg-left-bottom:hover{background-position:0 100%}.hover\\:ii-bg-left-top:hover{background-position:0 0}.hover\\:ii-bg-right:hover{background-position:100%}.hover\\:ii-bg-right-bottom:hover{background-position:100% 100%}.hover\\:ii-bg-right-top:hover{background-position:100% 0}.hover\\:ii-bg-top:hover{background-position:top}.hover\\:ii-bg-select:hover{background-position:calc(100% - .75rem)}.hover\\:ii-bg-repeat:hover{background-repeat:repeat}.hover\\:ii-bg-no-repeat:hover{background-repeat:no-repeat}.hover\\:ii-bg-repeat-x:hover{background-repeat:repeat-x}.hover\\:ii-bg-repeat-y:hover{background-repeat:repeat-y}.hover\\:ii-bg-repeat-round:hover{background-repeat:round}.hover\\:ii-bg-repeat-space:hover{background-repeat:space}.hover\\:ii-bg-origin-border:hover{background-origin:border-box}.hover\\:ii-bg-origin-padding:hover{background-origin:padding-box}.hover\\:ii-bg-origin-content:hover{background-origin:content-box}.hover\\:ii-text-left:hover{text-align:left}.hover\\:ii-text-center:hover{text-align:center}.hover\\:ii-text-right:hover{text-align:right}.hover\\:ii-text-justify:hover{text-align:justify}.hover\\:ii-text-xxs:hover{font-size:.512rem}.hover\\:ii-text-xs:hover{font-size:.64rem}.hover\\:ii-text-sm:hover{font-size:.8rem;line-height:1.375rem}.hover\\:ii-text-md:hover{font-size:.9rem}.hover\\:ii-text-base:hover{font-size:1rem;line-height:1.625rem}.hover\\:ii-text-lg:hover{font-size:1.25rem;line-height:1.75rem}.hover\\:ii-text-xl:hover{font-size:1.563rem;line-height:2.188rem}.hover\\:ii-text-2xl:hover{font-size:1.953rem;line-height:2.5rem}.hover\\:ii-text-3xl:hover{font-size:2.441rem;line-height:3rem}.hover\\:ii-text-4xl:hover{font-size:3.052rem;line-height:3.375rem}.hover\\:ii-text-igem-green:hover{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.hover\\:ii-text-igem-blue:hover{--tw-text-opacity:1;color:rgb(1 156 219/var(--tw-text-opacity))}.hover\\:ii-text-igem-red:hover{--tw-text-opacity:1;color:rgb(240 52 71/var(--tw-text-opacity))}.hover\\:ii-text-igem-orange:hover{--tw-text-opacity:1;color:rgb(255 137 69/var(--tw-text-opacity))}.hover\\:ii-text-igem-yellow:hover{--tw-text-opacity:1;color:rgb(252 208 117/var(--tw-text-opacity))}.hover\\:ii-text-igem-black:hover{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity))}.hover\\:ii-text-igem-white:hover{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.hover\\:ii-text-yellow-550:hover{--tw-text-opacity:1;color:rgb(252 208 117/var(--tw-text-opacity))}.hover\\:ii-text-white:hover{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.hover\\:ii-text-green-100:hover{--tw-text-opacity:1;color:rgb(230 246 240/var(--tw-text-opacity))}.hover\\:ii-text-green-200:hover{--tw-text-opacity:1;color:rgb(186 233 217/var(--tw-text-opacity))}.hover\\:ii-text-green-300:hover{--tw-text-opacity:1;color:rgb(212 241 231/var(--tw-text-opacity))}.hover\\:ii-text-green-400:hover{--tw-text-opacity:1;color:rgb(97 212 172/var(--tw-text-opacity))}.hover\\:ii-text-green-500:hover{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.hover\\:ii-text-gray-400:hover{--tw-text-opacity:1;color:rgb(221 221 221/var(--tw-text-opacity))}.hover\\:ii-text-gray-500:hover{--tw-text-opacity:1;color:rgb(246 247 248/var(--tw-text-opacity))}.hover\\:ii-text-gray-600:hover{color:#70707021}.hover\\:ii-text-gray-700:hover{--tw-text-opacity:1;color:rgb(112 112 112/var(--tw-text-opacity))}.hover\\:ii-text-gray-800:hover{color:#232323a7}.hover\\:ii-text-red-200:hover{color:#f4506248}.hover\\:ii-text-red-300:hover{--tw-text-opacity:1;color:rgb(245 99 127/var(--tw-text-opacity))}.hover\\:ii-text-red-400:hover{--tw-text-opacity:1;color:rgb(242 45 65/var(--tw-text-opacity))}.hover\\:ii-text-red-500:hover{--tw-text-opacity:1;color:rgb(255 0 0/var(--tw-text-opacity))}.hover\\:ii-text-turquoise:hover{--tw-text-opacity:1;color:rgb(8 199 132/var(--tw-text-opacity))}.hover\\:ii-text-black-400:hover{--tw-text-opacity:1;color:rgb(51 50 53/var(--tw-text-opacity))}.hover\\:ii-text-black-500:hover{--tw-text-opacity:1;color:rgb(34 33 36/var(--tw-text-opacity))}.hover\\:ii-text-blue-500:hover{--tw-text-opacity:1;color:rgb(1 156 219/var(--tw-text-opacity))}.hover\\:ii-text-transparent:hover{color:transparent}.hover\\:ii-text-opacity-0:hover{--tw-text-opacity:0}.hover\\:ii-text-opacity-5:hover{--tw-text-opacity:0.05}.hover\\:ii-text-opacity-10:hover{--tw-text-opacity:0.1}.hover\\:ii-text-opacity-15:hover{--tw-text-opacity:.15}.hover\\:ii-text-opacity-20:hover{--tw-text-opacity:0.2}.hover\\:ii-text-opacity-25:hover{--tw-text-opacity:0.25}.hover\\:ii-text-opacity-30:hover{--tw-text-opacity:0.3}.hover\\:ii-text-opacity-40:hover{--tw-text-opacity:0.4}.hover\\:ii-text-opacity-50:hover{--tw-text-opacity:0.5}.hover\\:ii-text-opacity-60:hover{--tw-text-opacity:0.6}.hover\\:ii-text-opacity-70:hover{--tw-text-opacity:0.7}.hover\\:ii-text-opacity-75:hover{--tw-text-opacity:0.75}.hover\\:ii-text-opacity-80:hover{--tw-text-opacity:0.8}.hover\\:ii-text-opacity-90:hover{--tw-text-opacity:0.9}.hover\\:ii-text-opacity-95:hover{--tw-text-opacity:0.95}.hover\\:ii-text-opacity-100:hover{--tw-text-opacity:1}.hover\\:ii-bg-blend-normal:hover{background-blend-mode:normal}.hover\\:ii-bg-blend-multiply:hover{background-blend-mode:multiply}.hover\\:ii-bg-blend-screen:hover{background-blend-mode:screen}.hover\\:ii-bg-blend-overlay:hover{background-blend-mode:overlay}.hover\\:ii-bg-blend-darken:hover{background-blend-mode:darken}.hover\\:ii-bg-blend-lighten:hover{background-blend-mode:lighten}.hover\\:ii-bg-blend-color-dodge:hover{background-blend-mode:color-dodge}.hover\\:ii-bg-blend-color-burn:hover{background-blend-mode:color-burn}.hover\\:ii-bg-blend-hard-light:hover{background-blend-mode:hard-light}.hover\\:ii-bg-blend-soft-light:hover{background-blend-mode:soft-light}.hover\\:ii-bg-blend-difference:hover{background-blend-mode:difference}.hover\\:ii-bg-blend-exclusion:hover{background-blend-mode:exclusion}.hover\\:ii-bg-blend-hue:hover{background-blend-mode:hue}.hover\\:ii-bg-blend-saturation:hover{background-blend-mode:saturation}.hover\\:ii-bg-blend-color:hover{background-blend-mode:color}.hover\\:ii-bg-blend-luminosity:hover{background-blend-mode:luminosity}.ii-group:hover .group-hover\\:ii-block{display:block}.ii-group:hover .group-hover\\:ii-bg-gray-600{background-color:#70707021}.ii-group:hover .group-hover\\:ii-opacity-100{opacity:1}@media (min-width:640px){.sm\\:ii-mx-2{margin-left:.5rem;margin-right:.5rem}.sm\\:ii-my-0{margin-bottom:0;margin-top:0}.sm\\:ii-mr-4{margin-right:1rem}.sm\\:ii-mt-0{margin-top:0}.sm\\:ii-ml-0{margin-left:0}.sm\\:ii-mr-10{margin-right:2.5rem}.sm\\:ii-ml-12{margin-left:3rem}.sm\\:ii-block{display:block}.sm\\:ii-flex{display:flex}.sm\\:ii-hidden{display:none}.sm\\:ii-h-6{height:1.5rem}.sm\\:ii-w-6{width:1.5rem}.sm\\:ii-w-auto{width:auto}.sm\\:ii-w-16{width:4rem}.sm\\:ii-flex-row{flex-direction:row}.sm\\:ii-items-center{align-items:center}.sm\\:ii-gap-x-2{-moz-column-gap:.5rem;column-gap:.5rem}.sm\\:ii-gap-y-0{row-gap:0}.sm\\:ii-gap-x-12{-moz-column-gap:3rem;column-gap:3rem}.sm\\:ii-py-0{padding-bottom:0;padding-top:0}}@media (min-width:768px){.md\\:ii-mx-0{margin-left:0;margin-right:0}.md\\:ii-ml-6{margin-left:1.5rem}.md\\:ii-mb-4{margin-bottom:1rem}.md\\:ii-grid-cols-1{grid-template-columns:repeat(1,minmax(0,1fr))}.md\\:ii-grid-cols-2{grid-template-columns:repeat(2,minmax(0,1fr))}.md\\:ii-grid-cols-3{grid-template-columns:repeat(3,minmax(0,1fr))}.md\\:ii-grid-cols-4{grid-template-columns:repeat(4,minmax(0,1fr))}.md\\:ii-grid-cols-5{grid-template-columns:repeat(5,minmax(0,1fr))}.md\\:ii-grid-cols-6{grid-template-columns:repeat(6,minmax(0,1fr))}.md\\:ii-grid-cols-7{grid-template-columns:repeat(7,minmax(0,1fr))}.md\\:ii-grid-cols-8{grid-template-columns:repeat(8,minmax(0,1fr))}.md\\:ii-grid-cols-9{grid-template-columns:repeat(9,minmax(0,1fr))}.md\\:ii-grid-cols-10{grid-template-columns:repeat(10,minmax(0,1fr))}.md\\:ii-grid-cols-11{grid-template-columns:repeat(11,minmax(0,1fr))}.md\\:ii-grid-cols-12{grid-template-columns:repeat(12,minmax(0,1fr))}.md\\:ii-grid-cols-none{grid-template-columns:none}.md\\:ii-grid-rows-1{grid-template-rows:repeat(1,minmax(0,1fr))}.md\\:ii-flex-row{flex-direction:row}.md\\:ii-gap-12{gap:3rem}.md\\:ii-text-3xl{font-size:2.441rem;line-height:3rem}}@media (min-width:1024px){.lg\\:ii-left-auto{left:auto}.lg\\:ii-ml-8{margin-left:2rem}.lg\\:ii-mb-8{margin-bottom:2rem}.lg\\:ii-mb-12{margin-bottom:3rem}.lg\\:ii-mb-24{margin-bottom:6rem}.lg\\:ii-mb-36{margin-bottom:9rem}.lg\\:ii-mb-48{margin-bottom:12rem}.lg\\:ii-ml-6{margin-left:1.5rem}.lg\\:ii-block{display:block}.lg\\:ii-flex{display:flex}.lg\\:ii-hidden{display:none}.lg\\:ii-h-7{height:1.75rem}.lg\\:ii-w-12{width:3rem}.lg\\:ii-w-1\\/6{width:16.666667%}.lg\\:ii-w-7{width:1.75rem}.lg\\:ii-min-w-\\[8rem\\]{min-width:8rem}.lg\\:ii-max-w-\\[60rem\\]{max-width:60rem}.lg\\:ii-bg-green-400{--tw-bg-opacity:1;background-color:rgb(97 212 172/var(--tw-bg-opacity))}.lg\\:ii-text-4xl{font-size:3.052rem;line-height:3.375rem}.lg\\:ii-text-sm{font-size:.8rem;line-height:1.375rem}.lg\\:ii-text-black-400{--tw-text-opacity:1;color:rgb(51 50 53/var(--tw-text-opacity))}}@media (min-width:1280px){.xl\\:ii-ml-16{margin-left:4rem}.xl\\:ii-block{display:block}.xl\\:ii-px-4{padding-left:1rem;padding-right:1rem}}@media (min-width:1536px){.\\32xl\\:ii-px-32{padding-left:8rem;padding-right:8rem}}";
styleInject(css_248z,{"insertAt":"top"});

var PageContent = function PageContent(props) {
  var children = props.children,
      className = props.className;
  return React.createElement("div", {
    className: clsx('ii-page-content', className)
  }, children);
};

var LINK_VALUE;

(function (LINK_VALUE) {
  LINK_VALUE["IGEM"] = "igem";
  LINK_VALUE["COMPETITION"] = "competition";
  LINK_VALUE["PROJECTS"] = "projects";
  LINK_VALUE["COMMUNITY"] = "community";
  LINK_VALUE["TECHNOLOGY"] = "technology";
  LINK_VALUE["RESPONSIBILITY"] = "responsibility";
  LINK_VALUE["STARTUPS"] = "startups";
  LINK_VALUE["LEAGUES"] = "leagues";
  LINK_VALUE["JAMBOREE"] = "jamboree"; // VIDEOS = 'videos',
  // REGISTRY = 'registry',
  // MEDIA = 'media',

  LINK_VALUE["DASHBOARD"] = "dashboard";
})(LINK_VALUE || (LINK_VALUE = {}));

var links = {
  igem: {
    title: 'iGEM',
    link: 'https://igem.org',
    toggle: ''
  },
  competition: {
    title: 'Competition',
    link: 'https://competition.igem.org',
    toggle: ''
  },
  projects: {
    title: 'Projects',
    link: 'https://projects.igem.org',
    toggle: ''
  },
  community: {
    title: 'Community',
    link: 'https://community.igem.org',
    toggle: ''
  },
  technology: {
    title: 'Technology',
    link: 'https://technology.igem.org',
    // toggle: "navbar_technology",
    toggle: ''
  },
  responsibility: {
    title: 'Responsibility',
    link: 'https://responsibility.igem.org',
    // toggle: "navbar_responsibility",
    toggle: ''
  },
  startups: {
    title: 'Startups',
    link: 'https://startups.igem.org',
    // toggle: "navbar_startups",
    toggle: ''
  },
  leagues: {
    title: 'Leagues',
    link: 'https://leagues.igem.org',
    // toggle: "navbar_leagues",
    toggle: ''
  },
  jamboree: {
    title: 'Jamboree',
    link: 'https://jamboree.igem.org',
    toggle: 'navbar_jamboree',
    secondLevelItems: [{
      title: 'Results',
      link: '/results'
    }, {
      title: 'Recap',
      link: '/recap'
    }, {
      title: 'Teams',
      link: '/teams'
    }, {
      title: 'Startup Showcase',
      link: '/epic'
    }, {
      title: 'Meetups',
      link: '/meetups'
    }]
  },
  // videos: {
  //   title: 'Videos',
  //   link: 'https://video.igem.org',
  //   toggle: 'navbar_videos',
  // },
  // registry: {
  //   title: 'Registry',
  //   link: 'https://parts.igem.org',
  //   toggle: 'navbar_registry',
  // },
  // media: {
  //   title: 'Media',
  //   link: 'https://blog.igem.org',
  //   toggle: 'navbar_media',
  // },
  dashboard: {
    title: 'Dashboard',
    link: 'https://my.igem.org',
    toggle: ''
  }
};
var spacerHeights = ['ii-mb-12 ii-navbar-spacer--0', 'ii-mb-24 ii-navbar-spacer--1', 'ii-mb-36 ii-navbar-spacer--2', 'ii-mb-48 ii-navbar-spacer--3'];
var lgSpacerHeights = ['lg:ii-mb-12 lg:ii-navbar-spacer--0', 'lg:ii-mb-24 lg:ii-navbar-spacer--1', 'lg:ii-mb-36 lg:ii-navbar-spacer--2', 'lg:ii-mb-48 lg:ii-navbar-spacer--3'];
var getSpacerClassname = function getSpacerClassname(navBarElementsNo, secondLevelItemsPresent) {
  return secondLevelItemsPresent ? clsx(lgSpacerHeights[navBarElementsNo], spacerHeights[navBarElementsNo - 1]) : spacerHeights[navBarElementsNo];
};
var mobilePanelOpeningDelayMs = 450;

var Chevron = function Chevron(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 20 20',
    fill: 'currentColor'
  }, React.createElement("path", {
    fillRule: 'evenodd',
    d: 'M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z',
    clipRule: 'evenodd'
  }));
};

var LogoVariant;

(function (LogoVariant) {
  LogoVariant["LIGHT"] = "light-text";
  LogoVariant["DARK"] = "dark-text";
})(LogoVariant || (LogoVariant = {}));

var IgemLogo = function IgemLogo(_ref) {
  var className = _ref.className,
      variant = _ref.variant;
  return React.createElement(React.Fragment, null, variant === LogoVariant.LIGHT ? React.createElement(Svg, {
    src: 'https://static.igem.io/common/logos/2022/igem-logo.svg',
    className: clsx('ii-icon-large', className),
    viewBox: '0 0 62.712 44.098'
  }) : React.createElement(Svg, {
    src: 'https://static.igem.io/common/logos/2022/igem-logo-dark.svg',
    className: clsx('ii-icon-large', className),
    viewBox: '0 0 94.082 66.156'
  }));
};

var Settings = function Settings(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor'
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M10.325 4.317c.426-1.756 2.924-1.756 3.35 0a1.724 1.724 0 002.573 1.066c1.543-.94 3.31.826 2.37 2.37a1.724 1.724 0 001.065 2.572c1.756.426 1.756 2.924 0 3.35a1.724 1.724 0 00-1.066 2.573c.94 1.543-.826 3.31-2.37 2.37a1.724 1.724 0 00-2.572 1.065c-.426 1.756-2.924 1.756-3.35 0a1.724 1.724 0 00-2.573-1.066c-1.543.94-3.31-.826-2.37-2.37a1.724 1.724 0 00-1.065-2.572c-1.756-.426-1.756-2.924 0-3.35a1.724 1.724 0 001.066-2.573c-.94-1.543.826-3.31 2.37-2.37.996.608 2.296.07 2.572-1.065z'
  }), React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M15 12a3 3 0 11-6 0 3 3 0 016 0z'
  }));
};

var ExclamationCircle = function ExclamationCircle(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor'
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z'
  }));
};

var Check = function Check(_ref) {
  var className = _ref.className,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 2 : _ref$strokeWidth;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor',
    strokeWidth: strokeWidth
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    d: 'M5 13l4 4L19 7'
  }));
};

var Account = function Account(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 20 20',
    fill: 'currentColor'
  }, React.createElement("path", {
    fillRule: 'evenodd',
    d: 'M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-6-3a2 2 0 11-4 0 2 2 0 014 0zm-2 4a5 5 0 00-4.546 2.916A5.986 5.986 0 0010 16a5.986 5.986 0 004.546-2.084A5 5 0 0010 11z',
    clipRule: 'evenodd'
  }));
};

var ChainLink = function ChainLink(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 21.494 21.494',
    fill: '#202334'
  }, React.createElement("path", {
    d: 'M133.87,73.005l-1.088,1.081a2.437,2.437,0,0,1-3.419,0,2.37,2.37,0,0,1,0-3.364l4-3.97c.829-.823,2.39-2.035,3.528-.907a1.332,1.332,0,1,0,1.877-1.89c-1.932-1.918-4.79-1.564-7.28.907l-4,3.971a5.027,5.027,0,0,0,0,7.141,5.1,5.1,0,0,0,7.171,0l1.089-1.081a1.332,1.332,0,0,0-1.878-1.889ZM146,57.578a4.757,4.757,0,0,0-6.9-.265l-1.356,1.346a1.331,1.331,0,1,0,1.875,1.889l1.357-1.345a2.159,2.159,0,0,1,3.151.265,2.366,2.366,0,0,1,0,3.362l-4.272,4.237c-1.953,1.936-2.869,1.029-3.26.641A1.331,1.331,0,0,0,134.72,69.6a4.2,4.2,0,0,0,2.993,1.33,5.87,5.87,0,0,0,4.021-1.971l4.272-4.236a5.029,5.029,0,0,0,0-7.143Z',
    transform: 'translate(-125.999 -55.955)'
  }));
};

var Bricks = function Bricks(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 68.938 41.627',
    fill: '#222124'
  }, React.createElement("path", {
    d: 'M370.13,290.286h20.745V280.5H370.13Z',
    transform: 'translate(-359.17 -259.619)'
  }), React.createElement("path", {
    d: 'M311.045,200.69H290.3v9.783h20.745Z',
    transform: 'translate(-268.377 -190.769)'
  }), React.createElement("path", {
    d: 'M231.245,280.5H210.5v9.784h20.745Z',
    transform: 'translate(-177.617 -259.618)'
  }), React.createElement("path", {
    d: 'M130.68,370.1h20.745v-9.784H130.68Z',
    transform: 'translate(-86.835 -328.469)'
  }), React.createElement("path", {
    d: 'M290.3,370.1h20.745v-9.784H290.3Z',
    transform: 'translate(-268.377 -328.469)'
  }), React.createElement("path", {
    d: 'M449.94,370.1h20.744v-9.784H449.94Z',
    transform: 'translate(-449.94 -328.469)'
  }), React.createElement("path", {
    d: 'M539.533,280.5H529.75v9.784h9.783Z',
    transform: 'translate(-529.75 -259.618)'
  }), React.createElement("path", {
    d: 'M459.716,210.479h10.962V200.7H449.934v9.783Z',
    transform: 'translate(-449.933 -190.774)'
  }), React.createElement("path", {
    d: 'M102.283,144.59l19.556-6.918-3.263-9.223L99.02,135.367Z',
    transform: 'translate(-52.9 -128.449)'
  }));
};

var Pin = function Pin(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 24 24'
  }, React.createElement("path", {
    d: 'M0,0H24V24H0Z',
    fill: 'none'
  }), React.createElement("path", {
    d: 'M12,12a2,2,0,1,1,2-2A2.006,2.006,0,0,1,12,12Zm6-1.8a6,6,0,1,0-12,0c0,2.34,1.95,5.44,6,9.14C16.05,15.64,18,12.54,18,10.2ZM12,2a7.955,7.955,0,0,1,8,8.2q0,4.98-8,11.8Q4.005,15.175,4,10.2A7.955,7.955,0,0,1,12,2Z'
  }));
};

var Account$1 = function Account(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M14.6,24.4h2.8V21.6H14.6ZM16,2A14,14,0,1,0,30,16,14.005,14.005,0,0,0,16,2Zm0,25.2A11.2,11.2,0,1,1,27.2,16,11.215,11.215,0,0,1,16,27.2ZM16,7.6a5.6,5.6,0,0,0-5.6,5.6h2.8a2.8,2.8,0,0,1,5.6,0c0,2.8-4.2,2.45-4.2,7h2.8c0-3.15,4.2-3.5,4.2-7A5.6,5.6,0,0,0,16,7.6Z',
    fill: '#08c784'
  }));
};

var Account$2 = function Account(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("g", {
    transform: 'translate(4 4)'
  }, React.createElement("path", {
    d: 'M24.333,5.667V24.333H5.667V5.667H24.333m0-2.667H5.667A2.675,2.675,0,0,0,3,5.667V24.333A2.675,2.675,0,0,0,5.667,27H24.333A2.675,2.675,0,0,0,27,24.333V5.667A2.675,2.675,0,0,0,24.333,3Z',
    transform: 'translate(-3 -3)',
    fill: '#019cdb'
  })), React.createElement("path", {
    d: 'M16.333,20.333H7V17.667h9.333Zm4-5.333H7V12.333H20.333Zm0-5.333H7V7H20.333Z',
    transform: 'translate(2.333 2.333)',
    fill: '#019cdb'
  }));
};

var Account$3 = function Account(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M14.667,28.5a2.675,2.675,0,0,0,2.667-2.667H12A2.675,2.675,0,0,0,14.667,28.5Zm8-8V13.833c0-4.093-2.173-7.52-6-8.427V4.5a2,2,0,1,0-4,0v.907c-3.813.907-6,4.32-6,8.427V20.5L4,23.167V24.5H25.333V23.167ZM20,21.833H9.333v-8c0-3.307,2.013-6,5.333-6S20,10.527,20,13.833Z',
    transform: 'translate(1.333 0.833)',
    fill: '#f03447'
  }));
};

var Account$4 = function Account(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("g", {
    transform: 'translate(6.667 2.667)'
  }, React.createElement("path", {
    d: 'M17,4.667v6.667a6.647,6.647,0,0,0,1.333,4h-8a6.591,6.591,0,0,0,1.333-4V4.667H17M21,2H7.667a1.333,1.333,0,1,0,0,2.667H9v6.667a4,4,0,0,1-4,4V18h7.96v9.333l1.333,1.333,1.333-1.333V18h8.04V15.333h0a4,4,0,0,1-4-4V4.667H21A1.333,1.333,0,0,0,21,2Z',
    transform: 'translate(-5 -2)',
    fill: '#ff8945'
  })));
};

var Account$5 = function Account(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M18,11v2.647h5.295V11Z',
    transform: 'translate(5.826 3.56)',
    fill: '#ff8945'
  }), React.createElement("path", {
    d: 'M16,18.131c1.271.94,2.925,2.184,4.236,3.164.529-.7,1.059-1.416,1.588-2.118-1.31-.979-2.965-2.224-4.236-3.177C17.059,16.715,16.529,17.43,16,18.131Z',
    transform: 'translate(5.178 5.178)',
    fill: '#ff8945'
  }), React.createElement("path", {
    d: 'M21.824,6.118C21.295,5.416,20.765,4.7,20.236,4c-1.31.979-2.965,2.224-4.236,3.177.529.7,1.059,1.416,1.588,2.118C18.859,8.342,20.514,7.111,21.824,6.118Z',
    transform: 'translate(5.178 1.295)',
    fill: '#ff8945'
  }), React.createElement("path", {
    d: 'M4.647,9.971A2.655,2.655,0,0,0,2,12.618v2.647a2.655,2.655,0,0,0,2.647,2.647H5.971v5.295H8.618V17.913H9.942l6.618,3.971V6L9.942,9.971Zm6.658,2.263,2.608-1.562v6.539l-2.608-1.562-.635-.384H4.647V12.618H10.67Z',
    transform: 'translate(0.647 1.942)',
    fill: '#ff8945'
  }), React.createElement("path", {
    d: 'M15.985,13.084A5.93,5.93,0,0,0,14,8.65v8.855A5.88,5.88,0,0,0,15.985,13.084Z',
    transform: 'translate(4.531 2.8)',
    fill: '#ff8945'
  }));
};

var Close = function Close(_ref) {
  var className = _ref.className,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 2 : _ref$strokeWidth;
  return React.createElement("svg", {
    className: className,
    viewBox: '0 0 24 24',
    xmlns: 'http://www.w3.org/2000/svg',
    stroke: 'currentColor',
    strokeWidth: strokeWidth
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    d: 'M12 11.293l10.293-10.293.707.707-10.293 10.293 10.293 10.293-.707.707-10.293-10.293-10.293 10.293-.707-.707 10.293-10.293-10.293-10.293.707-.707 10.293 10.293z'
  }));
};

var Institution = function Institution(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 42.545 36',
    className: className,
    fill: 'currentColor'
  }, React.createElement("g", {
    transform: 'translate(-103.1 -71.082)'
  }, React.createElement("path", {
    d: 'M179.07,242.02h4.909v14.727H179.07Z',
    transform: 'translate(-69.425 -156.211)'
  }), React.createElement("path", {
    d: 'M274.03,242.02h4.909v14.727H274.03Z',
    transform: 'translate(-156.203 -156.211)'
  }), React.createElement("path", {
    d: 'M369,242.02h4.909v14.727H369Z',
    transform: 'translate(-242.991 -156.211)'
  }), React.createElement("path", {
    d: 'M463.95,242.02h4.909v14.727H463.95Z',
    transform: 'translate(-329.76 -156.211)'
  }), React.createElement("path", {
    d: 'M141.08,431.94h36v1.637h-36Z',
    transform: 'translate(-34.708 -329.768)'
  }), React.createElement("path", {
    d: 'M103.1,469.93h42.545v1.637H103.1Z',
    transform: 'translate(0 -364.485)'
  }), React.createElement("path", {
    d: 'M143.37,71.082H140.1l-18,11.455v1.637H161.37V82.537Z',
    transform: 'translate(-17.361)'
  })));
};

var Mail = function Mail(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 26.016 26.016'
  }, React.createElement("path", {
    d: 'M0,0H26.016V26.016H0Z',
    fill: 'none'
  }), React.createElement("path", {
    d: 'M23.68,6.168A2.174,2.174,0,0,0,21.512,4H4.168A2.174,2.174,0,0,0,2,6.168V19.176a2.174,2.174,0,0,0,2.168,2.168H21.512a2.174,2.174,0,0,0,2.168-2.168Zm-2.168,0L12.84,11.577,4.168,6.168Zm0,13.008H4.168V8.336l8.672,5.42,8.672-5.42Z',
    transform: 'translate(0.168 0.336)'
  }));
};

var Menu = function Menu(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor'
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M4 6h16M4 12h16M4 18h16'
  }));
};

var Teams = function Teams(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 34.844 34.957',
    className: className,
    stroke: 'currentColor'
  }, React.createElement("path", {
    d: 'M19.422,5.471a7.3,7.3,0,1,1,0,9.656M24.9,35.844H3V34.019a10.948,10.948,0,1,1,21.9,0Zm0,0H35.844V34.019a10.948,10.948,0,0,0-16.422-9.483M21.247,10.3a7.3,7.3,0,1,1-7.3-7.3,7.3,7.3,0,0,1,7.3,7.3Z',
    transform: 'translate(-2 -1.887)',
    fill: 'none',
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: '2'
  }));
};

var Triangle = function Triangle(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 48 24',
    className: clsx('ii-icon-horizontal', className)
  }, React.createElement("path", {
    d: 'M21.172,2.828a4,4,0,0,1,5.657,0L41.172,17.172A4,4,0,0,1,38.343,24H9.657a4,4,0,0,1-2.828-6.828Z'
  }));
};

var LinkedIn = function LinkedIn(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 21.349 21.335'
  }, React.createElement("path", {
    d: 'M1819.415,1146.947q0-3.569,0-7.137c0-.661.009-1.322,0-1.983a1.538,1.538,0,0,0-1.573-1.532h-18.2a1.562,1.562,0,0,0-1.569,1.652q.005,9,0,18c0,.06,0,.121,0,.181a1.557,1.557,0,0,0,1.544,1.5q9.121,0,18.242,0a1.463,1.463,0,0,0,.747-.2,1.566,1.566,0,0,0,.808-1.46Q1819.411,1151.459,1819.415,1146.947Zm-15.184,7.521q-1.424-.007-2.848,0c-.119,0-.146-.034-.145-.148q0-4.943,0-9.886c0-.118.035-.146.149-.145q1.431.007,2.863,0c.118,0,.146.035.145.149q-.005,2.479,0,4.957c0,1.639,0,3.276,0,4.915C1804.4,1154.441,1804.355,1154.468,1804.231,1154.468Zm-1.4-11.561a1.839,1.839,0,1,1,1.838-1.846A1.842,1.842,0,0,1,1802.828,1142.907Zm13.435,9.517c.005.633,0,1.266,0,1.9,0,.119-.034.144-.148.144q-1.432-.007-2.864,0c-.125,0-.164-.028-.163-.16q.006-2.626,0-5.252a3.805,3.805,0,0,0-.185-1.265,1.349,1.349,0,0,0-1.268-.968,2.422,2.422,0,0,0-.83.07,1.544,1.544,0,0,0-1.082,1.072,4.428,4.428,0,0,0-.191,1.433q-.006,2.451,0,4.9c0,.139-.039.168-.171.167q-1.4-.008-2.808,0c-.147,0-.172-.044-.172-.18q.007-2.458,0-4.917t0-4.93c0-.124.032-.155.155-.154q1.362.008,2.724,0c.116,0,.151.031.148.148-.007.382,0,.764,0,1.145,0,.034-.021.083.028.1s.05-.032.066-.059a3.184,3.184,0,0,1,2.343-1.522,4.572,4.572,0,0,1,2.349.233,2.834,2.834,0,0,1,1.7,1.807,6.148,6.148,0,0,1,.333,1.791C1816.3,1149.426,1816.251,1150.926,1816.263,1152.424Z',
    transform: 'translate(-1798.069 -1136.295)'
  }));
};

var Slack = function Slack(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 22.665 22.683'
  }, React.createElement("path", {
    d: 'M136.311,128a2.268,2.268,0,0,0,0,4.537h2.265v-2.268A2.27,2.27,0,0,0,136.311,128Zm0,6.049h-6.046a2.268,2.268,0,0,0,0,4.537h6.043a2.268,2.268,0,0,0,0-4.537Zm6.043,4.537a2.264,2.264,0,0,0,2.265-2.268v-6.049a2.265,2.265,0,1,0-4.531,0v6.049A2.264,2.264,0,0,0,142.354,138.585Zm8.311-2.268a2.265,2.265,0,1,0-4.531,0v2.268H148.4A2.268,2.268,0,0,0,150.665,136.317ZM148.4,140.1h-6.043a2.268,2.268,0,0,0,0,4.537H148.4a2.268,2.268,0,0,0,0-4.537Zm-6.043,6.049h-2.265v2.268a2.265,2.265,0,1,0,2.265-2.268Zm-6.043-6.049a2.266,2.266,0,0,0-2.265,2.268v6.049a2.265,2.265,0,1,0,4.531,0v-6.049a2.264,2.264,0,0,0-2.265-2.268ZM128,142.366a2.265,2.265,0,1,0,4.531,0V140.1h-2.265A2.268,2.268,0,0,0,128,142.366Z',
    transform: 'translate(-128 -128)'
  }));
};

var Youtube = function Youtube(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    fill: 'currentColor',
    className: clsx('ii-icon', className),
    viewBox: '0 0 512 512',
    xmlns: 'http://www.w3.org/2000/svg'
  }, React.createElement("g", null, React.createElement("path", {
    d: 'M508.6,148.8c0-45-33.1-81.2-74-81.2C379.2,65,322.7,64,265,64c-3,0-6,0-9,0s-6,0-9,0c-57.6,0-114.2,1-169.6,3.6   c-40.8,0-73.9,36.4-73.9,81.4C1,184.6-0.1,220.2,0,255.8C-0.1,291.4,1,327,3.4,362.7c0,45,33.1,81.5,73.9,81.5   c58.2,2.7,117.9,3.9,178.6,3.8c60.8,0.2,120.3-1,178.6-3.8c40.9,0,74-36.5,74-81.5c2.4-35.7,3.5-71.3,3.4-107   C512.1,220.1,511,184.5,508.6,148.8z M207,353.9V157.4l145,98.2L207,353.9z'
  })));
};

var Instagram = function Instagram(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 21.309 21.309'
  }, React.createElement("path", {
    d: 'M10.654,1.894a32.669,32.669,0,0,1,4.262.118,5.491,5.491,0,0,1,2.013.355A4.158,4.158,0,0,1,18.941,4.38,5.491,5.491,0,0,1,19.3,6.393c0,1.065.118,1.421.118,4.262a32.667,32.667,0,0,1-.118,4.262,5.491,5.491,0,0,1-.355,2.013,4.158,4.158,0,0,1-2.013,2.013,5.491,5.491,0,0,1-2.012.355c-1.065,0-1.421.118-4.262.118A32.667,32.667,0,0,1,6.393,19.3a5.491,5.491,0,0,1-2.013-.355,4.158,4.158,0,0,1-2.013-2.013,5.491,5.491,0,0,1-.355-2.012c0-1.065-.118-1.421-.118-4.262a32.669,32.669,0,0,1,.118-4.262A5.491,5.491,0,0,1,2.368,4.38,4.252,4.252,0,0,1,3.2,3.2,2,2,0,0,1,4.38,2.368a5.491,5.491,0,0,1,2.013-.355,32.669,32.669,0,0,1,4.262-.118m0-1.894a34.979,34.979,0,0,0-4.38.118,7.308,7.308,0,0,0-2.6.474A4.634,4.634,0,0,0,1.776,1.776,4.634,4.634,0,0,0,.592,3.67a5.394,5.394,0,0,0-.474,2.6A34.979,34.979,0,0,0,0,10.654a34.979,34.979,0,0,0,.118,4.38,7.308,7.308,0,0,0,.474,2.6,4.634,4.634,0,0,0,1.184,1.894A4.634,4.634,0,0,0,3.67,20.717a7.308,7.308,0,0,0,2.6.474,34.977,34.977,0,0,0,4.38.118,34.977,34.977,0,0,0,4.38-.118,7.308,7.308,0,0,0,2.6-.474,4.967,4.967,0,0,0,3.078-3.078,7.308,7.308,0,0,0,.474-2.6c0-1.184.118-1.539.118-4.38a34.977,34.977,0,0,0-.118-4.38,7.308,7.308,0,0,0-.474-2.6,4.634,4.634,0,0,0-1.184-1.894A4.634,4.634,0,0,0,17.639.592a7.309,7.309,0,0,0-2.6-.474A34.979,34.979,0,0,0,10.654,0m0,5.209a5.358,5.358,0,0,0-5.446,5.446,5.446,5.446,0,1,0,5.446-5.446m0,9A3.488,3.488,0,0,1,7.1,10.654,3.488,3.488,0,0,1,10.654,7.1a3.488,3.488,0,0,1,3.551,3.551,3.488,3.488,0,0,1-3.551,3.551M16.337,3.67a1.3,1.3,0,1,0,1.3,1.3,1.314,1.314,0,0,0-1.3-1.3'
  }));
};

var Twitter = function Twitter(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 20.898 16.95'
  }, React.createElement("path", {
    d: 'M44.618,18.95A12.082,12.082,0,0,0,56.808,6.76V6.18A9.437,9.437,0,0,0,58.9,3.974a9.637,9.637,0,0,1-2.438.7,4.517,4.517,0,0,0,1.858-2.322,10.649,10.649,0,0,1-2.67,1.045A4.146,4.146,0,0,0,52.512,2a4.362,4.362,0,0,0-4.3,4.3,2.264,2.264,0,0,0,.116.929A12,12,0,0,1,39.509,2.7,4.446,4.446,0,0,0,38.929,4.9a4.613,4.613,0,0,0,1.858,3.6,3.914,3.914,0,0,1-1.974-.58h0A4.243,4.243,0,0,0,42.3,12.1a3.579,3.579,0,0,1-1.161.116,1.976,1.976,0,0,1-.813-.116,4.4,4.4,0,0,0,4.063,3.019,8.766,8.766,0,0,1-5.34,1.858A3.214,3.214,0,0,1,38,16.861a10.958,10.958,0,0,0,6.618,2.09',
    transform: 'translate(-38 -2)'
  }));
};

var TikTok = function TikTok(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 2859 3333',
    fillRule: 'evenodd',
    clipRule: 'evenodd'
  }, React.createElement("path", {
    d: 'M2081 0c55 473 319 755 778 785v532c-266 26-499-61-770-225v995c0 1264-1378 1659-1932 753-356-583-138-1606 1004-1647v561c-87 14-180 36-265 65-254 86-398 247-358 531 77 544 1075 705 992-358V1h551z'
  }));
};

var Facebook = function Facebook(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-h-4 ii-w-2', className),
    fill: 'currentColor',
    viewBox: '0 0 10.995 21.053'
  }, React.createElement("path", {
    d: 'M87.135,21.053V11.462H90.41l.468-3.743H87.135V5.38c0-1.053.351-1.871,1.871-1.871h1.988V.117C90.527.117,89.357,0,88.071,0a4.515,4.515,0,0,0-4.8,4.912V7.72H80v3.743h3.275v9.591Z',
    transform: 'translate(-80)'
  }));
};

var IconsMap = /*#__PURE__*/new Map([['Account', Account], ['Bricks', Bricks], ['Chain Link', ChainLink], ['Check', Check], ['Chevron', Chevron], ['Close', Close], ['Exclamation Circle', ExclamationCircle], ['Teams', Teams], ['Institution', Institution], ['Mail', Mail], ['Menu', Menu], ['Pin', Pin], ['Settings', Settings], ['Triangle', Triangle], ['Article', Account$2], ['Campaign', Account$5], ['Help', Account$1], ['Notifications', Account$3], ['Push Pin', Account$4], ['Linked In', LinkedIn], ['Facebook', Facebook], ['Instagram', Instagram], ['Slack', Slack], ['TikTok', TikTok], ['Twitter', Twitter], ['Youtube', Youtube]]);

var UnderConstruction2LevelNavBar = function UnderConstruction2LevelNavBar() {
  return React.createElement("div", {
    className: 'ii-navbar__second-level ii-flex ii-items-center ii-justify-center ii-whitespace-nowrap ii-bg-yellow-550 ii-text-black-400'
  }, React.createElement(ExclamationCircle, {
    className: 'ii-mr-2 ii-h-5 ii-w-5 ii-flex-shrink-0 sm:ii-mr-4 sm:ii-h-6 sm:ii-w-6'
  }), React.createElement("div", {
    className: 'ii-text-sm ii-font-bold'
  }, "WEBSITES UNDER CONSTRUCTION"), React.createElement("p", {
    className: 'ii-hidden ii-pl-8 ii-pr-4 ii-text-sm xl:ii-block'
  }, "This is a temporary page! As iGEM enters its 20th year, we are transitioning from our old Mediawiki infrastructure to a modern cloud-based software and website solution."));
};

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

var NavBarMobileExpandSection = function NavBarMobileExpandSection(_ref) {
  var openMobileMenu = _ref.openMobileMenu,
      pageTitle = _ref.pageTitle,
      blackBarItems = _ref.blackBarItems,
      nativeNavigationComponent = _ref.nativeNavigationComponent,
      customNavigationComponent = _ref.customNavigationComponent;

  var _useState = useState({
    show: false,
    pause: false,
    blackBar: false
  }),
      menuState = _useState[0],
      setMenuState = _useState[1];

  useEffect(function () {
    if (!openMobileMenu && menuState.blackBar) {
      setMenuState({
        blackBar: true,
        pause: true,
        show: false
      });
      setTimeout(function () {
        return setMenuState({
          show: false,
          pause: false,
          blackBar: false
        });
      }, mobilePanelOpeningDelayMs);
    } else if (!menuState.pause) {
      setMenuState(_extends({}, menuState, {
        show: openMobileMenu
      }));
    }
  }, [openMobileMenu]);
  var hasSecondLevelMenu = nativeNavigationComponent !== undefined || customNavigationComponent !== undefined;

  var SwitchMenuButton = function SwitchMenuButton(_ref2) {
    var children = _ref2.children,
        className = _ref2.className;
    return React.createElement("button", {
      className: clsx('ii-navbar-mobile-expand-section__switch-menu-button ii-px-5 ii-py-4', className),
      onClick: function onClick() {
        return setMenuState(function (prevState) {
          return _extends({}, prevState, {
            blackBar: !menuState.blackBar
          });
        });
      }
    }, children);
  };

  return React.createElement("div", {
    className: clsx('ii-navbar-mobile-expand-section ii-transition-base ii-duration-400 ii-fixed ii-z-40 ii-flex', 'ii-h-full ii-w-full ii--translate-y-full ii-flex-col ii-items-center lg:ii-hidden', menuState.show && 'ii-translate-y-0', !menuState.blackBar && 'ii-overflow-y-auto ii-overflow-x-hidden')
  }, !hasSecondLevelMenu ? React.createElement("div", {
    className: 'ii-navbar-mobile-expand-section__panel--black'
  }, blackBarItems) : React.createElement("div", {
    className: clsx('ii-full-width-children-div', menuState.blackBar && '!ii--translate-x-full')
  }, React.createElement("div", {
    className: clsx('ii-navbar-mobile-expand-section__panel', !menuState.blackBar && 'ii-mr-1')
  }, React.createElement("div", {
    className: 'ii-text-neutral-500 ii-flex ii-w-full ii-items-center ii-pt-3 ii-pr-6'
  }, React.createElement(SwitchMenuButton, {
    className: 'ii-navbar-mobile-expand-section__to-left-button'
  }, React.createElement(Chevron, {
    className: 'ii-h-5 ii-w-5 ii-rotate-90'
  })), React.createElement("p", {
    className: 'ii-small-caps ii-navbar-mobile-expand-section__current-website-text'
  }, pageTitle)), customNavigationComponent !== undefined ? customNavigationComponent : React.createElement("div", {
    className: 'ii-navbar-mobile-expand-section__links-spacing ii-w-full ii-pl-12'
  }, nativeNavigationComponent)), React.createElement("div", {
    className: clsx('ii-navbar-mobile-expand-section__panel--black')
  }, React.createElement(SwitchMenuButton, {
    className: 'ii-navbar-mobile-expand-section__to-right-button ii-absolute ii-left-0 ii-top-3 ii-text-gray-400'
  }, React.createElement(Chevron, {
    className: 'ii-h-5 ii-w-5 ii--rotate-90'
  })), blackBarItems)));
};

var ComingSoonPopup = function ComingSoonPopup() {
  return React.createElement("div", {
    className: clsx('ii-flex ii-w-fit ii-items-center ii-justify-center', 'ii-bg-neutral-200 ii-rounded-full ii-px-3 ii-py-1', 'ii-coming-soon-popup  ii-cursor-default ii-text-center ii-text-xs ii-text-black-500')
  }, "Coming soon!");
};

var Popup = function Popup(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-popup ii-absolute ii-z-10 ii-hidden group-hover:ii-block', className)
  }, children);
};

var NavBarUserSection = function NavBarUserSection(_ref) {
  var userPhoto = _ref.userPhoto,
      onSettingsClick = _ref.onSettingsClick,
      onLoggedOutClick = _ref.onLoggedOutClick,
      onFaqClick = _ref.onFaqClick;
  return React.createElement("div", {
    className: 'ii-navbar-user ii-group ii-relative ii-h-full ii-max-w-[11rem] ii-rounded-l-full ii-px-5 ii-text-white\n    lg:ii-ml-6 lg:ii-w-1/6 lg:ii-min-w-[8rem] lg:ii-bg-green-400 lg:ii-text-black-400'
  }, userPhoto !== undefined ? React.createElement("div", {
    className: 'ii-navbar-user__body'
  }, React.createElement("button", {
    className: 'ii-navbar-user__faq-button ii-hidden ii-text-sm ii-font-semibold ii-uppercase lg:ii-block',
    onClick: onFaqClick
  }, "faq"), React.createElement("button", {
    onClick: onSettingsClick,
    className: 'ii-navbar-user__settings-button ii-hidden lg:ii-block'
  }, React.createElement(Settings, null)), React.createElement("div", {
    className: 'ii-navbar-user__img-wrapper ii-h-6 ii-w-6 ii-cursor-pointer lg:ii-h-7 lg:ii-w-7'
  }, React.createElement("img", {
    src: userPhoto,
    className: 'ii-navbar-user__img ii-h-full ii-w-full ii-rounded-full\n                ii-object-cover ii-object-center ii-shadow',
    alt: userPhoto
  }))) : React.createElement("button", {
    className: 'ii-navbar-user__body',
    onClick: onLoggedOutClick
  }, React.createElement(Account, {
    className: 'ii-navbar-user__account-logo ii-h-7 ii-w-7 ii-flex-shrink-0'
  }), React.createElement("div", {
    className: 'ii-navbar-user__account-text ii-hidden ii-text-sm ii-font-semibold lg:ii-block'
  }, "My Account")), React.createElement(Popup, {
    className: 'ii--left-0.5 lg:ii-left-auto'
  }, React.createElement("div", {
    className: 'ii-fade-in ii-flex ii-flex-col ii-items-center\n        ii-opacity-0 ii-transition-opacity group-hover:ii-opacity-100 '
  }, React.createElement(Triangle, {
    className: 'ii-fill-neutral-200 ii--mb-1.5'
  }), React.createElement(ComingSoonPopup, null))));
};

var BlackBarItems = function BlackBarItems(_ref) {
  var pageTitle = _ref.pageTitle,
      linkWrapper = _ref.linkWrapper;
  return React.createElement(React.Fragment, null, Object.values(links).map(function (_ref2) {
    var title = _ref2.title,
        link = _ref2.link;
    return title === 'Dashboard' ? undefined : React.createElement("div", {
      key: title
    }, linkWrapper !== undefined ? linkWrapper('/', React.createElement(React.Fragment, null, title)) : React.createElement("a", {
      href: link,
      className: clsx('ii-navbar__link ii-navbar__black-bar-link ii-text-gray-400', title === pageTitle && 'ii-navbar__black-bar-link--active ii-font-bold ii-text-white')
    }, title));
  }));
};
var SecondLevelItems = function SecondLevelItems(_ref3) {
  var secondLevelItems = _ref3.secondLevelItems,
      linkWrapper = _ref3.linkWrapper;
  return React.createElement(React.Fragment, null, secondLevelItems.map(function (_ref4) {
    var title = _ref4.title,
        link = _ref4.link;
    return React.createElement("div", {
      key: link
    }, linkWrapper !== undefined ? React.createElement(React.Fragment, null, linkWrapper(link, React.createElement(React.Fragment, null, title))) : React.createElement("a", {
      href: link,
      className: 'ii-navbar__link ii-navbar__second-level-link ii-text-black-500'
    }, title));
  }));
};

var NavBar = function NavBar(props) {
  var page = props.page,
      customSecondLevelMenu = props.customSecondLevelMenu,
      mobileNavigationComponent = props.mobileNavigationComponent,
      showTemporaryBanner = props.showTemporaryBanner,
      blackBarLinkWrapper = props.blackBarLinkWrapper,
      secondLevelLinkWrapper = props.secondLevelLinkWrapper;

  var _useState = useState(false),
      openMobileMenu = _useState[0],
      setOpenMobileMenu = _useState[1];

  var currentPage = links[page];
  var pageTitle = currentPage == null ? void 0 : currentPage.title;
  var renderedBlackBarItems = React.createElement(BlackBarItems, {
    pageTitle: pageTitle,
    linkWrapper: blackBarLinkWrapper
  });
  var secondLevelItems = currentPage == null ? void 0 : currentPage.secondLevelItems;
  var renderedSecondLevelItems = secondLevelItems !== undefined ? React.createElement(SecondLevelItems, {
    secondLevelItems: secondLevelItems,
    linkWrapper: secondLevelLinkWrapper
  }) : undefined;
  var navBarElementsNo = [customSecondLevelMenu, secondLevelItems, showTemporaryBanner].reduce(function (sum, current) {
    return sum + Number(current !== undefined);
  }, 0);
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: clsx('ii-navbar ii-fixed ii-top-0 ii-z-50 ii-w-full', !openMobileMenu && 'ii-shadow--bottom')
  }, React.createElement("div", {
    className: 'ii-navbar__black-bar ii-relative ii-z-50 ii-flex\n        ii-h-12 ii-items-center ii-justify-between ii-bg-black-400'
  }, React.createElement("button", {
    id: 'ii-navbar__mobile-menu-button',
    className: 'ii-navbar__mobile-menu-button ii-px-5 ii-text-white lg:ii-hidden',
    onClick: function onClick() {
      return setOpenMobileMenu(!openMobileMenu);
    }
  }, React.createElement(Menu, null)), React.createElement("a", {
    href: currentPage == null ? void 0 : currentPage.link,
    className: 'ii-navbar__logo-wrapper ii-flex ii-items-center ii-pl-6 ii-pr-6'
  }, React.createElement(IgemLogo, {
    className: 'ii-navbar__logo ii-w-[3.25rem] lg:ii-w-12',
    variant: LogoVariant.LIGHT
  })), React.createElement("div", {
    className: 'ii-navbar__black-bar-links ii-hidden ii-h-full ii-w-full\n          ii-items-center ii-justify-between lg:ii-flex xl:ii-px-4 2xl:ii-px-32'
  }, renderedBlackBarItems), React.createElement(NavBarUserSection, Object.assign({}, props))), React.createElement(NavBarMobileExpandSection, {
    blackBarItems: renderedBlackBarItems,
    pageTitle: pageTitle,
    openMobileMenu: openMobileMenu,
    nativeNavigationComponent: renderedSecondLevelItems,
    customNavigationComponent: mobileNavigationComponent
  }), showTemporaryBanner === true && React.createElement(UnderConstruction2LevelNavBar, null), renderedSecondLevelItems != null && React.createElement("div", {
    className: 'ii-navbar__second-level ii-navbar__native-second-level ii-hidden ii-items-center\n            ii-justify-center ii-gap-20 lg:ii-flex'
  }, renderedSecondLevelItems), customSecondLevelMenu !== undefined && React.createElement("div", {
    className: 'ii-navbar__second-level ii-navbar__custom-second-level'
  }, customSecondLevelMenu)), React.createElement("div", {
    className: getSpacerClassname(navBarElementsNo, secondLevelItems !== undefined)
  }));
};

var ComingSoonBanner = function ComingSoonBanner(_ref) {
  var title = _ref.title,
      description = _ref.description,
      _ref$withLogo = _ref.withLogo,
      withLogo = _ref$withLogo === void 0 ? true : _ref$withLogo;
  return React.createElement("div", {
    className: 'ii-bg-gray-500'
  }, React.createElement("section", null, React.createElement("div", {
    className: 'ii-my-8 ii-flex ii-flex-col ii-items-stretch ii-gap-8 md:ii-flex-row md:ii-gap-12'
  }, withLogo ? React.createElement(IgemLogo, {
    className: 'ii-mx-auto ii-h-auto ii-w-40 md:ii-mx-0',
    variant: LogoVariant.DARK
  }) : null, React.createElement("div", {
    className: 'ii-flex ii-w-full ii-flex-col ii-items-stretch ii-gap-2'
  }, React.createElement("h3", null, React.createElement(Bricks, {
    className: 'ii-mr-3 ii-inline ii-h-10 ii-w-12 ii-align-bottom'
  }), title), isValidElement(description) ? description : React.createElement("p", null, description)))));
};

var ButtonVariant;

(function (ButtonVariant) {
  ButtonVariant["DEFAULT"] = "default";
  ButtonVariant["PRIMARY"] = "primary";
})(ButtonVariant || (ButtonVariant = {}));

var Button = function Button(props) {
  var title = props.title,
      _props$variant = props.variant,
      variant = _props$variant === void 0 ? ButtonVariant.DEFAULT : _props$variant,
      buttonProps = props.buttonProps,
      children = props.children;
  var disabled = (buttonProps == null ? void 0 : buttonProps.disabled) === true;
  return React.createElement("button", Object.assign({
    className: clsx('ii-button ii-rounded-full', disabled && 'ii-button--disabled' || [variant === ButtonVariant.DEFAULT && ['hover:ii-border-green-500 hover:ii-bg-green-100', 'ii-button--default'] || variant === ButtonVariant.PRIMARY && ['ii-border-green-500 ii-bg-green-300', 'hover:ii-border-green-500 hover:ii-bg-green-400', 'ii-button--primary']]),
    disabled: disabled
  }, buttonProps), title !== undefined && React.createElement("div", {
    className: clsx('ii-button-text', disabled && 'ii-button-text--disabled ii-opacity-20')
  }, title), children);
};

var CheckboxType;

(function (CheckboxType) {
  CheckboxType["CHECK"] = "check";
  CheckboxType["CROSS"] = "cross";
})(CheckboxType || (CheckboxType = {}));

var Checkbox = function Checkbox(props) {
  var isChecked = props.isChecked,
      buttonProps = props.buttonProps,
      _props$type = props.type,
      type = _props$type === void 0 ? CheckboxType.CHECK : _props$type;

  var getIcon = function getIcon() {
    switch (type) {
      case CheckboxType.CHECK:
        return React.createElement(Check, {
          className: 'ii-checkbox__check ii-h-3 ii-w-3 ii-text-green-500'
        });

      case CheckboxType.CROSS:
        return React.createElement(Close, {
          className: 'ii-checkbox__cross ii-h-2 ii-w-2 ii-text-red-500'
        });
    }
  };

  var getActiveClass = function getActiveClass() {
    switch (type) {
      case CheckboxType.CHECK:
        return 'ii-bg-green-300 ii-border-green-500';

      case CheckboxType.CROSS:
        return 'ii-bg-red-200 ii-border-red-500';
    }
  };

  return React.createElement("button", Object.assign({
    className: clsx('ii-checkbox ii-transition-base ii-flex ii-h-4 ii-w-4 ii-items-center ii-justify-center ii-border', 'ii-flex-shrink-0 ii-rounded ii-shadow', isChecked === true ? clsx('ii-checkbox--active ii-border-opacity-100', getActiveClass()) : 'ii-border-gray-700 ii-border-opacity-50')
  }, buttonProps), isChecked === true && getIcon());
};

var CheckboxList = function CheckboxList(_ref) {
  var items = _ref.items,
      _onClick = _ref.onClick,
      checkedValues = _ref.checkedValues,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-space-y-2', className)
  }, items.map(function (item) {
    var _checkedValues$includ;

    var isChecked = (_checkedValues$includ = checkedValues == null ? void 0 : checkedValues.includes(item.value)) != null ? _checkedValues$includ : false;
    return React.createElement("li", {
      className: 'ii-checkbox-list-item',
      key: item.value,
      onClick: function onClick() {
        return _onClick != null ? _onClick(item.value) : {};
      }
    }, React.createElement(Checkbox, {
      isChecked: isChecked
    }), React.createElement("p", {
      className: clsx('ii-checkbox-list-item-text', isChecked && 'ii-checkbox-list-item-text--active')
    }, item.label));
  }));
};

var AnchorWrapper = function AnchorWrapper(_ref) {
  var _ref$openInNewTab = _ref.openInNewTab,
      openInNewTab = _ref$openInNewTab === void 0 ? true : _ref$openInNewTab,
      link = _ref.link,
      children = _ref.children,
      className = _ref.className;
  return React.createElement("a", {
    target: openInNewTab ? '_blank' : '_self',
    href: link,
    rel: 'noreferrer',
    className: clsx(className, link !== undefined && 'ii-transition-base hover:ii-transition-scale', 'ii-anchor-wrapper')
  }, children);
};

var _styles;
var AnnotatedContentBoxVariant;

(function (AnnotatedContentBoxVariant) {
  AnnotatedContentBoxVariant["WHY"] = "why";
  AnnotatedContentBoxVariant["NOTE"] = "note";
  AnnotatedContentBoxVariant["REMINDER"] = "reminder";
  AnnotatedContentBoxVariant["ALERT"] = "alert";
  AnnotatedContentBoxVariant["PINNED"] = "pinned";
  AnnotatedContentBoxVariant["ANNOUNCEMENT"] = "announcement";
})(AnnotatedContentBoxVariant || (AnnotatedContentBoxVariant = {}));

var renderAnnotation = function renderAnnotation(title, icon, annotationDivClassname) {
  return React.createElement("div", {
    className: clsx('ii-flex ii-items-center', 'ii-content-box-annotation-div ii-mb-5', annotationDivClassname)
  }, icon, React.createElement("div", {
    className: 'ii-small-caps ii-content-box-annotation ii-ml-2'
  }, title));
};

var styles = (_styles = {}, _styles[AnnotatedContentBoxVariant.WHY] = {
  box: ['ii-bg-igem-green ii-border-igem-green'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.WHY, React.createElement(Account$1, null), 'ii-text-igem-green');
  }
}, _styles[AnnotatedContentBoxVariant.NOTE] = {
  box: ['ii-bg-igem-blue ii-border-igem-blue'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.NOTE, React.createElement(Account$2, null), 'ii-text-igem-blue');
  }
}, _styles[AnnotatedContentBoxVariant.REMINDER] = {
  box: ['ii-bg-igem-red ii-border-igem-red'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.REMINDER, React.createElement(Account$3, null), 'ii-text-igem-red');
  }
}, _styles[AnnotatedContentBoxVariant.ALERT] = {
  box: ['ii-bg-igem-red ii-border-igem-red'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.ALERT, // <ExclamationCircle />,
    React.createElement(ExclamationCircle, null), 'ii-text-igem-red');
  }
}, _styles[AnnotatedContentBoxVariant.PINNED] = {
  box: ['ii-bg-igem-orange ii-border-igem-orange'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.PINNED, React.createElement(Account$4, null), 'ii-text-igem-orange');
  }
}, _styles[AnnotatedContentBoxVariant.ANNOUNCEMENT] = {
  box: ['ii-bg-igem-orange ii-border-igem-orange'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.ANNOUNCEMENT, React.createElement(Account$5, null), 'ii-text-igem-orange');
  }
}, _styles);
var AnnotatedContentBox = function AnnotatedContentBox(props) {
  var _props$variant = props.variant,
      variant = _props$variant === void 0 ? AnnotatedContentBoxVariant.NOTE : _props$variant,
      title = props.title,
      children = props.children,
      moreInfoLink = props.moreInfoLink;
  return React.createElement(AnchorWrapper, {
    link: moreInfoLink,
    className: clsx('ii-card-element-base ii-content-box-padding ii-annotated-content-box-div ii-border ii-bg-opacity-10', styles[variant].box)
  }, styles[variant].annotation(), title !== undefined && React.createElement("h4", null, title), React.createElement("div", {
    className: 'ii-content-box-body ii-annotated-content-box-body'
  }, isValidElement(children) ? children : React.createElement("p", null, children)));
};

var useClickOutside = function useClickOutside(initialIsVisible, onOutsideClick) {
  var _useState = useState(initialIsVisible),
      isClickOutside = _useState[0],
      setIsClickOutside = _useState[1];

  var ref = useRef(null);

  var handleClickOutside = function handleClickOutside(event) {
    if (ref.current != null && !ref.current.contains(event.target)) {
      setIsClickOutside(true);
      onOutsideClick == null ? void 0 : onOutsideClick();
    }
  };

  useEffect(function () {
    document.addEventListener('click', handleClickOutside, true);
    return function () {
      document.removeEventListener('click', handleClickOutside, true);
    };
  }, []);
  return {
    ref: ref,
    isClickOutside: isClickOutside
  };
};

var Dropdown = function Dropdown(props) {
  var _dropdownRef$current2;

  var title = props.title,
      children = props.children,
      isActive = props.isActive,
      className = props.className;

  var _useState = useState(false),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  var _useState2 = useState(0),
      width = _useState2[0],
      setWidth = _useState2[1];

  var dropdownRef = useRef(null);
  useEffect(function () {
    var _dropdownRef$current$, _dropdownRef$current;

    setWidth((_dropdownRef$current$ = (_dropdownRef$current = dropdownRef.current) == null ? void 0 : _dropdownRef$current.offsetWidth) != null ? _dropdownRef$current$ : 0);
  }, [(_dropdownRef$current2 = dropdownRef.current) == null ? void 0 : _dropdownRef$current2.clientWidth, children]);

  var closeOnOutsideClick = function closeOnOutsideClick() {
    return setIsOpen(false);
  };

  var _useClickOutside = useClickOutside(isOpen, closeOnOutsideClick),
      ref = _useClickOutside.ref;

  return React.createElement("div", {
    style: {
      width: width > 0 ? width + "px" : 'max-content'
    },
    className: className,
    ref: isOpen ? ref : undefined
  }, React.createElement("div", {
    className: clsx('ii-dropdown-header', isActive === true && 'ii-dropdown-header--active'),
    onClick: function onClick() {
      return setIsOpen(!isOpen);
    }
  }, React.createElement("p", {
    className: 'ii-text-sm'
  }, title), React.createElement(Chevron, {
    className: clsx('ii-dropdown-header-chevron', isOpen && 'ii-dropdown-header-chevron--active')
  })), children !== undefined && React.createElement("div", {
    className: clsx('ii-dropdown-body', isOpen ? 'ii-visible' : 'ii-invisible'),
    ref: dropdownRef
  }, React.createElement("div", {
    className: 'ii-dropdown-scroll'
  }, children)));
};

var Filter = function Filter(_ref) {
  var items = _ref.items,
      title = _ref.title,
      className = _ref.className,
      activeFilters = _ref.activeFilters,
      setActiveFilters = _ref.setActiveFilters;
  var isActive = activeFilters.length > 0;

  var setActiveFilter = function setActiveFilter(value) {
    if (activeFilters.includes(value)) {
      setActiveFilters(activeFilters.filter(function (filter) {
        return filter !== value;
      }));
    } else {
      setActiveFilters([].concat(activeFilters, [value]));
    }
  };

  return React.createElement(Dropdown, {
    title: title,
    isActive: isActive,
    className: className
  }, React.createElement(CheckboxList, {
    items: items,
    onClick: setActiveFilter,
    checkedValues: activeFilters
  }));
};

var TabButton = function TabButton(props) {
  var title = props.title,
      isActive = props.isActive,
      buttonProps = props.buttonProps;
  return React.createElement("button", Object.assign({
    className: clsx('ii-button ii-rounded-md', isActive === true ? ['ii-border-green-500 ii-bg-green-200', 'ii-tab-button--active'] : ['ii-bg-gray-500', 'hover:ii-border-green-500 hover:ii-bg-green-100', 'ii-tab-button--inactive'])
  }, buttonProps), React.createElement("div", {
    className: 'ii-button-text'
  }, title));
};

var InputWrapper = function InputWrapper(_ref) {
  var title = _ref.title,
      errorMessage = _ref.errorMessage,
      error = _ref.error,
      className = _ref.className,
      informationalComponent = _ref.informationalComponent,
      children = _ref.children;
  return React.createElement("div", {
    className: className
  }, title !== undefined && React.createElement("div", {
    className: clsx('ii-input-label ii-flex ii-items-center', error !== undefined && error && 'ii-input-label--error')
  }, React.createElement("p", null, title), informationalComponent !== undefined && React.createElement("div", {
    className: 'ii-group'
  }, React.createElement(ExclamationCircle, {
    className: 'ii-ml-1 ii-h-4 ii-w-4'
  }), React.createElement("div", {
    className: 'ii-group-hover:block ii-absolute ii-hidden ii-rounded ii-bg-gray-500 ii-p-5 ii-shadow-md'
  }, informationalComponent))), children, errorMessage !== undefined && React.createElement("p", {
    className: 'ii-input--error-text'
  }, errorMessage));
};

var Input = function Input(props) {
  var type = props.type,
      input = props.input,
      error = props.error,
      inputProps = props.inputProps,
      onChange = props.onChange;

  var changeEvent = function changeEvent(event) {
    input == null ? void 0 : input.onChange == null ? void 0 : input.onChange(event);
    onChange == null ? void 0 : onChange(event);
  };

  return React.createElement(InputWrapper, Object.assign({}, props), React.createElement("input", Object.assign({
    type: type != null ? type : 'text',
    className: clsx('ii-input', error !== undefined && error && 'ii-input--error')
  }, input, inputProps, {
    onChange: changeEvent
  })));
};

var CalendarEventType;

(function (CalendarEventType) {
  CalendarEventType["DEADLINE"] = "deadlines";
  CalendarEventType["EVENT"] = "events";
})(CalendarEventType || (CalendarEventType = {}));

var daysOfWeek = ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'];
var monthNames = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
var getCurrentMonthDays = function getCurrentMonthDays(currentDate) {
  return Array(currentDate.getDate()).fill(undefined).map(function (_, index) {
    var date = new Date(currentDate.getUTCFullYear(), currentDate.getMonth(), index + 1);
    return {
      date: date,
      dayOfMonth: index + 1,
      isCurrentMonth: true
    };
  });
};
var getPreviousMonthDays = function getPreviousMonthDays(currentDate, currentMonthDays) {
  var firstDate = currentMonthDays[0].date;
  var date = new Date(currentDate.getUTCFullYear(), currentDate.getMonth() - 1, 1);
  var visibleNumberOfDaysFromPreviousMonth = firstDate.getDay();
  var previousMonthLastMondayDayOfMonth = new Date(firstDate.getUTCFullYear(), firstDate.getMonth(), firstDate.getDate() - visibleNumberOfDaysFromPreviousMonth).getDate();
  return [].concat(Array(visibleNumberOfDaysFromPreviousMonth)).map(function (_, index) {
    return {
      date: new Date(date.getUTCFullYear(), date.getMonth(), previousMonthLastMondayDayOfMonth + index),
      dayOfMonth: previousMonthLastMondayDayOfMonth + index,
      isCurrentMonth: false,
      isPreviousMonth: true
    };
  });
};
var getNextMonthDays = function getNextMonthDays(currentDate, currentMonthDays) {
  var date = new Date(currentDate.getUTCFullYear(), currentDate.getMonth() + 1, 1);
  var visibleNumberOfDaysFromNextMonth = 6 - new Date(currentDate.getUTCFullYear(), currentDate.getMonth(), currentMonthDays.length).getDay();
  return [].concat(Array(visibleNumberOfDaysFromNextMonth)).map(function (_, index) {
    return {
      date: new Date(date.getUTCFullYear(), date.getMonth(), index + 1),
      dayOfMonth: index + 1,
      isCurrentMonth: false,
      isNextMonth: true
    };
  });
};
var isSameDay = function isSameDay(a, b) {
  return a.getFullYear() === b.getFullYear() && a.getMonth() === b.getMonth() && a.getDate() === b.getDate();
};
var isDuringDays = function isDuringDays(startDate, endDate, targetDate) {
  return startDate.getTime() <= targetDate.getTime() && endDate.getTime() >= targetDate.getTime();
};
var getFormattedDate = function getFormattedDate(startDate, endDate) {
  var startMonth = monthNames[startDate.getMonth()];

  if (endDate === undefined) {
    return startDate.getDate() + " " + startMonth;
  } else {
    var endMonth = monthNames[endDate.getMonth()];

    if (startMonth === endMonth) {
      return startDate.getDate() + "-" + endDate.getDate() + " " + startMonth;
    } else {
      return startDate.getDate() + " " + startMonth + " - " + endDate.getDate() + " " + endMonth;
    }
  }
};

var Divider = function Divider(_ref) {
  var className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-divider-i ii-divider', className)
  });
};

var CalendarPopup = function CalendarPopup(_ref) {
  var dayEvents = _ref.dayEvents;
  return React.createElement(Popup, {
    className: 'ii-left-0 ii-top-full ii-pt-2'
  }, React.createElement("div", {
    className: 'ii-calendar-popup'
  }, dayEvents.map(function (event, index) {
    return React.createElement(Fragment, {
      key: event.title
    }, React.createElement("div", {
      className: 'ii-p-2'
    }, React.createElement("p", {
      className: 'ii-text-xxs ii-font-semibold ii-uppercase ii-tracking-widest'
    }, getFormattedDate(event.startDate, event.endDate)), React.createElement("p", {
      className: 'ii-py-2 ii-text-sm ii-font-semibold'
    }, event.title), React.createElement("p", {
      className: 'ii-text-xxs ii-font-bold ii-uppercase ii-tracking-widest ii-opacity-40'
    }, event.type)), index < dayEvents.length - 1 && React.createElement(Divider, null));
  })));
};

var Calendar = function Calendar(_ref) {
  var events = _ref.events,
      className = _ref.className;
  var todaysDate = new Date();

  var _useState = useState(new Date(todaysDate.getUTCFullYear(), todaysDate.getMonth() + 1, 0)),
      date = _useState[0],
      setDate = _useState[1];

  var currentMonthDays = getCurrentMonthDays(date);
  var days = [].concat(getPreviousMonthDays(date, currentMonthDays), currentMonthDays, getNextMonthDays(date, currentMonthDays));

  var changeMonth = function changeMonth(changeToPrevious) {
    setDate(new Date(date.getUTCFullYear(), date.getMonth() + (changeToPrevious ? 0 : 2), 0));
  };

  var getDayEvents = function getDayEvents(day) {
    var dayEvents = events.filter(function (event) {
      if (event.endDate === undefined) {
        return isSameDay(event.startDate, day.date);
      } else {
        return isDuringDays(event.startDate, event.endDate, day.date);
      }
    });
    return {
      dayEvents: dayEvents,
      hasDeadline: dayEvents.some(function (event) {
        return event.type === CalendarEventType.DEADLINE;
      }),
      hasSimpleEvent: dayEvents.some(function (event) {
        return event.type !== CalendarEventType.DEADLINE;
      })
    };
  };

  return React.createElement("div", {
    className: clsx('ii-calendar', className)
  }, React.createElement("div", {
    className: 'ii-calendar-header'
  }, React.createElement("button", {
    onClick: function onClick() {
      return changeMonth(true);
    },
    className: 'ii-calendar-header-button ii-rotate-90'
  }, React.createElement(Chevron, {
    className: 'ii-calendar-header-button-chevron'
  })), React.createElement("p", null, date.toLocaleString('en-US', {
    year: 'numeric',
    month: 'long'
  })), React.createElement("button", {
    onClick: function onClick() {
      return changeMonth(false);
    },
    className: 'ii-calendar-header-button ii--rotate-90'
  }, React.createElement(Chevron, {
    className: 'ii-calendar-header-button-chevron'
  }))), React.createElement("div", {
    className: 'ii-calendar-body'
  }, daysOfWeek.map(function (day) {
    return React.createElement("div", {
      key: day,
      className: clsx('ii-calendar-body-item ii-opacity-50')
    }, React.createElement("p", {
      className: ''
    }, day[0]));
  }), days.map(function (day) {
    var _getDayEvents = getDayEvents(day),
        dayEvents = _getDayEvents.dayEvents,
        hasDeadline = _getDayEvents.hasDeadline,
        hasSimpleEvent = _getDayEvents.hasSimpleEvent;

    return React.createElement("div", {
      className: 'ii-group ii-relative',
      key: day.date.toDateString()
    }, React.createElement("div", {
      className: clsx(dayEvents.length === 0 && 'ii-calendar-body-item', day.isCurrentMonth ? 'ii-font-bold' : 'ii-opacity-50', hasDeadline ? 'ii-calendar-body-item-red' : hasSimpleEvent && 'ii-calendar-body-item-green')
    }, React.createElement("p", null, day.date.getDate())), dayEvents.length > 0 && React.createElement(CalendarPopup, {
      dayEvents: dayEvents
    }));
  })));
};

var Select = function Select(props) {
  var onChange = props.onChange,
      options = props.options,
      error = props.error,
      addEmpty = props.addEmpty,
      value = props.value;
  return React.createElement(InputWrapper, Object.assign({}, props), React.createElement("select", {
    onChange: onChange,
    className: clsx('ii-input ii-select', error !== undefined && error && 'ii-input--error'),
    defaultValue: value === undefined ? addEmpty ? '' : undefined : undefined,
    value: value
  }, addEmpty && React.createElement("option", {
    value: '',
    disabled: true
  }), Array.from(options.entries()).map(function (_ref) {
    var key = _ref[0],
        value = _ref[1];
    return React.createElement("option", {
      key: key,
      value: key
    }, value);
  })));
};

var Pagination = function Pagination(_ref) {
  var pageSize = _ref.pageSize,
      pageCount = _ref.pageCount,
      pageIndex = _ref.pageIndex,
      setPageSize = _ref.setPageSize,
      gotoPage = _ref.gotoPage,
      itemsCount = _ref.itemsCount;
  var currentPage = pageIndex + 1;
  var isLastPage = currentPage === pageCount;
  var isFirstPage = currentPage === 1;
  var pageVariation = isFirstPage || isLastPage ? [pageCount, pageCount - 1, pageCount - 2, 1, 2, 3] : [1, currentPage, currentPage - 1, currentPage + 1, pageCount];
  var pageSizeOptions = Array.from(new Set([10, 20, 30, 50, itemsCount])).filter(function (option) {
    return option <= itemsCount;
  });

  var onPageSizeChange = function onPageSizeChange(newPage) {
    gotoPage(1);
    setPageSize(newPage);
  };

  return React.createElement("div", {
    className: 'ii-pagination ii-relative ii-mt-3 ii-flex ii-items-center'
  }, React.createElement("div", {
    className: 'ii-pagination__size-select ii-absolute ii-flex ii-items-center'
  }, React.createElement("p", {
    className: 'ii-pagination__size-select__title ii-pr-5 ii-text-xs'
  }, "Show:"), React.createElement(Dropdown, {
    title: String(pageSize)
  }, React.createElement("div", {
    className: 'ii-pagination__size-select__options ii-flex ii-flex-col ii-items-start ii-space-y-2 ii-pr-16 ii-text-sm'
  }, pageSizeOptions == null ? void 0 : pageSizeOptions.map(function (option) {
    return React.createElement("button", {
      key: option,
      onClick: function onClick() {
        return onPageSizeChange(option);
      },
      className: 'ii-pagination__size-select__option'
    }, option === itemsCount ? 'All' : option);
  })))), pageCount > 1 && React.createElement("div", {
    className: 'ii-pagination__page-select ii-mx-auto ii-flex ii-items-center ii-space-x-1'
  }, React.createElement("button", {
    onClick: function onClick() {
      return isFirstPage || gotoPage(pageIndex - 1);
    },
    className: clsx(isFirstPage && 'cursor-default', 'ii-pagination__page-select__navigate-left')
  }, isFirstPage ? React.createElement("div", {
    className: 'ii-h-5 ii-w-5'
  }) : React.createElement(Chevron, {
    className: 'ii-h-5 ii-w-5 ii-rotate-90 ii-transform ii-opacity-60'
  })), Array.from({
    length: pageCount
  }, function (_, i) {
    if (pageVariation.includes(i + 1)) {
      return React.createElement("button", {
        onClick: function onClick() {
          return gotoPage(i);
        },
        className: clsx('ii-h-7 ii-w-7 ii-rounded-full ii-border ii-border-transparent ii-text-xs', 'ii-page-item hover:ii-border-green-200 hover:ii-bg-green-100', 'ii-pagination__page-select__button', currentPage === i + 1 && 'ii-border-green-400 ii-bg-green-200 hover:ii-border-green-400 hover:ii-bg-green-200')
      }, i + 1);
    } else if (pageVariation.includes(i)) {
      return React.createElement("p", null, "...");
    }

    return React.createElement(React.Fragment, null);
  }), React.createElement("button", {
    onClick: function onClick() {
      return isLastPage || gotoPage(pageIndex + 1);
    },
    className: clsx(isLastPage && 'ii-cursor-default', 'ii-pagination__page-select__navigate-right')
  }, isLastPage ? React.createElement("div", {
    className: 'ii-h-5 ii-w-5'
  }) : React.createElement(Chevron, {
    className: 'ii-h-5 ii-w-5 ii--rotate-90 ii-transform ii-opacity-60'
  }))));
};

var TableHeader = function TableHeader(_ref) {
  var headerGroups = _ref.headerGroups;
  return React.createElement("thead", {
    className: 'ii-table__head ii-mb-3'
  }, headerGroups.map(function (headerGroup) {
    return React.createElement("tr", Object.assign({}, headerGroup.getHeaderGroupProps(), {
      key: headerGroup.id
    }), headerGroup.headers.map(function (column) {
      return React.createElement("th", Object.assign({}, column.getHeaderProps(_extends({}, column.getSortByToggleProps(), {
        style: {
          minWidth: column.minWidth,
          width: column.width === undefined ? undefined : column.minWidth === undefined || column.minWidth < column.width ? column.width : column.minWidth,
          maxWidth: column.maxWidth
        }
      })), {
        className: clsx('ii-table__header ii-px-5 ii-text-left ii-font-medium', column.className),
        key: column.id
      }), React.createElement("div", {
        className: 'ii-table__header-cell ii-flex ii-items-center ii-justify-center ii-text-center'
      }, column.render('Header'), column.isSorted ? column.isSortedDesc === true ? React.createElement(React.Fragment, null, React.createElement(Chevron, {
        className: 'ii-h-5 ii-w-5 ii-rotate-180 ii-transform'
      })) : React.createElement(React.Fragment, null, React.createElement(Chevron, {
        className: 'ii-h-5 ii-w-5'
      })) : ''));
    }));
  }), React.createElement("tr", {
    className: 'ii-h-3'
  }));
};

var TableRow = function TableRow(_ref) {
  var row = _ref.row,
      isMultiline = _ref.isMultiline,
      _onClick = _ref.onClick;
  return React.createElement(React.Fragment, null, React.createElement("tr", Object.assign({}, row.getRowProps(), {
    className: clsx('ii-table__row ii-bg-gray-500', _onClick !== undefined && 'ii-transition-base hover:ii-cursor-pointer hover:ii-bg-gray-600'),
    key: row.id,
    onClick: function onClick() {
      return _onClick == null ? void 0 : _onClick(row);
    }
  }), row.cells.map(function (cell, index) {
    return React.createElement("td", Object.assign({}, cell.getCellProps(), {
      className: clsx('ii-transition-base ii-table__data ii-h-full ii-py-2 ii-align-top ii-text-sm ii-font-normal'),
      key: row.id + "-" + cell.column.id
    }), React.createElement("div", {
      className: clsx('ii-table__cell ii-h-full ii-px-5 ii-py-1', row.cells.length - 1 > index && 'ii-border-r ii-border-gray-600', isMultiline ? 'ii-break-all' : 'ii-truncate')
    }, cell.render('Cell')));
  })), React.createElement("tr", {
    className: 'ii-h-1.5'
  }));
};

var TableBody = function TableBody(_ref) {
  var tableBodyProps = _ref.tableBodyProps,
      page = _ref.page,
      prepareRow = _ref.prepareRow,
      isMultiline = _ref.isMultiline,
      onRowClick = _ref.onRowClick;
  return React.createElement("tbody", Object.assign({}, tableBodyProps), page.map(function (row) {
    prepareRow(row);
    return React.createElement(React.Fragment, {
      key: row.id
    }, React.createElement(TableRow, {
      row: row,
      isMultiline: isMultiline,
      onClick: onRowClick
    }));
  }));
};

var initialDefaultColumn = {
  width: undefined,
  minWidth: 70
};
var Table = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var columns = _ref.columns,
      data = _ref.data,
      _ref$isMultiline = _ref.isMultiline,
      isMultiline = _ref$isMultiline === void 0 ? true : _ref$isMultiline,
      _ref$initialPageSize = _ref.initialPageSize,
      initialPageSize = _ref$initialPageSize === void 0 ? 20 : _ref$initialPageSize,
      _ref$renderPagination = _ref.renderPagination,
      renderPagination = _ref$renderPagination === void 0 ? false : _ref$renderPagination,
      _ref$withNumbering = _ref.withNumbering,
      withNumbering = _ref$withNumbering === void 0 ? false : _ref$withNumbering,
      _ref$disableSorting = _ref.disableSorting,
      disableSorting = _ref$disableSorting === void 0 ? false : _ref$disableSorting,
      onRowClick = _ref.onRowClick,
      _ref$defaultColumn = _ref.defaultColumn,
      defaultColumn = _ref$defaultColumn === void 0 ? initialDefaultColumn : _ref$defaultColumn;
  var numberingColumn = useMemo(function () {
    return {
      Header: ' ',
      accessor: '',
      minWidth: 70,
      maxWidth: 70,
      width: undefined,
      Cell: function Cell(_ref2) {
        var id = _ref2.row.id;
        return React.createElement("div", null, Number(id) + 1);
      },
      disableSortBy: true
    };
  }, []);
  var memoizedColumns = useMemo(function () {
    return withNumbering ? [numberingColumn].concat(columns) : columns;
  }, [columns, withNumbering, numberingColumn]);
  var memoizedData = useMemo(function () {
    return data;
  }, [data]);
  var sortTypes = useMemo(function () {
    return {
      alphanumeric: function alphanumeric(a, b, id) {
        var valueA = typeof a.values[id] === 'string' ? a.values[id].toLowerCase() : a.values[id];
        var valueB = typeof b.values[id] === 'string' ? b.values[id].toLowerCase() : b.values[id];
        return valueB > valueA ? 1 : valueB < valueA ? -1 : 0;
      }
    };
  }, []);
  var tableOptions = {
    data: memoizedData,
    columns: memoizedColumns,
    defaultColumn: defaultColumn,
    sortTypes: sortTypes,
    disableSortBy: disableSorting,
    initialState: {
      pageIndex: 0,
      pageSize: !renderPagination ? data.length : initialPageSize
    }
  };
  var tableInstance = useTable(tableOptions, useFilters, useGlobalFilter, useSortBy, usePagination);
  var getTableProps = tableInstance.getTableProps,
      getTableBodyProps = tableInstance.getTableBodyProps,
      headerGroups = tableInstance.headerGroups,
      page = tableInstance.page,
      prepareRow = tableInstance.prepareRow,
      setPageSize = tableInstance.setPageSize,
      gotoPage = tableInstance.gotoPage,
      pageCount = tableInstance.pageCount,
      _tableInstance$state = tableInstance.state,
      pageIndex = _tableInstance$state.pageIndex,
      pageSize = _tableInstance$state.pageSize;
  useImperativeHandle(ref, function () {
    return tableInstance;
  });
  return React.createElement("div", {
    className: 'ii-table__wrapper ii-w-max ii-max-w-full'
  }, React.createElement("div", {
    className: 'ii-table__wrapper-overflow ii-overflow-scroll ii-pb-3'
  }, React.createElement("table", Object.assign({}, getTableProps(), {
    className: 'ii-table ii-h-px ii-w-full'
  }), React.createElement(TableHeader, {
    headerGroups: headerGroups
  }), React.createElement(TableBody, {
    tableBodyProps: getTableBodyProps(),
    page: page,
    isMultiline: isMultiline,
    prepareRow: prepareRow,
    onRowClick: onRowClick
  }))), renderPagination && React.createElement(Pagination, {
    gotoPage: gotoPage,
    setPageSize: setPageSize,
    pageSize: pageSize,
    pageIndex: pageIndex,
    pageCount: pageCount,
    itemsCount: data.length
  }));
});

var ImageBanner = function ImageBanner(_ref) {
  var title = _ref.title,
      image = _ref.image,
      alt = _ref.alt;
  return React.createElement("div", {
    className: 'ii-banner-outer-div ii-relative ii-flex ii-h-fit ii-w-full ii-justify-center ii-text-igem-white'
  }, title !== undefined && React.createElement("div", {
    className: 'ii-banner-gradient-div ii-absolute ii-flex ii-h-full ii-w-full ii-items-end ii-justify-start'
  }, React.createElement("div", {
    className: 'ii-banner-heading ii-ml-3 ii-mb-1 ii-text-xl ii-font-bold md:ii-ml-6 md:ii-mb-4 md:ii-text-3xl lg:ii-ml-8 lg:ii-mb-8 lg:ii-text-4xl xl:ii-ml-16'
  }, title)), React.createElement("img", {
    alt: alt,
    src: image,
    className: 'ii-banner-img ii-w-full'
  }));
};

var ImageSize;

(function (ImageSize) {
  ImageSize["SMALL"] = "small";
  ImageSize["MEDIUM"] = "medium";
  ImageSize["LARGE"] = "large";
  ImageSize["AUTO"] = "auto";
})(ImageSize || (ImageSize = {}));

var imageSizeMap = {
  small: 'ii-w-1/3 ii-image-size--small',
  medium: 'ii-w-5/12 ii-image-size--medium',
  large: 'ii-w-5/6 ii-image-size--large',
  auto: 'ii-w-auto ii-image-size--auto'
};
var Image = function Image(props) {
  var image = props.image,
      alt = props.alt,
      imageSize = props.imageSize,
      text = props.text;
  return React.createElement("div", {
    className: clsx('ii-image-outer-div ii-flex', text !== undefined && 'ii-flex-col ii-gap-4', imageSizeMap[imageSize != null ? imageSize : ImageSize.MEDIUM])
  }, React.createElement("img", {
    className: 'ii-image-img ii-rounded-md ii-object-cover',
    src: image,
    alt: alt
  }), text !== undefined && React.createElement("label", {
    className: 'ii-image-label ii-text-xs ii-italic'
  }, text));
};

var socialMedia = [// {
//   link: '',
//   Component: Slack,
//   className: 'social-media-icon-base'
// },
{
  link: 'https://www.instagram.com/igem_hq/',
  Icon: Instagram,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://twitter.com/igem',
  Icon: Twitter,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://www.linkedin.com/company/igem-foundation/',
  Icon: LinkedIn,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://www.facebook.com/iGEMFoundation/',
  Icon: Facebook,
  className: 'ii-social-media-icon-facebook'
}, {
  link: 'https://www.youtube.com/c/iGEMFoundation',
  Icon: Youtube,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://www.tiktok.com/@igem_hq',
  Icon: TikTok,
  className: 'ii-social-media-icon-base'
}];
var newsletterHref = 'https://confirmsubscription.com/h/i/F2D48D61C2EA742F';
var footerLinks = [{
  title: 'iGEM',
  link: 'https://igem.org',
  items: [{
    title: 'Old Website',
    link: 'https://old.igem.org'
  }, {
    title: 'Our Vision',
    link: 'https://igem.org/Vision'
  }, {
    title: 'iGEM Blog',
    link: 'https://blog.igem.org'
  }, {
    title: 'Videos',
    link: 'https://video.igem.org'
  }, {
    title: 'News',
    link: 'https://igem.org/News'
  }, {
    title: 'Jobs',
    link: 'https://jobs.igem.org'
  }]
}, {
  title: 'Competition',
  link: 'https://competition.igem.org',
  items: [{
    title: 'Timeline',
    link: 'https://igem.org/Timeline'
  }, {
    title: 'Previous Year',
    link: 'https://2021.igem.org'
  }, {
    title: 'iGEM Cycle',
    link: 'https://blog.igem.org/blog/the-igem-cycle-how-to-navigate-the-igem-competition'
  }, {
    title: 'Starting a Team',
    link: 'https://blog.igem.org/blog/how-to-start-an-igem-team'
  }, {
    title: '2021 Results',
    link: 'https://jamboree.igem.org/results'
  }]
}, {
  title: 'Projects',
  link: 'https://projects.igem.org/',
  items: [{
    title: 'Team List',
    link: 'https://igem.org/Team_List'
  }, {
    title: 'Project Videos',
    link: 'https://video.igem.org/'
  }, {
    title: 'Phoenix Database',
    link: 'https://igem.org/Phoenix'
  }]
}, {
  title: 'Community',
  link: 'https://community.igem.org/',
  items: [{
    title: 'Projects',
    link: 'https://community.igem.org/projects'
  }, {
    title: 'News',
    link: 'https://community.igem.org/news'
  }, {
    title: 'Events',
    link: 'https://community.igem.org/events'
  }, {
    title: 'Ambassadors',
    link: 'https://community.igem.org/ambassador-program/'
  }, {
    title: 'Networks',
    link: 'https://community.igem.org/'
  }, {
    title: 'Initiatives',
    link: 'https://community.igem.org/'
  }]
}, {
  title: 'Technology',
  link: 'https://technology.igem.org/',
  items: [{
    title: 'About',
    link: 'https://igem.org/Registry'
  }, {
    title: 'Parts Registry',
    link: 'https://parts.igem.org/'
  }, {
    title: 'Distribution Kits',
    link: 'https://parts.igem.org/assembly/libraries.cgi'
  }, {
    title: 'Team Parts',
    link: 'https://igem.org/Team_Parts?year=2021'
  }, {
    title: 'Engineering Hub',
    link: 'https://2021.igem.org/Engineering'
  }, {
    title: 'Engineering Webinars',
    link: 'https://2021.igem.org/Engineering/Webinars'
  }]
}, {
  title: 'Responsibility',
  link: 'https://responsibility.igem.org/',
  items: [{
    title: 'Safety & Security at iGEM',
    link: 'https://igem.org/Safety'
  }, {
    title: 'Human Practices at iGEM',
    link: 'https://igem.org/Human_Practices'
  }, {
    title: 'Safety Hub',
    link: 'https://2021.igem.org/Safety'
  }, {
    title: 'Human Practices Hub',
    link: 'https://2021.igem.org/Human_Practices'
  }]
}, {
  title: 'Startups',
  link: 'https://startups.igem.org/',
  items: [{
    title: 'iGEM EPIC Program',
    link: 'https://igem.org/EPIC'
  }, {
    title: 'iGEM Startups',
    link: 'https://igem.org/Startups'
  }, {
    title: 'EPIC Journey Blog',
    link: 'https://blog.igem.org/epic-journey'
  }]
}, {
  title: 'Leagues',
  link: 'https://leagues.igem.org/',
  items: [{
    title: 'Vision',
    link: 'https://igem.org/iGEM_Leagues'
  }, {
    title: 'Design League',
    link: 'https://igem.org/Designleague'
  }, {
    title: 'Indian League',
    link: 'https://igem.org/Indian-League'
  }, {
    title: 'iGEM Academy',
    link: 'https://academy.igem.org/'
  }]
}, {
  title: 'Jamboree',
  link: 'https://jamboree.igem.org/',
  items: [{
    title: '2021 Recap',
    link: 'https://jamboree.igem.org/recap'
  }, {
    title: '2021 Startup Showcase',
    link: 'https://jamboree.igem.org/epic'
  }, {
    title: '2021 Meetups',
    link: 'https://jamboree.igem.org/meetups'
  }]
}];

var CenteredContentWrapper = function CenteredContentWrapper(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-page-content ii-centered-content', className)
  }, children);
};

var Footer = function Footer(_ref) {
  var subMenu = _ref.subMenu;

  var renderLinkComponent = function renderLinkComponent(link) {
    var _link$items;

    return React.createElement("div", {
      className: 'ii-flex ii-flex-col ii-gap-y-1.5',
      key: link.title
    }, React.createElement("a", {
      className: 'ii-transition-base ii-mb-3 ii-text-sm ii-font-bold hover:ii-text-green-500',
      href: link.link
    }, link.title), (_link$items = link.items) == null ? void 0 : _link$items.map(function (item) {
      return React.createElement("a", {
        className: 'ii-transition-base ii-text-sm hover:ii-text-green-500',
        key: item.title,
        href: "" + item.link
      }, item.title);
    }));
  };

  var renderLocationComponent = function renderLocationComponent(title, location) {
    return React.createElement("div", {
      className: clsx('ii-mt-1 ii-flex ii-flex-col ii-text-gray-700 sm:ii-mt-0 sm:ii-w-auto sm:ii-flex-row sm:ii-items-center')
    }, React.createElement("p", {
      className: 'ii-hidden sm:ii-block'
    }, title), React.createElement("div", {
      className: 'ii-flex ii-items-center'
    }, React.createElement(Pin, {
      className: 'ii-mr-1 ii-h-5 ii-w-5 ii-flex-shrink-0 sm:ii-mx-2'
    }), React.createElement("p", {
      className: 'ii-font-semibold sm:ii-hidden'
    }, title)), React.createElement("p", {
      className: 'ii-ml-1 ii-mt-1 sm:ii-ml-0 sm:ii-mt-0'
    }, location));
  };

  var renderMailButton = function renderMailButton() {
    return React.createElement("a", {
      className: 'ii-group ii-flex ii-items-center',
      href: 'mailto:hq@igem.org'
    }, React.createElement("div", {
      className: 'ii-transition-base ii-flex ii-h-10 ii-w-10 ii-items-center ii-justify-center ii-rounded-full ii-border ii-border-gray-600 group-hover:ii-bg-gray-600'
    }, React.createElement(Mail, {
      className: 'ii-social-media-icon-base ii-h-5 ii-w-5'
    })), React.createElement("p", {
      className: 'ii-ml-2 ii-text-sm'
    }, "hq@igem.org"));
  };

  var renderNewsletterButton = function renderNewsletterButton() {
    return React.createElement("div", {
      className: 'ii-flex ii-items-center'
    }, React.createElement("a", {
      href: newsletterHref,
      target: '_blank',
      rel: 'noreferrer'
    }, React.createElement("button", {
      className: 'ii-button ii-rounded-full ii-rounded-2xl ii-text-sm ii-font-light ii-text-black-400 hover:ii-border-green-500 hover:ii-bg-green-100'
    }, "+ Newsletter")));
  };

  return React.createElement("footer", {
    className: 'ii-bg-gray-500 ii-py-7'
  }, React.createElement(CenteredContentWrapper, null, React.createElement("div", {
    className: 'ii-mb-1 ii-flex ii-flex-col ii-items-center ii-justify-between ii-px-4 sm:ii-flex-row'
  }, React.createElement("div", {
    className: 'ii-flex ii-flex-col ii-items-center sm:ii-flex-row'
  }, React.createElement("div", {
    className: 'ii-my-5 ii-flex ii-w-full ii-items-center ii-justify-between sm:ii-my-0 sm:ii-mr-10'
  }, React.createElement(IgemLogo, {
    className: 'ii-w-32 sm:ii-w-16'
  }), React.createElement("div", {
    className: 'sm:ii-hidden'
  }, renderMailButton())), React.createElement("div", {
    className: 'sm:ii-hidden'
  }, renderNewsletterButton()), React.createElement("div", {
    className: 'ii-grid ii-grid-cols-3 ii-gap-x-5 ii-gap-y-2 ii-px-3 ii-py-4 sm:ii-flex sm:ii-gap-x-2 sm:ii-gap-y-0 sm:ii-py-0'
  }, socialMedia.map(function (_ref2) {
    var link = _ref2.link,
        Icon = _ref2.Icon,
        className = _ref2.className;
    return React.createElement("div", {
      className: 'ii-group',
      key: link
    }, React.createElement("a", {
      className: 'ii-transition-base ii-flex ii-h-10 ii-w-10 ii-items-center ii-justify-center ii-rounded-full ii-border ii-border-gray-600 ii-bg-gray-500 group-hover:ii-bg-gray-600',
      href: link,
      target: '_blank',
      rel: 'noreferrer'
    }, React.createElement(Icon, {
      className: className
    })));
  }), React.createElement("div", {
    className: 'ii-hidden sm:ii-block'
  }, renderMailButton()))), React.createElement("div", {
    className: 'ii-hidden sm:ii-block'
  }, renderNewsletterButton())), React.createElement(Divider, {
    className: '!ii-my-0'
  }), subMenu, React.createElement("div", {
    className: 'ii-grid ii-grid-cols-2 ii-gap-y-5 ii-py-10 ii-px-4 md:ii-grid-cols-5'
  }, Object.values(footerLinks).map(function (link) {
    return renderLinkComponent(link);
  })), React.createElement(Divider, {
    className: '!ii-my-0'
  }), React.createElement("div", {
    className: 'ii-mt-5 ii-flex ii-flex-col ii-px-4 ii-text-xs sm:ii-flex-row sm:ii-items-center'
  }, React.createElement("div", {
    className: 'ii-flex ii-gap-x-4 sm:ii-items-center sm:ii-gap-x-12'
  }, renderLocationComponent('iGEM Foundation', '45 Prospect Street, 02139 Cambridge MA, USA'), renderLocationComponent('iGEM Europe', '8 bis rue Charles V, 75004 Paris, France')), React.createElement("div", {
    className: 'ii-mt-4 ii-ml-1 ii-flex ii-items-center ii-gap-x-3 ii-text-xs ii-opacity-40 sm:ii-mt-0 sm:ii-ml-12'
  }, React.createElement("a", {
    href: 'https://igem.org/Privacy_Policy',
    target: '_blank',
    rel: 'noreferrer'
  }, React.createElement("p", null, "Privacy Policy"))))));
};

var LinkCardSize;

(function (LinkCardSize) {
  LinkCardSize["TINY"] = "tiny";
  LinkCardSize["SMALL"] = "small";
  LinkCardSize["MEDIUM"] = "medium";
  LinkCardSize["LARGE"] = "large";
})(LinkCardSize || (LinkCardSize = {}));

var linkCardSizeMap = {
  tiny: 'ii-h-24',
  small: 'ii-h-36',
  medium: 'ii-h-48',
  large: 'ii-h-60'
};
var LinkCard = function LinkCard(props) {
  var title = props.title,
      url = props.url,
      image = props.image,
      size = props.size,
      _props$displayFullPat = props.displayFullPath,
      displayFullPath = _props$displayFullPat === void 0 ? false : _props$displayFullPat;
  var strippedUrl;

  try {
    var objUrl = new URL(url);

    if (displayFullPath) {
      strippedUrl = "" + objUrl.hostname + objUrl.pathname;
    } else {
      strippedUrl = objUrl.hostname;
    }
  } catch (_unused) {
    strippedUrl = 'N/A';
  }

  return React.createElement(AnchorWrapper, {
    className: 'ii-card-element-base ii-link-card-div ii-flex ii-flex-col ii-bg-white',
    link: url
  }, React.createElement("div", {
    style: {
      backgroundImage: "url(" + (image != null ? image : '') + ")"
    },
    className: clsx('ii-background-image ii-w-full ii-flex-grow', image !== '' ? linkCardSizeMap[size != null ? size : LinkCardSize.SMALL] : null)
  }), React.createElement("div", {
    className: 'ii-flex-wrap-none ii-m-2.5 ii-flex ii-flex-row ii-items-center'
  }, React.createElement(ChainLink, {
    className: 'ii-mx-2.5 ii-h-4 ii-w-4 ii-flex-shrink-0'
  }), React.createElement("div", {
    className: 'ii-mx-2 ii-min-w-0'
  }, React.createElement("p", {
    className: 'ii-truncate ii-text-sm ii-font-bold'
  }, title), React.createElement("p", {
    className: 'ii-truncate ii-text-sm ii-placeholder-opacity-80'
  }, strippedUrl))));
};

var Columns = function Columns(count) {
  return function (_ref) {
    var children = _ref.children,
        className = _ref.className;
    return React.createElement("div", {
      className: clsx('ii-columns ii-grid ii-justify-items-stretch ii-gap-6', "md:ii-grid-cols-" + count, className)
    }, children);
  };
};

var TwoColumns = /*#__PURE__*/Columns(2);
var ThreeColumns = /*#__PURE__*/Columns(3);
var FourColumns = /*#__PURE__*/Columns(4);

var VideoSize;

(function (VideoSize) {
  VideoSize["SMALL"] = "small";
  VideoSize["MEDIUM"] = "medium";
  VideoSize["LARGE"] = "large";
  VideoSize["AUTO"] = "auto";
})(VideoSize || (VideoSize = {}));

var videoSizeMap = {
  small: 'ii-h-36',
  medium: 'ii-h-48',
  large: 'ii-h-60',
  auto: 'ii-w-full'
};
var igemVideosUrl = 'video.igem.org';
var VideoCard = function VideoCard(props) {
  var title = props.title,
      video = props.video,
      size = props.size;

  var _useState = useState(true),
      titleVisible = _useState[0],
      setTitleVisible = _useState[1];

  var _useState2 = useState(true),
      isPaused = _useState2[0],
      setIsPaused = _useState2[1];

  return React.createElement("div", {
    className: clsx('ii-shadow--normal ii-video-card-div ii-relative ii-aspect-video ii-overflow-hidden ii-rounded-md ii-bg-white', videoSizeMap[size != null ? size : VideoSize.AUTO]),
    onMouseEnter: function onMouseEnter() {
      return setTitleVisible(true);
    },
    onMouseLeave: function onMouseLeave() {
      return !isPaused && setTitleVisible(false);
    }
  }, video.includes(igemVideosUrl) ? React.createElement("iframe", {
    className: 'ii-video-card-iframe ii-h-full ii-w-full',
    title: title,
    width: '560',
    height: '315',
    src: video + '?warningTitle=0&amp;peertubeLink=0',
    frameBorder: '0',
    allowFullScreen: true,
    sandbox: 'allow-same-origin allow-scripts allow-popups'
  }) : React.createElement(React.Fragment, null, React.createElement("video", {
    className: 'ii-h-full',
    controls: true,
    src: video,
    onPlay: function onPlay() {
      setIsPaused(false);
    },
    onPause: function onPause() {
      setIsPaused(true);
      setTitleVisible(true);
    }
  }, "Sorry, your browser doesn't support embedded videos."), React.createElement("div", {
    className: clsx(!titleVisible && 'ii-fade-out ii-opacity-0', 'ii-video-card-title ii-video-card-title-shadow ii-absolute ii-top-0 ii-z-10 ii-m-4 ii-font-bold ii-text-white')
  }, title)));
};

var NewsBox = function NewsBox(props) {
  var image = props.image,
      alt = props.alt,
      date = props.date,
      title = props.title,
      text = props.text,
      readMoreLink = props.readMoreLink;
  var dateOptions = {
    year: 'numeric',
    month: 'long',
    day: 'numeric'
  };
  return React.createElement(AnchorWrapper, {
    link: readMoreLink,
    className: 'ii-card-element-base ii-news-box-div ii-flex ii-max-w-xl ii-flex-col'
  }, React.createElement("img", {
    className: 'ii-news-box-img ii-aspect-video ii-object-cover',
    src: image,
    alt: alt
  }), React.createElement("div", {
    className: 'ii-card-element-background ii-content-box-padding ii-page-content ii-news-box-text-div ii-flex-grow'
  }, date !== undefined && React.createElement("div", {
    className: 'ii-small-caps ii-news-box-date ii-text-neutral-600 ii-mb-2 ii-text-sm'
  }, new Date(date).toLocaleString('en-US', dateOptions).toUpperCase()), React.createElement("h4", {
    className: 'ii-news-box-title !ii-my-0'
  }, title), text !== undefined && React.createElement("p", {
    className: 'ii-news-box-text'
  }, text)));
};

var ElementWithOverlay = function ElementWithOverlay(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('h-full ii-relative', className == null ? void 0 : className.outerDiv)
  }, children, React.createElement("div", {
    className: clsx('ii-overlay-gradient ii-absolute ii-top-0 ii-h-full ii-w-full ii-bg-gradient-to-t', className == null ? void 0 : className.overlay)
  }));
};

var GradientColor;

(function (GradientColor) {
  GradientColor["GREEN"] = "green";
  GradientColor["YELLOW"] = "yellow";
  GradientColor["BLUE"] = "blue";
  GradientColor["BLACK"] = "black";
})(GradientColor || (GradientColor = {}));

var GradientVariant;

(function (GradientVariant) {
  GradientVariant["green"] = "ii-from-igem-green";
  GradientVariant["yellow"] = "ii-from-igem-yellow";
  GradientVariant["blue"] = "ii-from-igem-blue";
  GradientVariant["black"] = "ii-from-igem-black";
})(GradientVariant || (GradientVariant = {}));

var getGradient = function getGradient(color) {
  return GradientVariant[color];
};

var TextColor;

(function (TextColor) {
  TextColor["LIGHT"] = "light";
  TextColor["DARK"] = "dark";
})(TextColor || (TextColor = {}));

var _TextColor;

(function (_TextColor) {
  _TextColor["light"] = "ii-text-igem-white";
  _TextColor["dark"] = "ii-text-igem-black";
})(_TextColor || (_TextColor = {}));

var getTextColor = function getTextColor(color) {
  return _TextColor[color];
};

var LinkPosition;

(function (LinkPosition) {
  LinkPosition["INSIDE_BOTTOM_LEFT"] = "inside-bottom-left";
  LinkPosition["OUTSIDE_BOTTOM_CENTER"] = "outside-bottom-center";
})(LinkPosition || (LinkPosition = {}));

var LinkWithThumbnail = function LinkWithThumbnail(_ref) {
  var thumbnailUrl = _ref.thumbnailUrl,
      link = _ref.link,
      _ref$gradientColor = _ref.gradientColor,
      gradientColor = _ref$gradientColor === void 0 ? GradientColor.BLACK : _ref$gradientColor,
      className = _ref.className,
      textColor = _ref.textColor;

  var renderTitle = function renderTitle() {
    return React.createElement("div", {
      className: clsx('ii-small-caps ii-flex ii-items-center ii-text-sm ii-tracking-widest', clsx(link.position === LinkPosition.INSIDE_BOTTOM_LEFT && (gradientColor === GradientColor.BLACK || gradientColor === GradientColor.BLUE) && getTextColor(TextColor.LIGHT), className == null ? void 0 : className.title, textColor !== undefined && [getTextColor(textColor)]))
    }, React.createElement(Chevron, {
      className: 'ii-w-5 ii--rotate-90 ii-transform'
    }), React.createElement("p", null, link.name));
  };

  return React.createElement(AnchorWrapper, {
    link: link.url,
    className: clsx('ii-h-fit ii-w-fit', className == null ? void 0 : className.outerDiv)
  }, React.createElement(ElementWithOverlay, {
    className: {
      outerDiv: 'ii-overflow-hidden ii-rounded-lg',
      overlay: clsx(className == null ? void 0 : className.overlay, gradientColor !== undefined && getGradient(gradientColor))
    }
  }, React.createElement("img", {
    src: thumbnailUrl,
    alt: link.name
  })), link.position === LinkPosition.INSIDE_BOTTOM_LEFT ? React.createElement("div", {
    className: 'ii-absolute ii-bottom-0 ii-mx-2 ii-my-1 ii-w-full'
  }, renderTitle()) : React.createElement("div", {
    className: 'ii-mt-1 ii-flex ii-justify-center'
  }, renderTitle()));
};

var ScrollMode;

(function (ScrollMode) {
  ScrollMode[ScrollMode["BOTH"] = 0] = "BOTH";
  ScrollMode[ScrollMode["LEFT"] = 1] = "LEFT";
  ScrollMode[ScrollMode["RIGHT"] = 2] = "RIGHT";
  ScrollMode[ScrollMode["NONE"] = 3] = "NONE";
})(ScrollMode || (ScrollMode = {}));

var HorizontalScroll = function HorizontalScroll(props) {
  var _innerRef$current2, _coverRef$current2, _ref$current9;

  var children = props.children,
      className = props.className,
      scrollRef = props.scrollRef,
      showLast = props.showLast;
  var innerRef = useRef(null);
  var coverRef = useRef(null);
  var ref = scrollRef;

  var _useState = useState(ScrollMode.NONE),
      scrollMode = _useState[0],
      setScrollMode = _useState[1];

  var recalculateOverlay = useCallback(function () {
    var _innerRef$current, _coverRef$current, _ref$current, _ref$current2, _ref$current3;

    var innerWidth = (_innerRef$current = innerRef.current) == null ? void 0 : _innerRef$current.clientWidth;
    var coverWidth = (_coverRef$current = coverRef.current) == null ? void 0 : _coverRef$current.clientWidth;
    var scrollLeft = (_ref$current = ref.current) == null ? void 0 : _ref$current.scrollLeft;
    var offsetWidth = (_ref$current2 = ref.current) == null ? void 0 : _ref$current2.offsetWidth;
    var scrollWidth = (_ref$current3 = ref.current) == null ? void 0 : _ref$current3.scrollWidth;

    if (innerWidth !== undefined && coverWidth !== undefined && innerWidth <= coverWidth) {
      setScrollMode(ScrollMode.NONE);
    } else {
      if (scrollLeft !== undefined && offsetWidth !== undefined) {
        if (scrollLeft + offsetWidth === scrollWidth) {
          setScrollMode(ScrollMode.RIGHT);
        } else if (scrollLeft === 0) {
          setScrollMode(ScrollMode.LEFT);
        } else {
          setScrollMode(ScrollMode.BOTH);
        }
      } else {
        setScrollMode(ScrollMode.NONE);
      }
    }
  }, [innerRef, coverRef, ref]);
  useEffect(function () {
    recalculateOverlay();
  }, [(_innerRef$current2 = innerRef.current) == null ? void 0 : _innerRef$current2.clientWidth, (_coverRef$current2 = coverRef.current) == null ? void 0 : _coverRef$current2.clientWidth, recalculateOverlay]);
  window.addEventListener('resize', function () {
    return recalculateOverlay();
  });

  var handleScrollClick = function handleScrollClick(toTheRight) {
    var _ref$current4;

    if (((_ref$current4 = ref.current) == null ? void 0 : _ref$current4.scrollLeft) !== undefined) {
      var _ref$current5;

      (_ref$current5 = ref.current) == null ? void 0 : _ref$current5.scrollBy({
        left: toTheRight ? 300 : -300,
        behavior: 'smooth'
      });
    }
  };

  useEffect(function () {
    if (showLast !== undefined && showLast) {
      var _ref$current6, _ref$current7, _ref$current8;

      (_ref$current6 = ref.current) == null ? void 0 : _ref$current6.scrollTo({
        left: ((_ref$current7 = ref.current) == null ? void 0 : _ref$current7.scrollWidth) - ((_ref$current8 = ref.current) == null ? void 0 : _ref$current8.clientWidth),
        behavior: 'auto'
      });
    }
  }, [(_ref$current9 = ref.current) == null ? void 0 : _ref$current9.scrollWidth, children, showLast, ref]);

  var getGradientClass = function getGradientClass() {
    switch (scrollMode) {
      case ScrollMode.BOTH:
        return 'ii-cover-gradient-both';

      case ScrollMode.LEFT:
        return 'ii-cover-gradient-left';

      case ScrollMode.RIGHT:
        return 'ii-cover-gradient-right';

      case ScrollMode.NONE:
        return '';
    }
  };

  return React.createElement("div", {
    className: 'ii-horizontal-scroll ii-relative'
  }, React.createElement("div", {
    className: 'ii-no-scrollbar ii-overflow-y-scroll',
    ref: ref,
    onScroll: recalculateOverlay
  }, React.createElement("div", {
    className: className,
    ref: innerRef
  }, children)), React.createElement("div", {
    className: clsx('ii-pointer-events-none ii-absolute ii-inset-0 ii-z-10 ii-flex ii-h-full ii-w-full ii-items-center ii-justify-between', getGradientClass()),
    ref: coverRef
  }, scrollMode !== ScrollMode.NONE && React.createElement("div", {
    className: 'ii-relative ii-flex ii-h-full ii-w-full ii-items-center'
  }, (scrollMode === ScrollMode.BOTH || scrollMode === ScrollMode.RIGHT) && React.createElement("button", {
    onClick: function onClick() {
      return handleScrollClick(false);
    },
    className: 'ii-horizontal-scroll-button'
  }, React.createElement(Chevron, {
    className: 'ii-rotate-90 ii-transform'
  })), (scrollMode === ScrollMode.BOTH || scrollMode === ScrollMode.LEFT) && React.createElement("button", {
    onClick: function onClick() {
      return handleScrollClick(true);
    },
    className: 'ii-horizontal-scroll-button ii--right-0'
  }, React.createElement(Chevron, {
    className: 'ii--rotate-90 ii-transform'
  })))));
};

var Timeline = function Timeline(_ref) {
  var items = _ref.items,
      _ref$scrollToRightOnL = _ref.scrollToRightOnLoad,
      scrollToRightOnLoad = _ref$scrollToRightOnL === void 0 ? false : _ref$scrollToRightOnL;
  var scrollRef = useRef(null);
  var currentYear = new Date().getFullYear();
  return React.createElement(HorizontalScroll, {
    scrollRef: scrollRef,
    className: 'ii-relative ii-w-max',
    showLast: scrollToRightOnLoad
  }, React.createElement(React.Fragment, null, React.createElement(Divider, {
    className: 'ii-absolute ii-top-3 ii--z-10'
  }), React.createElement("div", {
    className: 'ii-mx-12 ii-flex',
    ref: scrollRef
  }, items.map(function (item, index) {
    var _item$header;

    return React.createElement("div", {
      className: 'ii-w-48',
      key: ((_item$header = item.header) != null ? _item$header : '') + "-" + index
    }, React.createElement("div", {
      className: 'ii-flex ii-flex-col ii-items-center ii-gap-3'
    }, React.createElement("div", {
      className: clsx('ii-flex ii-flex-col ii-justify-center ii-rounded-full ii-text-sm ii-font-bold', 'ii-h-6 ii-border ii-px-4', item.header === currentYear.toString() ? 'ii-border-green-500 ii-bg-green-300' : 'ii-bg-gray-100 ii-border-gray-600')
    }, item.header), item.children));
  }))));
};

var JamboreeTimeLineItem = function JamboreeTimeLineItem(_ref) {
  var teams = _ref.teams,
      participants = _ref.participants,
      events = _ref.events,
      location = _ref.location;
  return React.createElement("div", null, React.createElement("div", {
    className: 'ii-grid ii-grid-cols-2 ii-items-center ii-gap-x-3 ii-gap-y-2 ii-text-sm'
  }, React.createElement("p", {
    className: 'ii-text-right ii-font-bold'
  }, teams != null ? teams : '?'), React.createElement("p", null, "teams"), React.createElement("p", {
    className: 'ii-text-right ii-font-bold'
  }, participants != null ? participants : '?'), React.createElement("p", null, "participants"), events.map(function (event) {
    return React.createElement(Fragment, {
      key: event + "-" + (participants != null ? participants : '')
    }, React.createElement("div", {
      className: 'ii-flex ii-justify-end'
    }, React.createElement(Chevron, {
      className: 'ii-w-4 ii--rotate-90 ii-transform'
    })), React.createElement("p", {
      className: 'ii-uppercase ii-tracking-wider'
    }, event));
  }), React.createElement("div", {
    className: 'ii-flex ii-justify-end'
  }, React.createElement(Pin, {
    className: 'ii-w-4'
  })), React.createElement("p", null, location)));
};

var TimelineEvents;

(function (TimelineEvents) {
  TimelineEvents["JAMBOREE"] = "jamboree";
  TimelineEvents["REGIONAL"] = "5 regional jamborees";
  TimelineEvents["WORLD"] = "1 world championship";
  TimelineEvents["GIANT"] = "giant jamboree";
  TimelineEvents["VIRTUAL"] = "virtual giant jamboree";
  TimelineEvents["MEETUPS"] = "10 jamboree meetups";
  TimelineEvents["GRAND"] = "grand jamboree";
})(TimelineEvents || (TimelineEvents = {}));

var TimelineLocations;

(function (TimelineLocations) {
  TimelineLocations["BOSTON"] = "Boston, USA";
  TimelineLocations["PARIS"] = "Paris, France";
  TimelineLocations["ONLINE"] = "Online";
})(TimelineLocations || (TimelineLocations = {}));

var timelineData = {
  2022: {
    events: [TimelineEvents.GRAND],
    location: TimelineLocations.PARIS
  },
  2021: {
    teams: 350,
    participants: 7314,
    events: [TimelineEvents.MEETUPS, TimelineEvents.VIRTUAL],
    location: TimelineLocations.ONLINE
  },
  2020: {
    teams: 249,
    participants: 4800,
    events: [TimelineEvents.VIRTUAL],
    location: TimelineLocations.ONLINE
  },
  2019: {
    teams: 353,
    participants: 6375,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2018: {
    teams: 340,
    participants: 5790,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2017: {
    teams: 310,
    participants: 5386,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2016: {
    teams: 300,
    participants: 4432,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2015: {
    teams: 280,
    participants: 5018,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2014: {
    teams: 245,
    participants: 4515,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2013: {
    teams: 215,
    participants: 4027,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2012: {
    teams: 190,
    participants: 3696,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2011: {
    teams: 165,
    participants: 2586,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2010: {
    teams: 128,
    participants: 2327,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2009: {
    teams: 113,
    participants: 1840,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2008: {
    teams: 88,
    participants: 1248,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2007: {
    teams: 54,
    participants: 777,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2006: {
    teams: 32,
    participants: 723,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2005: {
    teams: 13,
    participants: 125,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2004: {
    teams: 5,
    participants: 31,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  }
};

var JamboreeTimeline = function JamboreeTimeline() {
  var eventsTimelineItems = useMemo(function () {
    return Object.entries(timelineData).map(function (_ref) {
      var year = _ref[0],
          itemInfo = _ref[1];
      return {
        header: year,
        children: React.createElement(JamboreeTimeLineItem, Object.assign({}, itemInfo))
      };
    });
  }, [timelineData]);
  return React.createElement(Timeline, {
    items: eventsTimelineItems,
    scrollToRightOnLoad: true
  });
};

var FullWidthContentWrapper = function FullWidthContentWrapper(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return (// section - horizontally centered element (as in default centered content)
    // div with class w-full - full width element
    React.createElement("div", {
      className: clsx('ii-page-content ii-full-width-content ii-w-full', className)
    }, children)
  );
};

var ScrollingContentWrapper = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var children = _ref.children,
      className = _ref.className;
  smoothScroll.polyfill();
  var scrollDivRef = useRef(null);
  useImperativeHandle(ref, function () {
    return {
      scrollTo: function scrollTo(x, y) {
        try {
          var _scrollDivRef$current;

          /**
           * Latest API
           */
          (_scrollDivRef$current = scrollDivRef.current) == null ? void 0 : _scrollDivRef$current.scroll({
            left: x,
            top: y,
            behavior: 'smooth'
          });
        } catch (_) {
          var _scrollDivRef$current2;

          /**
           * Fallback
           */
          (_scrollDivRef$current2 = scrollDivRef.current) == null ? void 0 : _scrollDivRef$current2.scrollTo(x, y);
        }
      }
    };
  });
  return React.createElement("div", {
    ref: scrollDivRef,
    id: 'ii-scrolling-content',
    className: clsx('ii-scrolling-content', className)
  }, children);
});

var ConditionalWrapper = function ConditionalWrapper(_ref) {
  var _ref$condition = _ref.condition,
      condition = _ref$condition === void 0 ? true : _ref$condition,
      wrapper = _ref.wrapper,
      children = _ref.children;
  return condition && wrapper != null ? wrapper(children) : React.createElement(React.Fragment, null, children);
};

var LinksWithThumbnailsRow = function LinksWithThumbnailsRow(_ref) {
  var linksTitle = _ref.linksTitle,
      items = _ref.items;
  return React.createElement("div", {
    className: 'ii-flex ii-justify-center'
  }, React.createElement("div", null, linksTitle !== undefined && React.createElement("p", {
    className: 'ii-small-caps ii-m-2 ii-text-sm ii-text-gray-700'
  }, linksTitle), React.createElement("div", {
    className: clsx('ii-grid ii-w-fit ii-gap-3', 'ii-grid-cols-2 ii-grid-rows-3', 'md:ii-grid-cols-5 md:ii-grid-rows-1')
  }, items.map(function (_ref2) {
    var image = _ref2.image,
        link = _ref2.link,
        title = _ref2.title;
    return React.createElement(LinkWithThumbnail, {
      key: title,
      thumbnailUrl: image,
      link: {
        name: title,
        position: LinkPosition.OUTSIDE_BOTTOM_CENTER,
        url: link
      }
    });
  }))));
};

var ContentBox = function ContentBox(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      children = _ref.children,
      moreInfoLink = _ref.moreInfoLink,
      imageLink = _ref.imageLink;
  return React.createElement(ConditionalWrapper, {
    condition: moreInfoLink !== undefined,
    wrapper: function wrapper(children) {
      return React.createElement(AnchorWrapper, {
        link: moreInfoLink
      }, children);
    }
  }, React.createElement("div", {
    className: 'ii-card-element-base ii-card-element-background ii-dynamic-flex'
  }, imageLink !== undefined && React.createElement("div", {
    className: 'ii-background-image ii-h-auto ii-w-full',
    style: {
      backgroundImage: "url(" + imageLink + ")",
      backgroundPosition: 'center',
      minHeight: '12rem'
    }
  }), React.createElement("div", {
    className: 'ii-content-box-padding ii-content-box-body'
  }, title !== undefined && React.createElement("h4", {
    className: 'ii-content-box-title !ii-my-0'
  }, title), subtitle !== undefined && React.createElement("p", {
    className: 'ii-content-box-subtitle !ii-mt-1 ii-text-igem-red'
  }, subtitle), isValidElement(children) ? children : React.createElement("p", null, children))));
};

var LoaderType;

(function (LoaderType) {
  LoaderType["INLINE"] = "inline";
  LoaderType["FULL_SCREEN"] = "full-screen";
})(LoaderType || (LoaderType = {}));

var Loader = function Loader(props) {
  var className = props.className,
      _props$type = props.type,
      type = _props$type === void 0 ? LoaderType.INLINE : _props$type;
  return React.createElement("div", {
    className: clsx('ii-spinner__wrapper', type === LoaderType.FULL_SCREEN && 'ii-spinner__wrapper--full-screen ii-fixed ii-top-0 ii-left-0 ii-z-50 ii-flex ii-h-full ii-w-full ii-items-center ii-justify-center ii-bg-white')
  }, React.createElement("div", {
    className: clsx('ii-spinner ii-h-12 ii-w-12 ii-rounded-full ii-border-4', className)
  }));
};

var Tabs = function Tabs(_ref) {
  var _tabs$;

  var tabs = _ref.tabs,
      onChange = _ref.onChange,
      _ref$activeTab = _ref.activeTab,
      activeTab = _ref$activeTab === void 0 ? tabs == null ? void 0 : (_tabs$ = tabs[0]) == null ? void 0 : _tabs$.value : _ref$activeTab;
  return React.createElement("div", {
    className: 'ii-mb-3 ii-flex ii-items-center ii-gap-x-8'
  }, tabs == null ? void 0 : tabs.map(function (tab) {
    return React.createElement("button", {
      key: tab.value,
      className: 'ii-mb-2 ii-flex-shrink-0 ii-font-bold',
      onClick: function onClick() {
        return onChange(tab.value);
      }
    }, React.createElement("p", {
      className: clsx(activeTab === tab.value && 'ii-text-green-500 ii-underline', 'ii-whitespace-nowrap ii-decoration-2 ii-underline-offset-8')
    }, tab.label));
  }), React.createElement(Divider, null));
};

var NavigationTabs = function NavigationTabs(_ref) {
  var tabs = _ref.tabs,
      _ref$pathLevel = _ref.pathLevel,
      pathLevel = _ref$pathLevel === void 0 ? 0 : _ref$pathLevel;
  var navigate = useNavigate();

  var _useLocation = useLocation(),
      pathname = _useLocation.pathname;

  var _useState = useState(undefined),
      activeTab = _useState[0],
      setActiveTab = _useState[1];

  useEffect(function () {
    var path = pathname.split('/')[pathLevel + 1];
    setActiveTab(path.length > 0 ? path : tabs[0].value);
  }, [pathname, pathLevel, tabs]);
  return React.createElement(Tabs, {
    tabs: tabs,
    activeTab: activeTab,
    onChange: function onChange(value) {
      navigate(value);
    }
  });
};

var Modal = function Modal(_ref) {
  var children = _ref.children,
      close = _ref.close,
      isOpen = _ref.isOpen;
  return React.createElement("div", {
    className: clsx('ii-modal__wrapper ii-fixed ii-top-0 ii-left-0 ii-z-50 ii-h-full ii-w-full ii-bg-black-500 ii-bg-opacity-30', isOpen || 'ii-modal__wrapper--hidden ii-hidden')
  }, React.createElement("div", {
    className: 'ii-modal__body-wrapper ii-flex ii-h-full ii-items-center ii-justify-center'
  }, React.createElement("div", {
    className: 'ii-modal__body ii-relative ii-rounded ii-bg-white ii-px-12 ii-py-6'
  }, close !== undefined && React.createElement("div", {
    className: 'ii-modal__close-wrapper ii-pointer-events-none ii-absolute ii-top-0 ii-left-0 ii-flex ii-h-full ii-w-full ii-justify-end ii-p-4'
  }, React.createElement("button", {
    onClick: close,
    type: 'button',
    className: 'ii-modal__close-button ii-pointer-events-auto ii-h-max'
  }, React.createElement(Close, {
    className: 'ii-h-3 ii-w-3'
  }))), children)));
};

export { Account, AnchorWrapper, AnnotatedContentBox, AnnotatedContentBoxVariant, Account$2 as Article, Bricks, Button, ButtonVariant, Calendar, CalendarEventType, Account$5 as Campaign, CenteredContentWrapper, ChainLink, Check, Checkbox, CheckboxList, CheckboxType, Chevron, Close, ComingSoonBanner, ConditionalWrapper, ContentBox, Divider, Dropdown, ElementWithOverlay, ExclamationCircle, Facebook, Filter, Footer, FourColumns, FullWidthContentWrapper, GradientColor, Account$1 as Help, IconsMap, IgemLogo, Image, ImageBanner, ImageSize, Input, Instagram, Institution, JamboreeTimeline, LINK_VALUE, LinkCard, LinkCardSize, LinkPosition, LinkWithThumbnail, LinkedIn, LinksWithThumbnailsRow, Loader, LoaderType, LogoVariant, Mail, Menu, Modal, NavBar, NavBarUserSection, NavigationTabs, NewsBox, Account$3 as Notifications, PageContent, Pin, Account$4 as PushPin, ScrollingContentWrapper, Select, Settings, Slack, TabButton, Table, Tabs, Teams, TextColor, ThreeColumns, TikTok, Triangle, Twitter, TwoColumns, VideoCard, VideoSize, Youtube };
//# sourceMappingURL=ui-components.esm.js.map
